2ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Gentoo Linux 7

1 :login:Penguin:04/02/06 18:28 ID:n9REX9DV
本家   http://www.gentoo.org/
GentooJP http://www.gentoo.gr.jp/

前スレ
http://pc.2ch.net/test/read.cgi/linux/1071138693/

2 :login:Penguin:04/02/06 18:29 ID:n9REX9DV
過去スレ
http://pc.2ch.net/test/read.cgi/linux/1071138693/ 6
http://pc.2ch.net/test/read.cgi/linux/1065520318/ 5
http://pc.2ch.net/test/read.cgi/linux/1047823838/ 4
http://pc.2ch.net/test/read.cgi/linux/1049981814/ 3
http://pc.2ch.net/test/read.cgi/linux/1041348878/ 2
http://pc.2ch.net/linux/kako/1024/10244/1024483126.html 1

3 :login:Penguin:04/02/06 18:30 ID:n9REX9DV
・はじめに
GentooJPの歩き方
http://www.gentoo.gr.jp/jpdoc/arukikata.xml
Gentoo Linux 1.4 インストール手引書
http://www.gentoo.org/doc/ja/gentoo-x86-install.xml

・もうちょっと先
Gentoo Linux Frequently Asked Questions
http://www.gentoo.org/doc/ja/faq.xml
Gentoo Linux tips 集
http://www.gentoo.gr.jp/jpdoc/gentoojp-tips.xml
Portage ユーザガイド
http://www.gentoo.org/doc/ja/portage-user.xml

・コミュニティ
GentooJP フォーラム (Wiki)
http://gentoojp.sourceforge.jp/pukiwiki/
ebuild-uploader
http://gentoojp.sourceforge.jp/ebuild-uploader/
Gentoo Linux Bugzilla
http://bugs.gentoo.org/

4 :login:Penguin:04/02/06 18:58 ID:eFMJlZFd
>>1
乙!

5 :login:Penguin:04/02/06 19:03 ID:JG9IonZK
このスレッドは重複です
以下へ移動してください
http://pc.2ch.net/test/read.cgi/linux/1076053234/

6 :login:Penguin:04/02/06 19:05 ID:V84sXk+T
>>1
乙!

>>5
逝ってよし

7 :login:Penguin:04/02/06 19:08 ID:DTXvVZu/
Fedoraの粘着誘導厨がGentooに来たようですね。

8 :login:Penguin:04/02/06 19:12 ID:V84sXk+T
>>7
変なのは放置しないとダメですね。。。反省

9 :login:Penguin:04/02/06 19:13 ID:DTXvVZu/
・Gentooに限らないLinux全般に関する解答集
http://linux2ch.bbzone.net/



10 :login:Penguin:04/02/06 19:29 ID:eFMJlZFd
>>9
そこさぁ、gentoo作ったんだけど誰も書き込んでくれないの。鬱

11 :login:Penguin:04/02/06 19:36 ID:WdR5twF4
>>10
ある程度簡単なことからでも追加していくと
他の人も書き込んでくれるようになりますよ。

12 :login:Penguin:04/02/06 19:40 ID:WdR5twF4
GentooJP フォーラム (Wiki)のTipsページに
リンクを貼っておいてそちらでやるというのも
いいかもしれませんね。

13 :login:Penguin:04/02/06 23:15 ID:eFMJlZFd
こちが本スレのようだね

14 :login:Penguin:04/02/07 01:53 ID:pxh1m+ky
やっと、gentooで日本語入力できるようになった。
何故かcanna+kinput2だと英字入力しかできなかったんで
freewnn+kinput2にしたらできた。
USEフラグにcannaとfreewnn両方指定してたのが原因かな?

15 :login:Penguin:04/02/07 02:32 ID:SmGCoQPM
>>14
ATOK使いなのでちょっとよくわかりません。スマソ

16 :login:Penguin:04/02/07 03:04 ID:SmGCoQPM
# /usr/lib/portage/bin/fix-db.py
ERROR: SLOT file is empty for 'x11-misc/karamba-themes-0.17-r1'.
RE-MERGE this exact package version or unmerge and remerge it.
Traceback (most recent call last):
File "/usr/lib/portage/bin/fix-db.py", line 71, in ?
if mysplit[0] == "obj":
IndexError: list index out of range

こんなこと言われるので

# emerge -C karamba-themes && emerge karamba-themes

んなことやったんだけど、2行目に戻るのループに陥ってます。

17 :login:Penguin:04/02/07 05:12 ID:p66W+eR/
>>16
karamba ってのは x11-misc にあるけど karamba-themes ってのはないよ?
他のパッケージに移動したのだろうか。

18 :login:Penguin:04/02/07 06:39 ID:SmGCoQPM
あり?ほんとだ。ローカルに入ってました。
JPから取ってきたのかなぁ・・?

話変わるけど、dfしたときに一番下に
none 123624 0 123624 0% /dev/shm
って表示されるんだけど、この/dev/shmって何?
使用0で使われてないんだろうけど、無駄なのか、有効になってないのか
どっちなんだろう?

19 :login:Penguin:04/02/07 06:41 ID:SmGCoQPM
スマソ。/etc/fstabに書いてあった。鬱

# glibc 2.2 and above expects tmpfs to be mounted at /dev/shm for
# POSIX shared memory (shm_open, shm_unlink).
# (tmpfs is a dynamically expandable/shrinkable ramdisk, and will
# use almost no memory if not populated with files)
# Adding the following line to /etc/fstab should take care of this:
none /dev/shm tmpfs defaults 0 0


20 :login:Penguin:04/02/07 09:57 ID:J0AiZhSa
http://www.gentoo.org/落ちてるな。

21 :login:Penguin:04/02/07 09:58 ID:VK0rhj7t
間違えて投稿された方がいらっしゃったので転載しておきます。

----------------------------------------------------------------
xfreeのemergeでコンパイルエラーがでてしまいます。
gentoo-dev-source(kernel2.6.2r1)なのですが、なにか関係があるのでしょうか。
bootもできますし、ネットにも接続できるようになったのですが、、、
----------------------------------------------------------------

22 :login:Penguin:04/02/07 10:01 ID:yXcYPuCK
>>20
落ちてないよ。

23 :login:Penguin:04/02/07 10:20 ID:tSnFYgJT
前スレ844あたりでPCMCIAのよく分からないエラーで悩んでいたものです。
USBのUHCI関係がCONFIG_USB_UHCI_HCDに変わってたので
チェックを付けていなかったのが
* cardmgr failed to start. Make sure that you have PCMCIA
* modules built or support compiled into the kernel [!!]
といわれる原因だったようです。
USBマウスが使えてたからデジカメ使おうとするまで気づかなかった。
ただPCMCIAがまったく関係していないのがひっかかるところ。

しかしまだ/etc/init.d/pcmciaをruvlevel bootで起動すると
カードを入れたのに反応してくれないし、pcmcia起動時にOKってでるけど
* Starting pcmcia...
modprobe : FATAL : Module snd_via82xx already in kernel.
cardmgr[3020]: watching 2 sockets
cardmgr[3020]: starting, version is 3.2.5 [ ok ]
modprobe : FATAL : Module mousedev not found.
と言うメッセージが。エラーメッセージはそのままで意味は分かるんだけど
なぜに/etc/init.d/pcmciaがsnd_via82xxやmousedevを呼ぶのかは不明。
rc-update del pcmcia bootで起動しないようにすると特に問題なく
カード入れても反応する。その状態でlsmodするとpcmcia関係もあるみたい。
/etc/init.d/pcmciaの動きがあやしいような気もするがまったくもってわけわからん。
もしなにか分かる方がいたらお願いします。

24 :login:Penguin:04/02/07 12:06 ID:oBQGy+Tu
既出かもしれんけど
CFLAGSに加えると良い物
-s (リンクされたオブジェクトファイルからシンボル情報全消し)
-z combreloc (リロケーションを最適化)

-sはstripと同じような効果をもつけど
make中の*.o個々に対して行なうので、結果的にemergeに要するスペースを節約できる

-z combreloc はダイナミックなリロケーション情報をソート(?)して最適化するものらしいです。起動の高速化が期待できます。
#prelinkと合わせると絶大な効果を期待できると思われます。

どちらもldのフラグですけど、CFLAGSにまぜてもgccが勝手にldに渡してくれるので大丈夫です。

OOoとかKDEをemergeしようと目論んでいる方々は、これらのフラグは必須かと思われます。

25 :login:Penguin:04/02/07 12:14 ID:TDpRNjAx
-z combreloc を使ってemacs,xemacsを作るとX上でsegvするのが出来上がってくる。
最近のemacsだとMakefileで殺してあるかもしれない。

26 :login:Penguin:04/02/07 12:56 ID:oBQGy+Tu
>>25
マジ?
emacs-21.3-r2だけど問題ないよ
ebuildの中除いてみたけど、消されてなかった。
#bintuils 2.14.90.0.8

一時期binutilsがバグってて、その時期に出たebuildでは
combreloc禁止された とかそういう話ではないかい?

ちなみに、coreutilsとかbinutilsとかssl,ssl,pam,cracklib,shadow,zlib,gcc,glibc,xfree,glib,atk,pango,gtk+,mozilla等々を-s -z combrelocしてみてる。
今のところ問題らしい問題は起きてないです。


#問題あるなら、binutilsのバージョン晒したほうがいいんでない?

27 :login:Penguin:04/02/07 12:59 ID:oBQGy+Tu
ちなみにbinutilsはemergeの前にstrip-flagsつけといたほうがいいよ
すげーデリケートで、binutilsにアレコレとフラグつけすぎるとasがトチくるったり
ldがわけわからん物を生成したりするからね。

28 :login:Penguin:04/02/07 13:20 ID:oBQGy+Tu
>>25
もう一回emacsをemergeしてみて確認しますた。
#わざわざ-Q -vもつけて

しっかりと-s -z combrelocがldに渡されてますた。
でもって快調に動作しております。

binutilsのバージョンや最適化のかけ具合によっては
問題が起る可能性があるので、-z combrelocを使おうかと思ってる人は
安全のためにbinutilsのebuildにstrip-flagsつけましょう。

29 :25:04/02/07 17:03 ID:TDpRNjAx
手元のemacs-21.3.50 だと、 emacs/s/gnu-linux.hの200行目にそれらしいコードがある。
makefileじゃ無かったね。
#define LD_SWITCH_SYSTEM_TEMACS -z nocombreloc
試しにコメントアウトしてmakeしてみると?落ちるのが出来上がった。
-nwを渡すと大丈夫。

>ld -v
GNU ld version 2.14.90.0.7 20031029

ld の Changelog には -z combreloc が デフォルトになった、って記述があるようだが…

30 :login:Penguin:04/02/07 17:43 ID:oBQGy+Tu
>>29
それって、条件に合わせて -z nocombreloc 渡して無効化してるってことだよね。
Makefileのどっかでifdefしてcombrelocされちゃ困るやつだけ
回避してるんだろうね。

>デフォルトになった
2002-03-07 H.J. Lu <hjl@gnu.org>

* ldmain.c (main): Set link_info.combreloc to true by default.
これだね。
ldmain.cの中みたら確かにTRUEになってるわ

じゃあ、わざわざ有効にしなくてもよかったのか
すげー時間無駄にした(涙
#といいつつ、kernel2.6のheaderで諸々作り直すついでだったからいいけど。

31 :login:Penguin:04/02/07 17:56 ID:oBQGy+Tu
スマソ。マナー違反した。
レス削除依頼だしてきました

32 :login:Penguin:04/02/07 19:42 ID:g08dNM27
新しいgcc入れたらXとemergeが氏んだ。
emergeというかpythonが。
なんだかライブラリ関係を頃してくれたっぽい。
どうすりゃいいんだー!

33 :login:Penguin:04/02/07 19:56 ID:tSnFYgJT
>>32
rootでldconfigしてみそ

34 :login:Penguin:04/02/08 01:04 ID:FAQ4LhQ5
自分も emerge rsync && emerge -u worldかましたら、gcc新しいの突っ込まれて
あわてて source /etc/profile && ldconfigして、とりあえずpythonに依存する
emergeとかは何とかなった。

が、他にmod_phpも更新しようかと思ったら途中で転けるから、gccを元に戻した。
しばらく自分はgccの更新しないでおくよ。

35 :login:Penguin:04/02/08 01:15 ID:QCgLAejf
gentoo2004って出たの?こんなのでた。

!!! Your current profile is deprecated and not supported anymore.
!!! Please upgrade to the following profile if possible:
default-amd64-2004.0


36 :login:Penguin:04/02/08 01:30 ID:pVAH5n5+
>>35
出てないと思う。
amd64のメンテナのフライングかな…


37 :login:Penguin:04/02/08 02:22 ID:RM7X2GQ0
HDDが2GBのマシンにGentooいれてみたんですが、
emergeするたびにHDDがあやうくなっていきます。
そのうちHDDを追加するのは当然として、
当面の処置として、今のところやばくなる度に
/usr/portage/distfiles
/var/tmp/portage
のふたつのディレクトリの中身を削除つうのをしてるんですが、
他に消しても問題なくてでかいところってどこかありますかね?
すいません、しょぼい質問で。。

38 :ccache使ってんなら:04/02/08 02:23 ID:3X8TaI4+
/root/.ccache

39 :37:04/02/08 02:36 ID:RM7X2GQ0
>>38
ありがとうございます。
今のところ今の使用方法じゃあまりメリットなさそうなんで、
使ってないっす。

40 :login:Penguin:04/02/08 03:06 ID:3X8TaI4+
>>39
根本的解決にはならないけど
CFLAGSに-s入れてみ。

コンパイルされたオブジェクトファイルからシンボル情報抜きとるんだけど
(stripと同じ)
違うのは、stripはすでに作成されたライブラリや実行ファイルに対して行なうが
-sはコンパイルされたてのオブジェクトファイル(hoge.o)に対してリンク時に抜きだす。
テキトーなソース1つコンパイルしてみたらわかると思うけど
大体半分程度には縮まるよ。

必要なディスクスペースを減らせるので、狭い環境でやってる人向け。
あとは-O2とか-O3で最適化してるなら-Osに変えると、バイナリ小さくなる。

で、根本的な解決は…
「HDD買い変えとけ」

41 :login:Penguin :04/02/08 03:07 ID:d9AUSxhS

portageとgentoolkitをバージョンアップすれば、問題なくなったよ。
(新しいgcc)Xは死ななかったけど、、
emacs再コンパイルする羽目になった。


42 :login:Penguin:04/02/08 03:16 ID:vX9QxS2s
>>39
40の結論に同意なのだが一応。
app-admin/localepurgeを使うのもいいかもよ。
Script to recover diskspace wasted for unneeded locale files and localized man pages
なんだそうな。


43 :login:Penguin:04/02/08 03:30 ID:pVAH5n5+
>>37
FEATURES='nodoc noman noinfo'

ドキュメント間に合ってないが。


44 :37:04/02/08 03:45 ID:RM7X2GQ0
>>40
ありがとうございます。
さすがに今すでにあるパッケージをコンパイルし直すとかは
あれなんで(しかもそいつのdistfileとかもまたでてきますし。)
次のやつから適用してみたいと思います。
結論はごもっともなんですが、なかなかこれが
愛着のあるやつでして、まだいけるかもまだいけるかもって
パーツの付け替えさえままならないのですよ。
メインマシンはがんがん継ぎ接ぎしてるのに。すいません。

>>42
素敵です。さっそくやってみます。

>>43
よく考えたら別のマシンにもGentoo入れてるので、
2GBのほうのdoc man infoはいらないんですよね。
あまり中も見ないですし。消してみます。そしてそれつけてみます。
FEATURESを見て気付いたんですが、
noclean keeptemp keepworkとかってものあるんですね。
勉強になります。ありがとうございます。

45 :login:Penguin:04/02/08 03:57 ID:z2MrDpVp
scantv すると
v4l2: open /dev/v4l/video0: No such file or directory
v4l2: open /dev/v4l/video0: No such file or directory
v4l: open /dev/v4l/video0: No such file or directory
no grabber device available
なんぞ出てきます そこで、リンクを造ると( ln -s )
v4l2: open /dev/v4l/video0: No such file or directory
v4l2: open /dev/v4l/video0: No such file or directory
v4l: open /dev/v4l/video0: No such file or directory
no grabber device available
とでてきて テレビ見れませんどうすりゃいいの?
kernelは2.6.2です。

46 :32:04/02/08 03:59 ID:NFddCF9T
>> 33, 34
おー、なおった!
そうかこうすればいいのか。
ありがトン!

47 :login:Penguin:04/02/08 04:05 ID:vX9QxS2s
gccをアップデート関連の報告。
util-linuxのビルドがこんな感じでこけるようになった。

   :
gcc -s cal.o ../lib/err.o -o cal
gcc -s ddate.o -o ddate
../lib/err.o(.text+0x64): In function `err':
: undefined reference to `__builtin_va_start'
../lib/err.o(.text+0x1d7): In function `errx':
: undefined reference to `__builtin_va_start'
../lib/err.o(.text+0x2ca): In function `warn':
: undefined reference to `__builtin_va_start'
../lib/err.o(.text+0x437): In function `warnx':
: undefined reference to `__builtin_va_start'
collect2: ld returned 1 exit status
distcc[8349] ERROR: compile on localhost failed
make[1]: *** [cal] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/var/tmp/portage/util-linux-2.12-r4/work/util-linux-
2.12/misc-utils'
make: *** [all] Error 1

!!! ERROR: sys-apps/util-linux-2.12-r4 failed.
!!! Function src_compile, Line 120, Exitcode 2
!!! emake failed

原因はccache。/root/.ccache以下を削除したら解決した。
もっと賢い方法があるかもしれないけど、
gccのebuildあたりで面倒見てくれるとうれしいような気がする。

48 :login:Penguin:04/02/08 04:31 ID:puSR3AdZ
gcc話題にしてる人ってどのバージョン?
なんかr6はバグってらしくてr5にデグレってことになってるよ。
いまr5に直してるところ。

49 :login:Penguin:04/02/08 04:34 ID:3X8TaI4+
>>48
疑ってるわけじゃないけどソースきぼんぬ

50 :login:Penguin:04/02/08 04:38 ID:3X8TaI4+
ttp://bugs.gentoo.org/show_bug.cgi?id=40603
ゴメソ すぐ見つかった

51 :login:Penguin:04/02/08 04:39 ID:QCgLAejf
>>48
まじですか?
いまやっとr6インストール終えたところです。
なんか、泣きそうになりました。

52 :login:Penguin:04/02/08 04:42 ID:3X8TaI4+
>>51
バグの内容としては「コンパイルエラーになるケース」がある
というもの。
>>50のリンク先参照
バイナリぶち壊すというような話じゃないので
面倒なら次のバージョンアップまで待てるかも?

ただ、バグはゴキブリと一緒で一匹みつけたらその周辺に何匹かいる可能性があるので
安全を考えるなら戻した方がいいな。
#何があるかわからんし

いや、むしろ戻すべきだ。


53 :login:Penguin:04/02/08 04:43 ID:z2MrDpVp
gccは入れ換えたけど何のエラーも無しだったよ

54 :login:Penguin:04/02/08 04:48 ID:WTts7o2L
おかしいgccって全部r6の話?
最初に話が出たときには既にr6がマスクされてたから違う話かと思って眺めてたんだけど。

55 :login:Penguin:04/02/08 04:50 ID:3X8TaI4+
>>53
実は俺も実害無し

といっても
>>50のリンク先で出てる
kde-bluetoothは試してないけど。

まあ、安全を考えてr5に戻しておくのが無難でしょう。
明かになってないだけで、まだ何か潜んでる可能性もあるわけだし。
#~x86だから、んなもん当然といえるリスクだが

>>54
マスクされたのは 2004-02-06 21:42 PST だな。
悲運にもこれより前にぶっこんだ(俺とか)は
戻す必要あるべ

~x86な香具師はemerge syncさぼっちゃだめだな
改めて思い知らされた…

56 :login:Penguin:04/02/08 04:55 ID:z2MrDpVp
ダメになったらまた入れ直すダワサ

57 :login:Penguin:04/02/08 05:14 ID:VJ+wFXXs
ccache使ってる人多そうだな

58 :login:Penguin:04/02/08 05:14 ID:puSR3AdZ
>>51-52
ていうかFeb 6 10:51:23にコンパイルしたけど、その後r6でKDE全部エラー無しで
完了したよ。>>53>>55に同じく。なぜマスクされたのか、不具合すらわからなかった。てかそういう系統のバグなんだろうが。


59 :login:Penguin:04/02/08 05:15 ID:puSR3AdZ
スマソ。KDEの方が先だった。でもいくつかコンパイルはしてるけど
エラーはなかった。


60 :login:Penguin:04/02/08 05:28 ID:puSR3AdZ
gccイマージ終わった。これからファイアーバード。


61 :47:04/02/08 07:21 ID:vX9QxS2s
補足。gccは3.3.2-r5。
ccacheが、古いgcc-3.2.3-r3で作ったキャッシュを使うと
まずいことが起こるのじゃないかと思って報告しました。

62 :login:Penguin:04/02/08 09:43 ID:FAQ4LhQ5
gccの更新の際にccacheの削除に加えてdistccのtmpもなんとかせんと駄目くさいな。
仕方ないから/etc/make.confのFEATURESからccacheとdistcc省いてなんとかなった。

結構重要な事だから、gccのebuild後にコメント出して欲しいもんだ。

63 :login:Penguin :04/02/08 13:35 ID:d9AUSxhS
同じことやってたよ。distccエラー吐くから。。
皆、考えることは同じだね。


64 :login:Penguin:04/02/08 16:35 ID:OgV6kuhw
#emerge automake-1.7.7 したら、こんな出力が。
-----
Please note that the 'WANT_AUTOMAKE_1_?=1' have changed to:
* WANT_AUTOMAKE=<required version>
* For instance: WANT_AUTOMAKE=1.6
-----
/etc/make.confに WANT_AUTOMAKE="1.7"を追加?
ぐぐっても英語ばっかでいまいち解らなかった...。

65 :login:Penguin:04/02/08 17:43 ID:puSR3AdZ
>>64
要するに
それまでは=1ってつけてたのが外れたってことじゃないの?
つーかそんなの指定してたっけ?

66 :login:Penguin:04/02/08 22:47 ID:gR2L/vUY
su で root になって /etc/X11/XF86Config などのファイルを
vi で編集しようとしても「セグメンテーション違反」とエラーがでます。
どうすればいいですか?
Kernel 2.6.1 です。Kernel 2.4.22 では問題なく動きました。

67 :login:Penguin:04/02/08 22:57 ID:JLvRML9L
>>66
どの vi かわからんけど
作り直してみたら?

68 :login:Penguin:04/02/08 23:16 ID:gR2L/vUY
>>66 に追加です。
どうもサイズが大きいファイルで「セグメンテーション違反」が起こるようです。

>>67
viとカーネル作り直してみましたがダメでした。
カーネル構築のオプションとか間違ってるんですかね?

69 :login:Penguin:04/02/08 23:30 ID:1zSNKPln
ぐはぁ (吐血

ってなんですか?

70 :login:Penguin:04/02/08 23:32 ID:WTts7o2L
>>69
何故ここで聞く?

71 :login:Penguin:04/02/08 23:40 ID:1zSNKPln
gentoo由来じゃないの?

72 :login:Penguin:04/02/08 23:45 ID:JLvRML9L
>>71
Gentoo 由来じゃないよ。

73 :login:Penguin:04/02/08 23:57 ID:shaeeyOy
atokをインストールしたのはいいけど日本語入力できないんですけど
どうしたらいいのでしょうか?
ebuildに書いてあるように.xinitrcに/usr/lib/im/locale/ja/atokserver/atokx_clientを入れて
.bashrcにXMODIFIERS="@im=htt"と書いているんですけど日本語を入力できません。
/etc/init.d/atokを起動しようとするとエラーが出るので/etc/init.d/iiimを起動して
やってもエラーが出る。
だれか教えて下さい。

74 :login:Penguin:04/02/09 02:03 ID:/dLvofSy
>>73
そもそも起動しないって事ですか?
私はr4だと不具合あるのでr2使ってますけど。

75 :login:Penguin:04/02/09 02:08 ID:o0a7Ngjm
>>74
r4です
不具合があったんですね
ありがとうございます


76 :login:Penguin:04/02/09 03:03 ID:/dLvofSy
>>75
自分の所では動かなかったので。
他の方はr2だと逆に不具合があるそうで。
その辺はJPをご覧下さい。

77 :login:Penguin:04/02/09 03:15 ID:uaYuBFgS
>>64
それは ebuild を書く人が気にすることであって、
使うぶんには気にしないでよい。
(自分で勝手にその変数を定義するとむしろ
ひどい目に遭うと思う……)

78 :login:Penguin:04/02/09 06:46 ID:/dLvofSy
NEW glibc & gcc for ~x86

キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

79 :login:Penguin:04/02/09 07:27 ID:ll4yY681
ぐはぁ (吐血

80 :login:Penguin:04/02/09 08:51 ID:nMocnloh
別スレ厨が必死だな。

81 :login:Penguin:04/02/09 10:29 ID:u+8X/o6d
* Regenerating GNU info directory index...
* Processed 632 info files: 8 errors; run with emerge --verbose to view errors.
* IMPORTANT: 16 config files in /etc need updating.
* IMPORTANT: 56 config files in /usr/X11R6/lib/X11/xkb need updating.
* Type emerge --help config to learn how to update config files.

こんなエラーが表示されたんですが、emerge --verbose をどう使うんですか?

82 :login:Penguin:04/02/09 10:37 ID:cz2/z/QL
気にすんな。それよりも etc-update

83 :login:Penguin:04/02/09 13:20 ID:vS2OSPLl
emerge -e worldをやったらこんなerrorが・・・
対処方法分かる方いらっしゃいますか

>>> emerge (1 of 167) sys-devel/gcc-config-1.3.4 to /
>>> Unpacking source...
>>> Source unpacked.
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-sys-devel_-_gcc-config-1.3.4-4122.log"

unlink: /usr/lib/portage/pym/portage_db_cpickle.pyc
open_wr: /usr/lib/portage/pym/portage_db_cpickle.pyc
unlink: /usr/lib/portage/pym/portage_db_template.pyc
open_wr: /usr/lib/portage/pym/portage_db_template.pyc
unlink: /usr/lib/portage/pym/portage_db_flat.pyc
open_wr: /usr/lib/portage/pym/portage_db_flat.pyc
--------------------------------------------------------------------------------


84 :login:Penguin:04/02/09 13:26 ID:kDavjYKx
やっとのことでLiveCDからインストールし終わったんですが、
起動すると

* Mounting proc at /proc...

というところで止まってしまいます。
Ctrl-Alt-Deleteも効きません。一体何が悪いんでしょうか?

85 :login:Penguin:04/02/09 13:31 ID:J12RIt7s
>>84
/procがないとか?

86 :login:Penguin:04/02/09 14:26 ID:kDavjYKx
>85
mount /dev/hda3 /mnt/gentoo
mount /dev/hda1 /mnt/gentoo/boot
ls /mnt/gentoo
とやってみましたが、/mnt/gentoo/procはあるみたいです。
rm -r /mnt/gentoo/proc
mkdir /mnt/gentoo/proc
とかやってみてもだめでした。。

87 :login:Penguin:04/02/09 14:30 ID:DRx2oWa4
>>84
/etc/fstab はどんな感じよ。

88 :login:Penguin:04/02/09 14:31 ID:J12RIt7s
>>86
じゃあカーネルのサポート外してるとか?

89 :login:Penguin:04/02/09 14:32 ID:DRx2oWa4
>>86
カーネルの設定で CONFIG_PROC_FS=y にした?

90 :login:Penguin:04/02/09 15:09 ID:kDavjYKx
>87
/dev/BOOT  /boot  ext2  noauto,noatime  1 2
/dev/ROOT  /  reiserfs  noatime  0 1
/dev/SWAP  none  swap  sw  0 0
/dev/cdroms/cdrom0  /mnt/cdrom  iso9660  noauto,ro,user  0 0
none  /proc  proc  dafaults  0 0
none  /dev/shm  tmps  defaults  0 0
です。

>88-89
/usr/src/linux/.configは
CONFIG_PROC_FS=y
CONFIG_PROC_KCORE=y
ってなってました。

91 :login:Penguin:04/02/09 15:14 ID:DRx2oWa4
>>90
http://www.gentoo.org/doc/ja/gentoo-x86-install.xml#doc_chap15

92 :login:Penguin:04/02/09 15:25 ID:i3GESRlk
90の間違いって2chのこのスレだけでも4回ぐらい見た記憶がある。
そんなに間違い易いのか、これは。

93 :login:Penguin:04/02/09 15:37 ID:DRx2oWa4
>>92
各インストール手順で何をやってるか理解してないと
スルーしちゃうかもな。

94 :login:Penguin :04/02/09 16:13 ID:ITTXASG8
たしかに、コメント欄は小さい文字ではあるが、、
ちゃんと注意書き読んでもらいたいよね。


95 :login:Penguin:04/02/09 16:49 ID:J12RIt7s
つーか、それまでずっとhda使って具体的に説明してきたのに、
何でここだけROOTとかBOOTとかを使うのかが理解できない。
ここも同じようにした方が初心者にマウント位置とデバイスとの対応が取り易くていいと思うんだが。

96 :login:Penguin:04/02/09 16:56 ID:DRx2oWa4
フィルタリングだろう。

97 :login:Penguin:04/02/09 20:40 ID:cz2/z/QL
最近のRedhatシリーズはヴォリュームラベルになってるんで、そっちから
くるとそのままでいいと思っちゃうんだろ

98 :login:Penguin:04/02/09 20:49 ID:j/p85hC/
/etc/fstabの書式も知らん人がGentooを使うってのも
あんまり勧められたことじゃない気がするのが、漏れの
頭が古いからですか?
基本的なことはRedHatやDebianで勉強する方がやり易いと
思うけど。

99 :login:Penguin:04/02/09 22:08 ID:YfxagPJi
>>98
胴衣

チミの頭が古いんじゃないと思うぞ。

インストール段階で要求される知識がいくつかあるのは事実で
そこを切り抜けるには、
予め知っておくか
ドキュメントをきちんと読むかのどちらかになる。
どっちかが欠けるとインストールでコケる。

インストーラはまだ準備中みたいだし
当分は「多少わかってる人向け」「マジメにドキュメント読む人向け」って事になるだろうなぁ。

始めてLinux使うとか、まだLinuxに慣れてない人が
あえてGentooを使うメリットってのもよくわからんが…
管理のしやすさとか、パッケージ毎に細かくカスタマイズできるとかいうのは
そういう人には、格別ありがたいわけでもなさそうな予感。
その手の人は、お手軽にインスコできる鳥を使った方が良いのは間違いないと思う。

100 :login:Penguin:04/02/09 22:08 ID:WgOIMBdG
USEにnptlつけてglibcをインストールした後って
emerge -e worldした方がいいの?

101 :login:Penguin:04/02/09 22:44 ID:YfxagPJi
>>100
そこまでしなくてもいい。
pthreadに依存してる奴だけ直してみれ。
revdep-rebuild --soname libpthread.so.0
かな。

libpthread-0.60.so
こっちかもしれん。

102 :login:Penguin:04/02/10 01:11 ID:2G+aDLJK
>>83
emerge を同時に2つ走らせたりしなかった?

103 :login:Penguin:04/02/10 01:28 ID:VzliVQ0Q
Gentooのインストーラ?で運用ってできませんかね。Xはいらないの
ですが、CUIだと寂しいので。

104 :login:Penguin:04/02/10 01:32 ID:5lTavHiU
>>103
http://forums.gentoo.org/viewtopic.php?t=49036

105 :login:Penguin:04/02/10 01:37 ID:VzliVQ0Q
サソクス。入れてみますヽ(´ー`)ノ

106 :login:Penguin:04/02/10 01:38 ID:CMJc7dF2
>>99
カーネル設定の仕方によると思うが実は/BOOTだけ/dev/hdほげに
替えればカーネル起動後はDisk Labelが読めるので/ROOTや/SWAPは
そのまま残してもOK。
なんかもうひとがんばりで/BOOTのままでもいけそうな気がするが、
そこまでは試さなかった。


107 :login:Penguin:04/02/10 01:54 ID:6uhhdlqX
>>103
他にもっといい 1CD Linux がありそうだが
なんで Gentoo のインストーラを使いたいんだ?

108 :login:Penguin:04/02/10 02:54 ID:TysmJx7g
fbでさくさく使えるからでしょ。

自分で設定するのも結構大変なのに自動であそこまで出るのは
結構すごいと思った。

109 :login:Penguin:04/02/10 02:56 ID:SvDXVU9X
俺も初めてインストールしたとき、恥ずかしながら
>>90と同じ間違いをしてしまった。

今はrp-pppoeが、どうやっても動かないので
ルータで逃げてしまった。

はやくgentooユーザーになりたいな〜

110 :login:Penguin:04/02/10 05:26 ID:EH6P2TQQ
>>102
原因は良く分からなかったですが
sys-apps/portageをemergeしなおして直りました


111 :login:Penguin:04/02/10 05:29 ID:QapsLn+1
俺は初心者にこそGentooが最適だと思ってる。
GUIインストーラで楽ちんインスコも便利だが、
よく分からないけど動いてるからOK、のまま進まないやつが多くなる。
もちろん、単に個人的な運用ならばそれで全く問題ないが、
ちゃんと仕組みを理解して使いたい人には理解して設定しないと
つまづくGentooこそ最適と思う、今日この頃。


112 :login:Penguin:04/02/10 07:34 ID:5lTavHiU
2.6系のlinux-headesrでやっとXがコンパイル通るようになったね

113 :login:Penguin:04/02/10 09:58 ID:U1XjwUkH
Qtキタ マタATOKパッチアテナキャダワ
Xもキタ

>>112
前から通ってるけど
Sun Jan 11 16:42:54 2004 --> sys-kernel/development-sources-2.6.1
Thu Jan 15 06:51:01 2004 --> x11-base/xfree-4.3.99.902
Sat Jan 17 08:13:13 2004 --> x11-base/xfree-4.3.0-r3
Sun Jan 18 02:26:48 2004 --> x11-base/xfree-4.3.99.902

114 :login:Penguin:04/02/10 10:57 ID:xChM2UpA
ぐはぁ (吐血

115 :login:Penguin:04/02/10 15:08 ID:5lTavHiU
>>113
それヘッダじゃないやん。

116 :login:Penguin:04/02/10 15:31 ID:6ZnKBFlA
ぢぇんとぅ

117 :login:Penguin:04/02/10 16:59 ID:Ci41Vn3K
stable環境でxfree-4.3.0-r4のemergeがどうしてもうまく行かない…。

gcc -o glxinfo -mno-mmx -ansi -pedantic -Wno-return-type -w -L../../exports/lib glxinfo.o -lGLU -lGL -lXext -lX11 -lpthread -lm -Wl,-rpath-link,../../exports/lib
../../exports/lib/libGLU.so: undefined reference to `operator new(unsigned)@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `vtable for __cxxabiv1::__class_type_info@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `vtable for __cxxabiv1::__vmi_class_type_info@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `__gxx_personality_v0@CXXABI_1.2'
../../exports/lib/libGLU.so: undefined reference to `operator delete[](void*)@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `vtable for __cxxabiv1::__si_class_type_info@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `__cxa_pure_virtual@CXXABI_1.2'
../../exports/lib/libGLU.so: undefined reference to `operator new[](unsigned)@GLIBCPP_3.2'
../../exports/lib/libGLU.so: undefined reference to `operator delete(void*)@GLIBCPP_3.2'
collect2: ld returned 1 exit status
make[3]: *** [glxinfo] Error 1
make[3]: Leaving directory `/var/tmp/portage/xfree-4.3.0-r4/work/xc/programs/glxinfo'
make[2]: *** [install] Error 2
make[2]: Leaving directory `/var/tmp/portage/xfree-4.3.0-r4/work/xc/programs'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/var/tmp/portage/xfree-4.3.0-r4/work/xc'
make: *** [install] Error 2
!!! ERROR: x11-base/xfree-4.3.0-r4 failed.
!!! Function src_install, Line 614, Exitcode 2
!!! (no error message)

てな感じで、いつもここで止まる。
gccは3.3.2-r5, glibcは2.3.2-r9、distcc, ccacheは切ってキャッシュ削除したけど駄目。
なんでだろ…欝だ…

118 :login:Penguin:04/02/10 17:01 ID:wIfhdecN
大量アップデート後のetc-updateで2つほど動作が変わったことがあるのですが
どのファイルが関係しているのか教えていただけないでしょうか?
・gdmのメッセージが英語になった(他のGTKアプリとかは大丈夫)
・emacsのメニューバーのfontが妙にでかくなった(他のfontは平気)

変えちゃいけないものはだいたい分かっていたつもりでいたんですが
/etc以下のファイルについて結構な知識がないとetc-updateはつらいですね。


119 :login:Penguin:04/02/10 17:19 ID:QapsLn+1
明らかに上書きしても無問題と自分で分かってるファイル以外は
面倒だけど、Interactively mergeで内容逐次確認しながらマージした方がいいよ
内容確認とマージ内容の修正も手軽に出来るしね
俺は明らかに上書きしてもいいファイルでも必ず内容の確認してから
マージするようにしてますだ


120 :login:Penguin:04/02/10 17:32 ID:wIfhdecN
>>119
そうですね。いい教訓になりました。
でもさすがに40個もあるとやる気が失せてしまって・・・・。


121 :login:Penguin:04/02/10 17:36 ID:L2A2eZa/
>>120
etc-updateで必要な物を先にマージして、
残りは全て-5で一斉に上書きすれば直ぐ終るでしょ。

122 :login:Penguin:04/02/10 17:44 ID:wIfhdecN
>>121
その結果が>>118です。
原因は自分の知識不足なんですが。

123 :login:Penguin:04/02/10 17:45 ID:ta65krpO
ちびちびアップデートした方が安全なのかな。

124 :login:Penguin:04/02/10 18:11 ID:wIfhdecN
>>118です。
emacsはxfs関連の/etc/conf.d/xfsと/etc/X11/fs/configでした。
インストール後にちょっと触ってただけだから忘れてた。
記憶って頼りないものですね。

・gdmのメッセージが英語になった(他のGTKアプリとかは大丈夫)
に関して分かる方がいたらお願いします。

125 :login:Penguin:04/02/10 18:44 ID:CwNyHlUk
恥じめまして。gccが3.3.2に上がったら、distccがヒドイことしますねん。
distccdが動いてるgentooマシンがカーネルパニック起こしますねん。
ifconfig見ても各機異常ないのに、ルータ以下LANが全部駄目になりますねん。
gccのバージョンは揃えたんだけど、
そんだけじゃ駄目なの?

126 :login:Penguin:04/02/10 22:04 ID:J12LqsBn
gcc-3.3.2-r7
portage-2.0.50-r1

に早くした方がいいみただぜ。

127 :login:Penguin:04/02/10 22:12 ID:J12LqsBn
>>124
gdm って日本語出てましたっけ? /etc/X11/gdm/XKeepsCrashing あたり?
xfree を上げたとき、xfs 関連と xkbd や gdm やらがごっそり変わったけど。

128 :login:Penguin:04/02/11 02:43 ID:ZplAOWC3
>>125です。
揃ってるとばかり思ってたgccのバージョン、
片方が3.3.2-r5だった!
いままさにそのマシンで emerge -e system のgcc stage2してるもんだから
止めるに止めれず。
まーたxfreeもやりなおしかよう。。
ともあれレスありがと。
実はこれが2ちゃんねる初カキコですねん

129 :login:Penguin:04/02/11 02:51 ID:RAL9xsde
>>128
それが原因なのかな…
ccacheとか使ってるなら上の方の人が3.2->3.3ではクリアしないとおかしくな
るとか言ってたけど。
わかんないけどね。


130 :login:Penguin:04/02/11 05:58 ID:68k76nyU
kinput2 -canna &
を書き込むのはxinitrcやらxsessionがいいと言われてるけど、
自分は何故かbashrcじゃないと設定を読み込んでくれんかった。
なんでだろ。

131 :login:Penguin:04/02/11 06:17 ID:ZplAOWC3
また>>128より。
エイヤとコンパイル止め、
#emerge sync && ccache -Cののちに
#emerge -p gccしてみたら
[ebuild R } sys-devel/gcc-3.3.2-r5

3.3.2-r7にならない!謎だあ。
もうヤケクソでdistccをonにして、もっかい
#emerge gcc
してみたら、今度は無事動作。これはccacheの問題だったみたい。
もうこのまんまで行こうかな。

132 :login:Penguin:04/02/11 13:46 ID:re3ydCsg
今朝起きてから emerge sync したわけだが
# emerge kernel-headers のあとは
# emerge glibc
# genkernel
しなきゃ駄目なのかな?? 詳細キボン > ALL

133 :login:Penguin:04/02/11 14:15 ID:re3ydCsg
間違えた。
> # emerge kernel-headers のあとは
^^^^^^
linuxじゃん....。


134 :login:Penguin:04/02/11 16:27 ID:VaUAGcu9
>>127
etc-updateが原因かemerge -U worldが原因か分かりませんが
いままではplease enter your usernameなどの表示は日本語でした。
うーん、特に害はないけどなんだか気になる。

135 :login:Penguin:04/02/11 16:28 ID:FaXObjwX
ccacheって実はただのトラブルメーカー?アンマージしようかな。

136 :login:Penguin:04/02/11 17:01 ID:oDDXoko4
>>135
今のところ漏れのとこじゃトラブルないけど
しかしこれ、コンパイル早くなってんのかなぁ?なんか微妙。
そのくせHDDバカ食いするので、消そうかと思ってる。

ところで藻前らbaselayout-1.8.6.13の
init.d/consolefontの動作がおかしくなってませんか?
setfontがusage何度も出しまくってエラーだすんだけど。
とりあえずbootから外して逃げた。

137 :daemon:04/02/11 17:41 ID:TA9Fy7E8
突然ですが・・・
「Gentoo Linux 1.4 インストール手引書」を元にしたのですが、起動出来
ません
インストール後のエラーブートメッセージでは何やら、/bootが間違ってroot
としてmountされているようなのですが、復旧の仕方が判りません。
以前に、一度gentooのインストールを試みたときも、同様のエラーブート
メッセージが出てインストールが出来ませんでした。
諸先輩方のお知恵をお借りしたし。
-----------boot message-----0--------------------------------------------
VFS: Mounted root (ext2 filesystem).
Gentoo initrd startup...
STEP1: Command-line parsing
STEP2: Module loading
--- Scanning for ehci-hcd...cat: /module.cache: No such file or directory
.
.
.
STEP3: Mounting neccessory filesystem per boot options
Started device management daemon v1.3.25 for /dev
STEP4: Determining root device
Root block device unspecified or not detected.
Please specify a device to boot, or "shell" for a shell.
-------------------------------------------------------------------------
-----------/etc/fstab----------------------------------------------------
/dev/hda1 /boot ext2 noauto,noatime 1 2
/dev/hda3 / reiserfs noatime 0 1
/dev/hda2 none swap sw 0 0
/dev/cdroms/cdrom0 /mnt/cdrom iso9660 noauto,ro,user 0 0
none /proc proc defaults 0 0
none /dev/shm tmpfs defaults 0 0
-------------------------------------------------------------------------

138 :login:Penguin:04/02/11 18:22 ID:gcx91kA3
rdev で rootのデバイスを確認してみるとか

139 :login:Penguin:04/02/11 18:29 ID:gcx91kA3
とりあえず、grub.conf晒してくれ >>137

140 :login:Penguin:04/02/11 18:29 ID:ijUjCz1h
kernelオプションでreiserfs supportはYになってる?

141 :login:Penguin:04/02/11 18:35 ID:Pf7GDh85
ccacheはディスクの寿命を早めるので使ってない。
昔ccacheにしか使ってないディスクが同時期に購入した
/ を持つディスクより先に死んだので、それ以来
使わないことにしてます。
まぁ、所詮IDEのディスクですけどね

142 :daemon:04/02/11 18:46 ID:TA9Fy7E8
以下は、boot.confです。
---------------boot.conf-----------------------------------
default 0
timeout 30
splashimage=(hd0,0)
kernel (hd0,0)/boot/kernel-X.X.XXX root=/dev/hda3 vga=XXX
initrd (hd0,0)/boot/initrd-X.X.XXX
-----------------------------------------------------------
.
.
kernelオプションはreiserfs support Yにしたと思います。


143 :login:Penguin:04/02/11 19:00 ID:fJqn4duj
>>142
devfsdインスコしてたら、kernelの記述にdevfs=mountの追加キボンヌ。

144 :login:Penguin:04/02/11 19:05 ID:umvUXbbS
>>142
devfsdをautomountにしてるなら、
append="vga=XXX"に記述を訂正きぼんぬ。

145 :login:Penguin:04/02/11 19:16 ID:ZplAOWC3
ccache早いことは確か。
PenII 322Hz /160MB なマシンだと如実に分かる。
ただし一度ビルドしたやつをもう一度コンパイルする際に限る。
USE FLAG変えて何度もemergeする時はいいよ。

けどHD寿命縮まるんか。貧乏人のオレにゃ無視できんな。その問題

146 :login:Penguin:04/02/11 19:37 ID:fJqn4duj
漏れのemerge実行後のスクリプト晒。
-----
#!/bin/sh#!/bin/sh
/usr/sbin/env-update
source /etc/profile
/usr/sbin/etc-update
ccache -C
rm -fr /var/tmp/portage/

/usr/sbin/env-update <
source /etc/profile < ここいらの順序は怪しいがこのまま使ってる
/usr/sbin/etc-update <
ccache -C
rm -fr /var/tmp/portage/
-----

147 :login:Penguin:04/02/11 19:42 ID:MCao5yAH
mirror.gentoo.gr.jpのdistfilesってMD5結構違わない?
最近4,5回遭遇してるんだけど。



148 :login:Penguin:04/02/11 19:45 ID:oDDXoko4
>>145
コンパイル中にheadが行ったり来たりするから とか
そういう理由かな 寿命縮まるのは。
読み書きの回数もO(n x n)分増えてるだろうし
#cache探して読み出して書き出してがobject毎に行なわれるわけだし
間違いなく寿命は縮まるだろうな。
しかも細かくガリガリと高速にやるわけだからねぇ。

でもまぁ、壊れるときは壊れるし、壊れないときは壊れないから
気にしても仕方ないと思うけどね。
それで時間が節約できるなら、積極的に使うべきだと思うよ。
バックアップをかかさずに、安い時期に予備のHDD買っておけば無問題。

と、言いつつ.ccacheがあまりにも容量圧迫するのでスペース確保のために消しますた。
新に溜め直すのもあれなんでついでにccacheそのものも消し。
2GB減った すっきり。

149 :login:Penguin:04/02/11 20:19 ID:MCao5yAH
baselayoutの /home/.keepってなんとかならないかなぁ。
/homeをNFSで共有しててrootで書き込み禁止にしてると
困るんだよなぁ

150 :daemon:04/02/11 20:41 ID:TA9Fy7E8
>>144
apend="vga=xxx"としなくても、広い画面で表示されているようです。

151 :daemon:04/02/11 20:44 ID:TA9Fy7E8
>>144
>devfsdをautomountにしてるなら
インストールをした状態のままなのです。


152 :login:Penguin:04/02/11 22:37 ID:PgtwlfCh
こういう問題が出てどうやって解決したらいいかまだわからん
http://forums.gentoo.org/viewtopic.php?t=113225&start=0&postdays=0&postorder=asc

解決した人いますか??

153 :login:Penguin:04/02/11 23:31 ID:LXjA846e
>>152
クロスポスティングでないならそちらで訊いてみたら?

154 :login:Penguin :04/02/11 23:32 ID:FhHxuaED
x86では発生しなかったけど、sparcでは同じ問題発生した。
unmergeやら、-Cやら、ccacheクリアやら色々やったけど、、うまくいかないでいます。

ちょっと他の操作してHDD飛ばしたので、やりなおしてます。
gnomeのバージョンアップ重なったからなぁ。

#games-arcadeを息抜きで入れようとしたら、「古い」ライブラリ強制呼出。。
#libSDLぐらい、>=でやっていて欲しかったなぁ。


155 :login:Penguin :04/02/11 23:36 ID:FhHxuaED
直接、emergeしたらうまくいく、いったとあるね。
次は、それを試してみようっと。

#portageのversion-upのからみ?


156 :login:Penguin:04/02/11 23:43 ID:F5IInXUe
>>147
mirror.gentoo.gr.jp はあまり信用しないほうがいいんじゃ……。
そのうちリプレースされると思われる。

157 :login:Penguin:04/02/11 23:43 ID:MCao5yAH
>>152
sys-devel/libtool-1.4.3-r3だと同じ問題に遭遇して
sys-devel/libtool-1.5.2-r1をだとコンパイル通るね。
~x86でしかテストされずにx86になったんじゃないかな
あらゆる状況をテストしろなんて無理な注文だけど。

158 :login:Penguin:04/02/11 23:45 ID:PgtwlfCh
>>153
そうなんだけどねぇ、僕の疑問はすでに質問されてるんで、下手な英語よりそれでいいかなとw

>>157
なんか、そういうのが一番どうすればいいのか迷うからなぁ。
その方法で問題ないようだったら僕もそれにしようかな。

159 :login:Penguin:04/02/12 00:21 ID:ssRRgOXn
>>158
個人的な希望としてはなるべくあっちを利用して欲しいんですけどね。
向こうの方が利用者多いし、それだけ反応も期待できるし
それに日本人以外の人も恩恵にあずかれるし。
いちばん困るのは各国語で話されてる場合。
本家でも各国語あるんだけど、ポーランド語のフォーラムにしか該当質問がなかったりすると
途端に困ってしまう・・。


160 :login:Penguin:04/02/12 00:45 ID:AyZca1xh
>>159
たしかにね。
僕もなるべくあっちのフォーラムの情報を参照してる。(IRC使えない環境だからw)
まぁ、もうちょっと英語を上達させないと質問がうまくできないのがネックだねぇ。
勉強しなきゃ。

161 :login:Penguin:04/02/12 00:48 ID:ssRRgOXn
>>160
あ、別にここで質問するなって言ってるわけじゃないので。
日本語環境独自の問題を向こうで日本人同士英語でやっても無意味だと思うし。
漏れも些細なことはこっちで質問してるけど、エラーとかフィードバックさせたい話題は
なるべく向こうに振ってる。

162 :117:04/02/12 17:10 ID:6pQuVxMG
自己解決。
pythonを新しいgccでemergeしなおしたら直った。

163 :login:Penguin:04/02/12 17:57 ID:6VuIL1fW
qt-3.3.0に更新したら、fontの名前を日本語で認識出来なくなっとるし、
KDEのterminalでkochiとかMSゴシック(ライセンス云々は勘弁)とかが
使えなくなってやがる。

CJK不具合対処patch出るまでしばらくportagejpのqt-3.2.3-r2使うことにしよ。

164 :163:04/02/12 17:58 ID:6VuIL1fW
あ、正式には選択できないか。

165 :login:Penguin:04/02/12 21:51 ID:rBUAwWkG
>>163
kde-3.2.0なお話でつか?
もしそうなら、kde-i18nの絡みだと思われ。

166 :163:04/02/12 22:45 ID:yKWEh0ba
>>165
や、kde-3.2.0使ってたときkonsoleのfont選択でqt-3.2.3だとXftな設定のみで
MS Gothicとかが選択できたのだが、qt-3.3.0だと何故かXF86Configで指定した
奴だけしか選択できぬ。
control centerでもfixed widthが変みたい。

まさかXftConfig指定に先祖返りしてるのかな?

# http://www.kde.gr.jp/pukiwiki/index.php?Konstruct-JP
#上記のURLで拾ったpatch充てたkdelibs-3.2.0をbuildしてみた。
#結構良さげ。 これのebuildとかpatchって公開すべきかな?

167 :login:Penguin:04/02/12 23:45 ID:Y6R2sHEY
>>165
qt-3.3.0にakitoパッチが当たってないからだと思われ
kde-i18nは無関係


168 :163:04/02/12 23:49 ID:NE1nDUJ+
XftConfigには依存してない模様。

反則技かも知れぬが、直で~/.kde/share/config/konsolercのdefaultfontの値
をvim等でControl Centerのfont選択のGeneralで選択できる一定幅のfontに
編集してみた。
そうしたらKochi GothicとかMS Gothicが使えたよ。なんだかなぁ。

169 :login:Penguin:04/02/13 00:33 ID:f9XIRuXX
cmucl入れようとしたら

* >>> Fixing permissions for executables and directories...
* >>> fix permissions for non-executable files...
/usr/sbin/ebuild.sh: line 73: /usr/sbin/register-common-lisp-implementation: そのようなファイルやディレクトリはありません
* Caching service dependencies... [ ok ]
>>> dev-lisp/cmucl-bin-18e-r1 merged.
>>> Recording dev-lisp/cmucl-bin in "world" favorites file...

となった。これって正常にemergeされてないよね?

/usr/sbin/register-common-lisp-implementation こんなファイルってある?
/usr/sbin/register-common-lisp-source ならあるんだけど。(dev-lisp/common-lisp-controllerで入るやつ)

cmuclのせいか、 cl-defsystem3 もこけるんだよね。

ebuild.sh: Compiler clisp installed
ebuild.sh: Common Lisp implementation cmucl uninstalled
installing the clc...
/usr/lib/common-lisp/bin/cmucl.sh: line 106: 5503 セグメンテーション違反です /usr/bin/lisp -core
${IMAGE%.core}-dist.core -load /usr/lib/cmucl/install-clc.lisp -nositeinit -noinit -batch -quiet
FAILED
ebuild.sh: Compiler cmucl installed

170 :login:Penguin:04/02/13 00:38 ID:f9XIRuXX
dev-lisp/common-lisp-controller を入れ直したら今度はこう言われる。

* >>> Recompiling Common Lisp Controller for cmucl
installing the clc...
/usr/lib/common-lisp/bin/cmucl.sh: line 106: 17540 セグメンテーション違反です /usr/bin/lisp -core ${IMAGE%.core}-dist.core -load /usr/lib/cmucl/install-clc.lisp -nositeinit -noinit -batch -quiet
FAILED
* >>> Done rebuilding

cmuclはさっき正常に入らないって言われたばかりだしなー
これって堂々巡り???

171 :login:Penguin:04/02/13 00:54 ID:f9XIRuXX
そもそも dev-lisp/cmucl がこんなエラー吐くんだけど、これっていったい何?
もうワケワカメ!

>>> emerge (4 of 4) dev-lisp/cmucl-18e-r2 to /
*** Adjusting cvs-src permissions for portage user...
>>> md5 src_uri ;-) cmucl_18e-8.tar.gz
>>> md5 src_uri ;-) cmucl-18e-x86-linux.tar.bz2
>>> Unpacking source...
>>> Unpacking cmucl_18e-8.tar.gz to /var/tmp/portage/cmucl-18e-r2/work
>>> Unpacking cmucl-18e-x86-linux.tar.bz2 to /var/tmp/portage/cmucl-18e-r2/work
RUNNING FROM extra_functions.sh
* Applying herald-save.lisp-gentoo.patch... [ ok ]
RUNNING FROM extra_functions.sh
* Applying install-clc.lisp-gentoo.patch... [ ok ]
>>> Source unpacked.
./build-tools/create-target.sh target linux_gencgc x86 || true
./build-tools/clean-target.sh target || true
./build-tools/build-world.sh target
./build-tools/build-world.sh: line 55: 28072 セグメンテーション違反です $LISP "$@" -noinit -nositeinit <<EOF
(in-package :cl-user)

(setf (ext:search-list "target:")
'("$TARGET/" "src/"))


172 :login:Penguin:04/02/13 01:36 ID:ObVhM+T1
>>171
うーんなんだろね。
とりあえずemerge infoでも出せば誰かが何かをわかるかもよ。
それとuserprivしているみたいだけど、それ外してもう一回やってみるとか。
たまにそれが悪さすることあるんで。


173 :login:Penguin:04/02/13 02:46 ID:f9XIRuXX
FEATURES="-sandbox ccache digest" これだけなんですけど。sandboxは権限関係で問題起こるといけないので
わざわざ外したくらいで。

Portage 2.0.50-r1 (default-x86-1.4, gcc-3.3.2, glibc-2.3.3_pre20040207-r0, 2.6.3-rc2)
=================================================================
System uname: 2.6.3-rc2 i686 Mobile Intel(R) Celeron(TM) CPU 733MHz
Gentoo Base System version 1.4.3.13
ccache version 2.3 [enabled]
Autoconf: sys-devel/autoconf-2.59
Automake: sys-devel/automake-1.8.2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium3 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"


174 :login:Penguin:04/02/13 02:46 ID:f9XIRuXX
(つづき)
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.2/share/config /usr/kde/3/share/config /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-march=pentium3 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/mnt/share/gentoo"
FEATURES="autoaddcvs ccache digest"
GENTOO_MIRRORS="http://gentoo.oregonstate.edu http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.jp.gentoo.org/gentoo-portage"
USE="X Xaw3d aalib acpi alsa apache2 apm arts avi berkdb bonobo canna
cjk composite crypt cscope cups curl directfb dvd emacs encode esd
ethereal evo fbcon flash foomaticdb gd gdbm gif gnome gpm gtk gtk2
gtkhtml guile imagemagick imlib ipv6 java jpeg kde leim libg++ libwww
mad mikmod mmx motif mozilla mpeg mule mysql nas ncurses nls nptl
oggvorbis opengl oss pam pcmcia pda pdflib perl pic plotutils png
pnp python qt quicktime readline ruby scanner sdl slang socks5 spell
sse ssl svga tcktl tcltk tcpd tetex tiff truetype usb video_cards_i830
wmf wxwindows x86 xface xml2 xmms xv zlib"


175 :login:Penguin:04/02/13 12:25 ID:+JHCWg+y
emerge gnuplot-3.8j.ebuild を途中に止めたら
再起動後からXのフォントがちゃんと表示されなくなってしまいました。
何かフォント関係のパッケージでバージョンが変わってしまったことが原因かなと思うんですが
心当たりはありますか?


176 :login:Penguin:04/02/13 12:33 ID:2cqjBjIK
>>175
そのパッケージは入れましたが、フォントはいじってなかったと思います。


177 :175:04/02/13 12:58 ID:+JHCWg+y
>176
あれ?じゃあ別のパッケージだっかのかも?

とりあえずブラウザ等で日本語が□になってしまってます。(ちゃんと表示されているのもある)
助けてください。

178 :login:Penguin:04/02/13 13:26 ID:RfL4/hZ6
>>177
よくわからんけど/var/log/emerge.logの最後の方を見てみたら?

179 :login:Penguin:04/02/13 13:32 ID:f9XIRuXX
>>177
XF86Config見るとか、.fonts.cache-1消してみるとか?

180 :login:Penguin:04/02/13 16:58 ID:yXbIZxCJ
pcmcia-cs の 3.2.5-r1 を入れて orinoco_cs な無線LANカードを使おうと
思ったんだけども、 /lib/modules/2.4.23-ck1/pcmcia に orinoco_cs.o が
見つからない。 なんでだ? 昔入れた時は入ってた気がするんだけど、誰か
知らない?

181 :login:Penguin:04/02/13 20:47 ID:UhugFdPP
>>180
ckパッチってpcmcia関連に不具合があったんじゃなかったっけ。

182 :login:Penguin:04/02/13 20:52 ID:QxdoWRfZ
あるよ
ck配布ページ参照

2.4.21-ck1くらいからずっとあるよね?
2.4.20-ck7からだっけか。

183 :180:04/02/13 21:42 ID:Wjo23NNH
>>181-182
お、情報thanks. しらんかったよ。 gentoo-sources にしようかな。

ttp://www.plumlocosoft.com/kernel/#faq より
---
It doesn't cope with the variable Hz so use the split patches
and leave out the 014-vhz.diff.bz2 patch.
---
動的な周波数の変化(なんのだ?)をうまく処理できません。 だから
014-vhz.diff.bz2 patch を外してからパッチを当ててね。


でも、これ関係あるのかな? まぁやってみよう。

184 :login:Penguin:04/02/13 22:53 ID:QxdoWRfZ
>>183
たしかタイマーかスケジューラ関連のものだと思た
空覚えなんで、話半分てことで

2.4追い掛けなくなって大分たつんで、もうすっかりどれが何やら…
ゴメンネ

誰か詳しい人がいたら後々のために、軽く御指導 御鞭撻のほどよろすく

185 :180:04/02/14 00:32 ID:ayrvSn/T
2.4.22-gentoo-r5 に変えてみたけど、orinoco_cs は見当たらない。
もちろん pcmcia-cs 3.2.5-r1 を emerge したけど、やっぱりだめぽ。
LiveCDには入ってたから、そいつをコピーして modprobe してみたんだけど
unresolved symbol でまくり。 こうなると漏れじゃお手上げだ、、。

186 :login:Penguin:04/02/14 00:46 ID:68fxjoKp
>>185
ここにない?

/lib/modules/2.4.22-gentoo-r5/kernel/drivers/net/wireless/orinoco_cs.o

187 :180:04/02/14 00:58 ID:ayrvSn/T
>>186
ないんすよー、それが。
そこにあるのは airo.o airo_cs.o のみ。 このファイルの
タイムスタンプを見るとpcmcia-cs を入れた時間になってる。

kernel 2.6系にしてみようかなぁ・・。 関係ないかなー・・。

188 :login:Penguin:04/02/14 01:19 ID:68fxjoKp
>>187
間違ってたらすまそん。

Kernel Config -> Network device support -> Wireless LAN (non-hamradio) ->
Hermes chipset 802.11b support (Orinoco/Prism2/Symbol)

にチェックが入ってないとか…



189 :login:Penguin:04/02/14 01:27 ID:s6L5k7sR
まさか…
それはないだろう

きちんとやってるよな?

190 :login:Penguin:04/02/14 01:34 ID:NkQvfjR1
gentoo2004はいつ頃リリースですか?

191 :180:04/02/14 01:37 ID:ayrvSn/T
>>188-189
まじごめん。 怒らないで・・。

pcmcia-csってカーネルのコンフィグと関係なしに(ヘッダ参照する程度で)
モジュールだけぶちこんでくれるのかと思ってた。 カーネルのコンフィグ
で指定されたドライバはLinusか誰かのお墨付きで超安定版だと信じてた。
コンパイルする時にコンフィグ読むんだね。

一つ賢くなったよ。 みんなありがと。 ゴメンネ。

192 :login:Penguin:04/02/14 02:16 ID:s6L5k7sR
>>191
どんまい
失敗は成功の元
ガンガレ♪

193 :login:Penguin:04/02/14 13:14 ID:sarE/Y5s
ebuild の書き方を説明してある文書とかサイトって無いかなぁ?

公式文書を読むと、ebuildの中の大文字の変数の中身とかは書いてあるし
それ自体は名前から見て判断付くんだけど、
肝心のスクリプトの部分がどういうものなのか説明が全然ないんだけど。
スクリプトだから容易に理解できる・・・って書いてあるけど、
econf とか emake とか einstall とか こんなのはまだいいとして、
elisp-site-file-install とか latex-package_pkg_postinst こんなのが
どんな働きをするのかとか、そういうのってよくわからないんだけど。
肝心の所で文書がないので ebuild 書こうと思っても書けないよ。



194 :login:Penguin:04/02/14 13:25 ID:sarE/Y5s
いちおうebuildそのもの以外の文書を探してぐぐってみたんだけど
econf emake einstall -copyright
結果全言語で11件。トップに来てるサイトは日本語でemake,econfとかは解説載ってたけど
emacs関連は無し。もう一件の日本語のはJPのebuilderに関して。
あとは全部外国語、やっぱebuild書く人は、pythonのコード(だっけ?)読まないとダメなのかなぁ。はぁ


195 :login:Penguin:04/02/14 14:59 ID:bH7+IdxH
>>194
自分の場合、SoftwareDesignの記事見て書けるようになった。
ebuildにinhert elispと記述することでemacs用に作られた
eclass(拡張のようなもの)を読み込んで
elisp-site-file-installなどのemacs用関数が使えるようになる。
ちなみにelisp-site-file-installは
みたまんまでsite-fileをインストールする時に使う。
動きが知りたければ/usr/portage/eclass以下を見るといいかも。

同じことが書いてあるのでSoftwareDesignを立ち読みすることを薦める。

196 :login:Penguin:04/02/14 16:28 ID:lSJtBAet
現在公開されてるdisk1.isoに入ってるカーネルのバージョン知りませんか?
2.4.20くらいでしょうか?

197 :login:Penguin :04/02/14 18:35 ID:rtqGQGiB
2.4.22


198 :login:Penguin:04/02/14 19:21 ID:5edZFZhk
>>195
でもelispのeclassって汎用性ないよ。
正直、ソース付属のMakefileにそって書いた方がすんなりいくと思う。
app-emacs以下は絶対elispのeclassを使わなきゃとこだわっても仕方ない代物だよ。
ついでに、SITEFILEなんて素人向けなもの辞めればいいのに。
メンテコストがあがるだけで、だれにも喜ばれやしないのにねぇ
.emacsすら書けないならemacsつかうのやめろよとすら思うよ(大げさ)
まぁ、しょせんbugsにすら投稿しない奴の愚痴ですから聞き流してください

199 :login:Penguin:04/02/14 20:38 ID:yE4vWYWS
ある日いきなりnanoやviで
方向キーが利かなくなったんですが
普通そういうことってないですよね?

謎だ・・・・・・。


200 :login:Penguin:04/02/14 20:53 ID:IPFqZy8c
>>199
emergeでkeymapとかのetc関係が書き換わったとかはないです・・・・・よねw

201 :login:Penguin:04/02/14 23:36 ID:OlNE+ugx
虫が孵ったとか

202 :login:Penguin:04/02/15 00:05 ID:dzNZAa6f
久しぶりにGentooインストール中。しばらくWindowsに浮気してた
しっかし、なぜかコンパイル中に毎回ジャンクフードが食べたくなる
なんでだろう?

203 :login:Penguin:04/02/15 00:06 ID:O5gXbSHq
>>198
elispが書けるなら.emacsもsite-fileも
大して変わらないと思うが。
まあそんなことより、
bugsにすら投稿しないのにメンテのコストを
心配しちゃうところが何とも妙なわけですが。

204 :login:Penguin:04/02/15 01:00 ID:EreFddRF
すいません。
くだ質スレから誘導されてこちらに来ました。

RH9からGentooLinuxに最近乗り換えたんですが、
おとといから動作がおかしくなってしまい悩んでいます。

状況というのが、
起動前にUSBの外付けHDDを付けていると、
hotplugの最中でフリーズした状態になってしまいます。

起動後に、このHDDをつなげると、
usb-storageがinitializingのままになっています。(lsmod)
また、
ls /proc/bus/usb/
で、ターミナルがフリーズした状態になってしまいます。

/dev/sd*も存在しない状況です。

手がかりが少しでもほしいので、お手数ですが、教えて頂けるとうれしいです。
よろしくお願いいたします。
長文すいませんでした。

205 :login:Penguin:04/02/15 01:06 ID:5dJtDiCr
エスパー募集?

206 :204:04/02/15 01:32 ID:EreFddRF
>>205
どこに問題があるかという検討がつかないのです。
わかりにくくてすいません。

自分なりにいろいろぐぐっているんですが、
どこをみればいいのか。。。

おそらく、emerge worldのあとに設定ファイルを書き換えたのがまずかったんだと思いますが、
こういう時ってどの設定ファイルが怪しいんでしょうか。。。
漠然とした質問ですいません。

207 :login:Penguin:04/02/15 01:33 ID:EDhjv9Lh
どのファイルをどう書き換えたかが見えるエスパーを募集します。

208 :login:Penguin:04/02/15 01:48 ID:/7QdPtP9
>>193-195,198
一応 man 5 ebuild でどういう変数がどういう役割をしている
のかは書いてあります。(これに関しては man ページも日本語
のものがありますので、emerge manpages-ja してください)
Python コードを読む必要はたいていの場合ありませんが、
英語とシェルスクリプトは読む必要があります。Portage が
予想しない挙動を示すときはたいがい Python 部分で間違い
があるので、そういうときは Python を追わないといけない
のですが、書く分には後ろで Python が動いていることはまず
意識しないはずです。

eclass はちょっと特殊なので、/usr/portage/eclass の下を
見て、としか言いようがありません。ソース付属の Makefile
って存在する場合と存在しない場合がありますよね? elisp
では特に Makefile が存在しない場合が多いので、それ用の
補助関数が elisp-common.eclass に入っています。(elisp.eclass
は elisp-common.eclass を inherit する) SITEFILE も去年の
に入ったものなので、今後どうなるか分かりません。ただ、
最近 emacs herd の人が増えてきたのでなにか動きがあるかも。
(以前は1人で elisp いじっていて、その人が SITELISP なんか
も全部入れた)

あと1回連載があったら eclass について書けたのですが。。
分量オーバーして eclass に関するところを全部削ったのです。

209 :login:Penguin:04/02/15 02:16 ID:/7QdPtP9
>>195
宣伝どうもありがとうございます。日本語で読める ebuild
の書き方は、Software Design 1月号と2月号に書いたので、
来週頭にはもう3月号が出るので店頭からは消えると思いますが、
見かけたら手に取ってみてください。

そういうわけで日本語で書かれた eclass に関する文書は
ほとんどないと思います。GentooJP で用意しようという話
もあり、担当する人もだいたい決まったのですが、その人が
いま個人的な事情で忙しいので止まっています。もっとも、
eclass に関しては英語で書かれたものもほとんどないので
どうしようもありませんが。。(いくつかのものについては
man がありますが、man を見るよりも実際の eclass スクリプト
を見たほうが速い)

あと eclass についてはどうも Portage の中での位置づけが
はっきりしていない(たとえば eclass にはバージョン番号も
ないし、x86/〜x86 のようなキーワードもない)ので、習うより
慣れろ、そして不満があったらメーリングリストなり bugzilla
なりで議論する、といったことを積み重ねていかないと、
にっちもさっちもいかない状況です。


210 :login:Penguin:04/02/15 02:17 ID:/7QdPtP9
eclass について書こうとして削った内容を少し書いておくと、
eclass を使う動機には2つの方向性があって、1つは ebuild
のコードをできるだけ減らそう、とする方向性と、もう1つは
ebuild で使うと便利な関数を定義しよう、という方向性があり
ます。

前者は前者でたとえば KDE 関係の eclass があり、src_unpack()
はおろか src_compile() や src_install()も省略して書けるので、
ebuild がすごくコンパクトになりますが、使うと ebuild の可読性
を下げ、せっかく「ビルドする手順どおりに書けばよい」(裏を返せば、
ebuild を読めば手でビルドする手順が分かる)という長所を殺すことに
なるので、あまりお勧めではありません(でもそういう目的で導入される
eclass もけっこうありますし、コンパクトな ebuild を書くことがよい
ことだと信じる開発者もいるので問題含みです)。

後者のタイプの eclass はけっこう便利で、たとえば epatch なんて
のは最初 eutils.eclass に入っていましたが、パッチレベルを考えたり
しないでもいいし、失敗したら勝手に die してくれるし、ログも自動で
取ってくれるしで、いまは本体の portage に取り込まれるくらい便利です。
後者のタイプの eclass (elisp でいうなら elisp-common.eclass)
が増えることには賛成ですが、前者のタイプの eclass (同じく
elisp.eclass) が増えるのは、個人的には一長一短だと思っています。

211 :login:Penguin:04/02/15 07:31 ID:6b6upRyM
emacsインスト中に”文法エラー”ってかなりの回数でるけど問題ないの?

212 :194:04/02/15 12:46 ID:WC8X0rtB
eclassほかについて詳しく書いて下さった、開発者の方々、どうもありがとうございました。
SoftwareDesignは読んでみることにします。たしか学校で買い置きしてあったはず。
manは落とし穴でした。我ながら恥ずかしいです。
自分で手作業でインストールできるならebuildも書けるというのが私のGentooに
対する認識ですので、がんばってebuild書いてみます。

213 :login:Penguin:04/02/15 14:57 ID:UMpKKcs+
>>204
はじめはどうだったのか
何をしたのか
今どうなっているのか

くらいはみんなにわかるように言うといいんちゃう?

とにかくなんかダメですって言い方だとわけわからんよ?

214 :login:Penguin:04/02/15 16:49 ID:Y1u+OiQZ
kde-3.2で、メニューが英語でもいい場合は、
# env LINGUAS=" "
になんと入れればいいんですか?
"en"といれてみたけどインストールできませんでした。

215 :login:Penguin:04/02/15 18:23 ID:gxd1nVGK
>>214
kde-i18nを入れないでいい

216 :login:Penguin:04/02/15 20:59 ID:k0v4V1xW
〜今からインストールする人へ〜
http://www.gentoo.org/doc/ja/gentoo-x86-install.xml
を参考にしてインストールします。

1) 上記サイトの/etc/fstab内の/BOOT,/ROOT,/SWAPは適宜、
/dev/hda3,/dev/hda1,/dev/hda2として書き込む。
2) genkernelで作ったkernelだとreboot時コケるので、genkernelは使わない。
少し前にインストールした時はOKでしたが、今日インストールしてみたらコケた。
3) cronの選択でvcornは使えない。vixie-cronが同じ内容。

2),3)については、
LiveCD(1.4)からのインストールだとOKかもコケないかもしれません。ニョホ。

217 :login:Penguin:04/02/15 21:32 ID:EDhjv9Lh
>>216
もう vixie-cron になってるみたいよ。

218 :214:04/02/15 23:26 ID:Y1u+OiQZ
>>215
maskしてできました。

で、続いて -U world したときにgnome-vfs-2.4.2-r1でエラーが発生しました
checking for perl... /usr/bin/perl
configure: error: XML::Parser perl module is required for intltool

!!! ERROR: gnome-base/gnome-vfs-2.4.2-r1 failed.
!!! Function econf, Line 365, Exitcode 1
!!! econf failed

以前スレにでてきたperl関連の不具合だと思うんですが、どう解決したら
いいですか?

219 :204:04/02/16 00:30 ID:33sBUR1D
>>213
ありがとうございます。

はじめは外付けHDD(USB)をつないでいると、
/dev/sda1
に割り当てられ、
マウントも出来るようになりました。

emerge world
etc-update
のあと、
>>204
の状況になってしまいました。

現状ですが、
USBプラグを抜いたままだと問題なく、OSは起動します。
ただ、その後でつないでも、USBのHDDはまったく起動しません。

どのあたりから確認するのがいいのでしょうか。
すいません。

220 :login:Penguin:04/02/16 05:00 ID:RE9bTsEY
>>219
logあたりから。

221 :login:Penguin:04/02/16 11:00 ID:d1ro/TRL
dmesg

222 :login:Penguin:04/02/16 12:00 ID:d1ro/TRL
gnomeがスプラッシュで固まる。お助け!!tmpはスティッキービットにしてある。

223 :login:Penguin:04/02/16 12:51 ID:70Fof+MZ
うちはかたまらない。以上

224 :login:Penguin:04/02/16 13:26 ID:MTKmlqzH
暇なんだけどebuildにしてほしいものとかある?
大物は勘弁な。

225 :login:Penguin:04/02/16 13:39 ID:i0vx9GuY
axiomにリクエスト上がってました

226 :login:Penguin:04/02/16 13:50 ID:61CTSXg7
>>224
Postfix experimental release
大物?

227 :login:Penguin:04/02/16 14:27 ID:n6bOOM3R
>>224
X-SymbolとWhizzyTexおねがいします。
ttp://x-symbol.sourceforge.net/
ttp://pauillac.inria.fr/whizzytex/
両方ともlisp系みたいなので、ちょっと特殊かも知れませんが。

228 :login:Penguin:04/02/16 14:56 ID:70Fof+MZ
>>224
OpenPVS

229 :login:Penguin:04/02/16 15:06 ID:y1t5MVmA
>>219
emerge world した後におかしくなったという点から推測すると、確か最近hotplug-20040105
がstableになったようだから、やはりhotplug周りがあやしいね。でも残念ながら私もhotplugの
設定ファイルはいじった事が無いから何とも言えません。

もし本当にemerge worldの際にhotplugが更新されたのなら、暫定措置として一つ前のバージョン
に戻してみたらどうでしょう。

もし、最後にどのバージョンがマージされていたのか分からなかったら、この機にgenlop
を入れておくと色々と便利かも。
% emerge genlop
% genlop hotplug

230 :login:Penguin:04/02/16 15:07 ID:y1t5MVmA
あ、プロンプト間違えた、、、

231 :login:Penguin:04/02/16 15:53 ID:MTKmlqzH
>>226
experimental(20040209)でうまく当たりそうな
${PGSQL_P}.patchと${PN}-2.0-ns-mx-acl-patchが見つからないんだけど
どこかにある?それともexperimentalだともう不要だったりする?
postfix使ってないんでよく分からんから教えて。

OpenPVSとaxiomはとりあえず保留。

TeXは使ったことないけどlisp系はいくつかebuild作ったことあるから
X-SymbolとWhizzyTexはやってみるかも。

232 :login:Penguin:04/02/16 16:07 ID:70Fof+MZ
sys-devel/autoconf-2.59-r1
だめぢゃん

233 :login:Penguin:04/02/16 16:38 ID:Zb+KFPhN
>>232
2.59-r2出てるよ。

234 :login:Penguin:04/02/16 18:49 ID:aKtc08AZ
>>224

もし宜しければ、
DiCEのLinux版お願いします。
http://www.hi-ho.ne.jp/yoshihiro_e/dice/linux.html


235 :login:Penguin:04/02/16 19:13 ID:MIRU8Zmq
すんまそん。gentoo初心者です。
sys-kernel/linux-headers-2.6.1を使ってるんですが、
emerge -Dup worldなんかすると、
linux-headers-2.4.22にダウングレードしろってうるさいんですね。
/var/cache/edb/worldに 
=sys-kernel/linux-headers-2.6.1
を記述してるんですが。

もちろん、emerge -up world だとダウングレードしろっていわれないです。
-Dオプションつきでportageを黙らせる方法を教えて下さいませ。

236 :login:Penguin:04/02/16 19:19 ID:fSh/3ZOl
wine-20040121のemergeが何故か完了しないなぁ。
dlls/Shellのとこでいつもつまづく。

237 :login:Penguin:04/02/16 19:19 ID:63oTEZPG
gentoo に sendmail を入れた方はいらっしゃいますか?

238 :login:Penguin:04/02/16 20:19 ID:9TlXNZrw
>>224
wnn7 欲しいなー
wnn7周辺とかatokxやvjeはあるのになぜかwnn7だけないみたいなので。


239 :login:Penguin:04/02/16 22:03 ID:90mSqW2B
>>231
あら、ns-mx-acl-patchいらないのかしらん。本当にないっぽい。

20030916

Feature: ``check_{sender,recipient}_mx_access maptype:mapname''
applies the named Postfix access table to the MX host name
and IP addresses for the sender or recipient address. If
no MX record is found, the A record is used instead. File:
smtpd/smtpd_check.c.

Feature: ``check_{sender,recipient}_ns_access maptype:mapname''
applies the named Postfix access table to the DNS server
hostname and IP addresses for the sender or recipient
address. If no NS record is found, the parent domain is
used instead. File: smtpd/smtpd_check.c.

去年の9月に取り込まれてたらしい。

PGSQLのパッチはそのままあたるはず。今日、最新のexperimentalをPSGQLのパッチ付きでビルドしたので。

まだ動作検証してないのだけど。スマソ。少なくともmakeは通ってる。

240 :login:Penguin:04/02/16 22:20 ID:MTKmlqzH
>>239
情報thx!

PGSQLはtmpに解凍してあててみたけど
hoge@gentoo tmp % patch -p 0 < /usr/portage/distfiles/postfix-pg.postfix-2.0.0.2
.patch
The next patch would create the file postfix-2.0.0.2/README_FILES/PGSQL_README,
which already exists! Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file postfix-2.0.0.2/README_FILES/P
GSQL_README.rej
patching file postfix-2.0.0.2/src/util/Makefile.in
Hunk #1 FAILED at 4.
Hunk #2 FAILED at 32.
Hunk #3 FAILED at 58.
Hunk #4 FAILED at 575.
Hunk #5 FAILED at 617.
5 out of 5 hunks FAILED -- saving rejects to file postfix-2.0.0.2/src/util/Makef
ile.in.rej
patching file postfix-2.0.0.2/src/util/dict_open.c
Hunk #1 FAILED at 169.
Hunk #2 FAILED at 212.
2 out of 2 hunks FAILED -- saving rejects to file postfix-2.0.0.2/src/util/dict_open.c.rej
patching file postfix-2.0.0.2/src/util/dict_pgsql.c
patching file postfix-2.0.0.2/src/util/dict_pgsql.h

READMEはよいとしてMakefile.inとdict_open.cがうまく行かない感じがするんだけど。
patchのバージョンが違ってる?

241 :login:Penguin:04/02/16 22:30 ID:P1LKEj19
Gentoo 2004待ち続けて2週間もたってしまった...
まだー?

242 :login:Penguin:04/02/16 23:31 ID:i7dmCu4G
>>241
なんでそんなに 2004 を欲してるんだ?
emerge sync して最新のを使うんじゃだめなん?

243 :login:Penguin:04/02/16 23:55 ID:90mSqW2B
>>240
スマヌ。嘘書いてた。PGSQLサポート付きでビルドしたのは本当。でもパッチなんか使ってなくて、しかもFreeBSDでやったのだだだ。
というか、
Building Postfix with PostgreSQL support
========================================

To use pgsql with Postfix on Debian GNU/Linux, you must install
the postfix-pgsql package.

In order to build Postfix with pgsql map support, you specify
-DHAS_PGSQL, the directory with the PostgreSQL header files, and
the location of the libpq library file.

For example:

make tidy
make -f Makefile.init makefiles \
'CCARGS=-DHAS_PGSQL -I/usr/local/include/pgsql' \
'AUXLIBS=-L/usr/local/lib -lpq'

とREADME_FILES/PGSQL_READMEに書いてあるので、includeとライブラリをmakeの時に渡すだけだと思うんだけど。postfix-2.0.0.2ってずいぶん前だよね。まだ正式サポートされる前の頃のpatchじゃないかな?
portsのconfigure.postfixにもpatchは出てこない。
PgSQL)
echo "POSTGRESQL_PORT?= databases/postgresql7"
echo "LIB_DEPENDS+= pq.3:\${PORTSDIR}/\${POSTGRESQL_PORT}"
echo "POSTFIX_CCARGS+= -DHAS_PGSQL -I\${LOCALBASE}/include -I\${LOCALBASE}/pgsql/include"
echo "POSTFIX_AUXLIBS+= -L\${LOCALBASE}/lib -L\${LOCALBASE}/pgsql/lib -lpq -lcrypt"
echo "PGSQL_SUFFIX= +pgsql"
やってることはREADMEに書いてあることと同じだし。
くれくれ君で申し訳ないが、Gentooに完全移行したら手伝うのでかんべんして。

244 :login:Penguin:04/02/17 00:04 ID:hNfJ68z7
ちなみにPostfix TLS patchはいまならきれいにあたる(w
たいてい追いついてなくて、最新版にはあたらないことがあるんだけど。
smtp/smtpdにでかい修正が入ったら根性で修正するか、あきらめる。

ここね。
http://www.aet.tu-cottbus.de/personen/jaenicke/postfix_tls/

245 :login:Penguin:04/02/17 09:25 ID:AzuXhnIb
KDE3.2 $)B??????????????????????????????????
????????\¢\?\×\°\???\??????????????????£

246 :login:Penguin:04/02/17 13:31 ID:BjCRFYwz
microcode 使ってみた。
/dev/cpu/microcode っていうカーネルオプションを設定して、
sys-apps/microcode-ctlを導入して
rc-update add microcode default を実行して準備は完了。devfsは使用している。
起動時に /dev/cpu/microcodeが無いというエラーでスクリプトは正常終了しない。

/etc/devfsd.conf にcpu関連のエントリーは無し。が、
# ls -l /dev/cpu/microcode
crw-r--r-- 1 root root 10, 184 2月 17 2004 /dev/cpu/microcode
となってるし、/etc/init.d/microcode_ctlスクリプト該当部分は
if [ -f "/dev/cpu/microcode" ]
then
microcode_ctl -iu
eend $? "Failed to update microcode"
else
eend 1 "/dev/cpu/microcode not found! Please check your kernel config."
fi
こんな感じ。で、なぜこの状態でelseに行くのかわからないんだけど、then以下の2行と
elseの次の行を入れ替えて、このスクリプトを走らせると、正常終了した。
てことは、ifの存在判定が間違えてるってこと?よくわからん。(謎

247 :login:Penguin:04/02/17 13:54 ID:x+6nUsak
>>246
/dev/cpu/microcode は他の/dev以下と同様に"通常ファイル"じゃないからでしょ。

if [ -f "/dev/cpu..."] を
if [ -r "/dev/cpu..."] にしたらどう?

248 :login:Penguin:04/02/17 14:37 ID:BjCRFYwz
>>247
さすが識者は違いますねー。
バッチリ動きました。

それにしても、devfsはまだGentooでは使うのがデフォルトですよね?
なぜこういうコードになってるんでしょうね。本家でmicrocode探してみましたが
何も情報ありませんでしたが・・はて?

249 :login:Penguin:04/02/17 14:50 ID:rKixzi4g
>>246
> /etc/devfsd.conf にcpu関連のエントリーは無し。が、
> # ls -l /dev/cpu/microcode
> crw-r--r-- 1 root root 10, 184 2月 17 2004 /dev/cpu/microcode
> となってる
ウリは、デバイスが無いって言われるニダ。
代わりに/dev/microcodeがあるニダ。

250 :login:Penguin:04/02/17 14:58 ID:BjCRFYwz
>>249
あ、うちのもそれあるよ。
lr-xr-xr-x 1 root root 14 2月 17 2004 /dev/microcode -> misc/microcode

最初、/dev/cpu以下がないって言われたので、ぐぐって作成コマンド探して自分で作ったら
それ以降は自動で作られてるみたい。そのときのコマンドは
mkdir /dev/cpu
mknod /dev/cpu/microcode c 10 184
chmod 0644 /dev/cpu/microcode


251 :login:Penguin:04/02/17 16:30 ID:rKixzi4g
>>250
有我とん。

252 :login:Penguin:04/02/18 00:21 ID:Iam+3/dU
>>224
vrms (Virtual Richard M. Stallman)

253 :204,219:04/02/18 00:55 ID:Y5jBEfmn
遅くなりました。
皆さんありがとうございます。

>>220
どうやってログを調べればいいのかというのをぐぐっていました。

>>221
dmesgも見ましたが、
USBのHDDがつながって認識しようとしてるってところでとまってしまっていました。

>>229
genlopですね!
ちょっと調べてみます。

なんかgenkernelもおかしくなってしまっています。
引数が変わったのはおそらくバージョンが変わったんだと思うのですが、
genkernel all --menuconfigとして、設定をし直してちょっとしたら、
bugs.gentoo.orgにバグを送れとメッセージが出て止まってしまいます。
ログを見たんですが、直前まで全く問題なく、makeが進んでるんです。
おかしいので、きれいさっぱり入れ直そうと思います。

お騒がせしました。
&長文すいませんでしたm(_ _)m

254 :login:Penguin:04/02/18 02:12 ID:DzYbvZFl
>>246
ただ単にファイルの存在を調べるなら -e のほうがよさそうですね。

bugsにパッチがありました。このパッチは2.4系と2.6系のノードファイル名の違いも考慮
してあるから、よりスマート。
http://bugs.gentoo.org/attachment.cgi?id=22762&action=view


255 :login:Penguin:04/02/18 12:23 ID:dudAWj5B
OpenOffice のコンパイルまる一日かかって終わってからemerge sync したら、
今度はgcc-3.3.3 か… あ、qt もある… _| ̄|○


256 :login:Penguin:04/02/18 12:29 ID:pGouNRV2
マヂデ・・・?

いまFedoraの方が大量更新終えて、カーネル構築で容量不足で苦しんでて
WinXPを縮小しようとPMgic入れて、これからデフラグ掛けて、ついでに
Gentoo領域も一挙に拡大しようと思ってたのに・・・

まぁまたーりやるか

257 :login:Penguin:04/02/18 13:30 ID:1x/B+I/X
gccの更新後はemerge -e worldか。。
何日かかるかな。

258 :login:Penguin:04/02/18 14:18 ID:YDXKxMb8
>>257
しなきゃならないわけじゃないけどね。


259 :login:Penguin:04/02/18 14:53 ID:dudAWj5B
今までemerge -e してなかった…
今チェックしたらいっぱーい!


260 :login:Penguin:04/02/18 15:10 ID:pGouNRV2
よくgccのあと-e worldやるって人居るけど、
いったいどれくらいかかるんだろ?

自分のだと確実に4日か5日はかかりそう。

261 :login:Penguin:04/02/18 16:17 ID:uz6ah1bZ
畜生、mozillaを一昨日やったばかりなのに。

>>260
漏れだと、X上のやつが少ないから、6時間くらい。

262 :login:Penguin:04/02/18 16:19 ID:pGouNRV2
そっか、やっぱそういう人が居るんだ。。
自分はKDEとGnomeフルセットだからどうしても時間かかる。
これでooが入ってたらガクブル

263 :login:Penguin:04/02/18 16:21 ID:uz6ah1bZ
>>262
そりゃーガクブルものです(w

漏れは、Openmotifとgtk+とmozillaくらいだし。
もともと用途は、LaTeXが使えるのと、ネットと、
ちょっとしたプログラムができれば良いって程度だから。

264 :login:Penguin:04/02/18 17:03 ID:pGouNRV2
つーか
# emerge -ep world|wc -l
809


265 :login:Penguin:04/02/18 19:25 ID:0pD0lIXW
つーか、emerge -e worldしなきゃならんのって
glibcやらgccの互換性が無くなったときくらいだぞ

毎回やるのは無駄

266 :login:Penguin:04/02/18 19:58 ID:URCXoY+B
すんません、ちょっと質問です。
過去にも同じような質問があったらゴメンなさい。
例えば、P3→AMD64な環境に換えた場合
今までのHDDを新しい環境に持っていき
emerge -e world でしのげるのでしょうか?
やっぱり再インスコしなきゃダメ?

267 :login:Penguin:04/02/18 20:05 ID:0pD0lIXW
>>266
再インスコしたほうがいいと思うよ

268 :266:04/02/18 23:36 ID:URCXoY+B
>>267
やはりそうですか。
AMD64評判良いようなので、インスコや
その他諸々に掛かる時間もP3程ではないでしょうね。
今時なHDDも購入してインスコします。

ありがとうございました

269 :login:Penguin:04/02/19 00:30 ID:7Our1CN3
>>268
Athlon64 3000+で
emerge sync 1時間
emerge system 1時間位だった。
早いか遅いかは知らん。Gentoo入れたのはじめてなもんで。

あと、関係ないけどx86_64で
common lisp使えてる人いますか?
cmuclもclispもインストールできなかった。

270 :214:04/02/19 02:01 ID:ms7po1vM
>>218
なんですが、まだ解決できていません。
intltoolとxml-parserをインストールしてみたんですが、
それでも同じ箇所でエラーが発生してしまいます。
なにがおかしいんでしょう?

271 :login:Penguin:04/02/19 03:48 ID:fkHmQYHM
>>270
インストールされている Perl のバージョンは?
んで、epm -ql XML-Parser やって出てくるディレクトリは、
ちゃんとその Perl のバージョンを反映している?
基本的には Perl をアップグレードしたあと dev-perl/XML-Parser
を入れ直せば直ると思うんだけども。

272 :login:Penguin:04/02/19 04:48 ID:BnfeBIHM
aria大分前に入れてみたんだけど今まで全然使えてなかった。
起動してもGUIすら出ないまま固まったような感じで。
straceしてみたら原因が分かった。
なぜか、
.aria/save/history.aria
.aria/save/ftp_proxy.aria
.aria/save/http_proxy.aria
.aria/save/gui.aria
この4つのファイルをtouchしておかないとダメだった。
普通こういうファイルって無かったら勝手に作ってくれるものじゃないのかな?
あんまりGentoo固有の問題じゃないような気がするけど、専用のスレも無いようなので報告しますた。

>>269
cmuclは問題あってコンパイルできないみたい。本家にあがってたよ。
別のパッケージにしたら?

273 :login:Penguin:04/02/19 05:55 ID:33AUkpSE
ebuildつくるよっていってた人
UserModeLinuxでDebianの仮想ディストりとかってどうでしょ。
#emerge debian
とかやってゲラゲラ笑いたい、
ただそんだけなんだが。

274 :つくるよって言っていた人ではない:04/02/19 06:03 ID:hnOFxuIQ
>>273
それ面白いアイデアだと思うなぁ。
debianだけではなくていろいろ取り揃えといいかも。
ほんとに誰かやらない?


275 :login:Penguin:04/02/19 08:50 ID:RonQjYjr
>>272
ここのパッチで似たような対策をしています。
http://pc.2ch.net/test/read.cgi/linux/1066124851/67

276 :login:Penguin:04/02/19 10:01 ID:BnfeBIHM
>>275
koredesune. sasuga momonga

--- src/initrc.cc.ori2001-10-13 01:47:39.000000000 +0900
+++ src/initrc.cc2003-12-15 00:38:50.000000000 +0900
@@ -76,6 +76,10 @@
if(!copy_file(datadir+"/aria/rc.aria", rcdir+"/rc.aria") ||
!copy_file(datadir+"/aria/command.aria", savedir+"/command.aria") ||
!copy_file(datadir+"/aria/server.aria", savedir+"/server.aria") ||
+ !copy_file(datadir+"/aria/gui.aria", savedir+"/gui.aria") ||
+ !copy_file(datadir+"/aria/http_proxy.aria", savedir+"/http_proxy.aria") ||
+ !copy_file(datadir+"/aria/ftp_proxy.aria", savedir+"/ftp_proxy.aria") ||
+ !copy_file(datadir+"/aria/history.aria", savedir+"/history.aria") ||
!copy_file(datadir+"/aria/useragent.aria", savedir+"/useragent.aria")) {
cerr << _("Error occurred in resource file copy: ") << strerror(errno) << endl;
return false;

277 :login:Penguin:04/02/19 13:22 ID:9cug2J/i
>>273
いいね。なんだかおもしろそう。
ebuildつくるよっていってた人じゃないけど
emerge debianしたいからUserModeLinux使ってみたくなってきた。

278 :login:Penguin:04/02/19 14:46 ID:9cug2J/i
ざっとUMLの説明みただけなんだけどebuildがする事って
http://sourceforge.net/project/showfiles.php?group_id=429
とかからroot_fs落としてきて/optあたりにつっこむだけなんじゃないの?
他にebuildがした方がいいことってある?

279 :214:04/02/19 14:48 ID:ms7po1vM
>>271
XML-Parserを入れ直したらコンパイルが進みました。

280 :login:Penguin:04/02/19 14:55 ID:qwWkIXmz
/usr/portage/dev-lang/perl/libperl_rebuilder
でも、よかったかもなー

281 :login:Penguin:04/02/19 15:01 ID:9cug2J/i
/usr/portage/dev-lang/perl/files/libperl_rebuilder
だね。

282 :login:Penguin:04/02/19 18:35 ID:1Y2NUkUJ
助けてください。rootユーザーでstartxした後、mozilla等を起動するとすぐ落ちてしまいます。
Aborting.. dumping coreと落ちた後表示されています。root以外でstartxした時は何の問題もないのですが。

283 :login:Penguin:04/02/19 18:42 ID:SrMq61PE
>>282
root で startx する必要なんてないだろ。

284 :login:Penguin:04/02/19 19:26 ID:TZylUuJJ
rootでXを使うなんて恐ろしい話だ・・。

285 :login:Penguin :04/02/19 22:57 ID:3LXfj3XK
rootでXを使うだけなら、まあ、初期設定時の確認とかで
理解してもいいと思うが、、

Mozillaだと。。恐い話だ。。


286 :login:Penguin:04/02/19 23:55 ID:eMIu+yN2
すんまそん。gentoo初心者です。
sys-kernel/linux-headers-2.6.1を使ってるんですが、
emerge -Dup worldなんかすると、
linux-headers-2.4.22にダウングレードしろってうるさいんですね。
/var/cache/edb/worldに 
=sys-kernel/linux-headers-2.6.1
を記述してるんですが。

もちろん、emerge -up world だとダウングレードしろっていわれないです。
-Dオプションつきでportageを黙らせる方法を教えて下さいませ。


287 :login:Penguin:04/02/20 00:08 ID:1169lGdF
>>235,286

/etc/portage/package.mask を作って

<sys-kernel/linux-headers-2.6.1

とか書いとくのは?



288 :login:Penguin:04/02/20 00:11 ID:VWId+rYs
ufed使ったらこんなエラーが

Can't locate Term/ReadKey.pm in @INC (@INC contains: /etc/perl
/usr/lib/perl5/site_perl/5.8.2/i686-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.2
/usr/lib/perl5/site_perl/5.8.0
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.2/i686-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.2
/usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.2/i686-linux-thread-multi
/usr/lib/perl5/5.8.2 /usr/local/lib/site_perl
/usr/lib/perl5/site_perl/5.8.0 .) at /usr/sbin/ufed line 11.
BEGIN failed--compilation aborted at /usr/sbin/ufed line 11.

解決方はありますか?

289 :login:Penguin:04/02/20 00:14 ID:3ta7V0+v
>>287ありがとうございます。
Calculating world dependencies \
!!! [31;01mall ebuilds that could satisfy [0m[32;01m"sys-kernel/linux-headers"[0m[31;01m have been masked.[0m
!!! [31;01mpossible candidates are:[0m
- sys-kernel/linux-headers-2.2.20 (masked by: package.mask)
- sys-kernel/linux-headers-2.2.21_pre3 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.16-r1 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.16-r3 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.16 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.17-r3 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.17-r4 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.17-r5 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.18-r1 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.18-r2 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.18 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.19-r1 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.19 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.21-r1 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.21 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.22 (masked by: package.mask)
- sys-kernel/linux-headers-2.4.23 (masked by: package.mask, -* keyword)
- sys-kernel/linux-headers-2.6.1 (masked by: -* keyword)
!!! [31;01m(dependency required by [32;01m"sys-apps/baselayout-1.8.6.13"[0m[31;01m [ebuild])[0m[0m

!!! Problem with ebuild sys-apps/man-pages-1.65
!!! Possibly a DEPEND/*DEPEND problem.

!!! Depgraph creation failed.
だそうです。

290 :login:Penguin:04/02/20 00:15 ID:vMlNW4ln
>>288
書いてあるとおりでない?

291 :288:04/02/20 00:45 ID:VWId+rYs
>>290
俺にはわからんですよ

292 :login:Penguin:04/02/20 00:48 ID:vMlNW4ln
>>291
Can't locate Term/ReadKey.pm
って言ってんだから、まずそれをさがしたら?

293 :login:Penguin:04/02/20 00:52 ID:sfGwNO13
>>289
なら、
/etc/portage/package.unmask

=sys-kernel/linux-headers-2.6.1
で、どうよ?

294 :login:Penguin:04/02/20 00:53 ID:1169lGdF
ここは英語の意味を聞くスレかい

295 :288:04/02/20 00:59 ID:VWId+rYs
locateで探すと
/usr/lib/perl5/vendor_perl/5.8.0/i686-linux/Term/ReadKey.pm
でした

296 :login:Penguin:04/02/20 01:30 ID:4Y3AHlf+
perlのバージョン5.8.0と5.8.2なんであるんだ。

ReadKey.pm探せて無いだけだから、めんどくさかったらシンボリックリンク
貼っ付けておけば取り合えずうごくべ。

297 :login:Penguin:04/02/20 02:07 ID:3IXY18Np
>>295
全部5.8.2用で再インストールした方が良さそうだね。
正しいやり方かどうか知らないけど、
emerge --oneshot `qpkg -nc -f /usr/lib/perl5/vendor_perl/5.8.0 | awk '{print $1}'`
とかどう?


298 :login:Penguin:04/02/20 03:16 ID:vMlNW4ln
>>295
i686-linux と i686-linux-thread-multi の違いはどこから来てるんだろ。
どっかで USE 変えたりした?

299 :login:Penguin:04/02/20 03:24 ID:1169lGdF
USE="threads"
&
>>281


300 :login:Penguin:04/02/20 18:12 ID:2aveBsAJ
iputilsがね、emerge に失敗します。
~x86使いつつ、linux-headers-2.6.1れてる場合だけど。

301 :login:Penguin:04/02/20 18:33 ID:3IXY18Np
linux-headers-2.6.1って入れるといいことあるの?


302 :login:Penguin:04/02/20 18:45 ID:2aveBsAJ
>>301
headersを入れないの?

303 :login:Penguin:04/02/20 18:55 ID:3q9OQJpW
linux-headers、2.6.3になってるよ。

304 :login:Penguin:04/02/20 18:59 ID:wWgVKcY8
kernel 2.6.3-mm1入れたら、X起動時にshmatがエラー吐きませんか?

305 :login:Penguin:04/02/20 19:04 ID:2aveBsAJ
>>303
う、そうでしたか。ありがとう。

306 :login:Penguin:04/02/20 19:22 ID:wWgVKcY8
2.6.3-mm2出てた
まだportageに入ってないけど
今晩中には入るかな

307 :login:Penguin:04/02/20 19:31 ID:3IXY18Np
>>302
linux-headers-2.4.22 で特に問題出てないから。
何か理由あるのかなぁと。

新しいものが好きってのは否定しないんだけどね。
(Gentooはそうでなくちゃ。)
ただ、それ以外に理由があるなら知りたいなーって。


308 :login:Penguin:04/02/20 19:43 ID:2aveBsAJ
>>307
2.6.1はさっきのiputilsまで特に問題が出ていなかったからだよ。
それから、カーネル自体、2.6.x使っていたし。


309 :login:Penguin:04/02/20 19:59 ID:3IXY18Np
>>308
俺もカーネルは2.6.x遣っているんだけど、headerも2.6.xにすると何か変わる
の? 変なことが起こったって話は良く聞くんだけど、いいことあることあるの
かなぁって。

310 :login:Penguin:04/02/20 20:04 ID:3q9OQJpW
nptlを使うにはheadersを2.6.xにしないとだめなん?

311 :login:Penguin:04/02/20 20:10 ID:wWgVKcY8
>>310
いや、glibc作る時にちゃんと2.6.xのソースツリーを指定してあれば問題ない。
あとは、glibcのヘッダとライブラリに依存してるから
必ずしも2.6のheaderは必須じゃないよ。

ただ、Linuxのシステムコールを直接駆使するようなアプリがあるなら
2.6にすると良いかもしれない。
ただし、2.4と2.6の互換性がイマイチなのでコンパイルが通らない可能性も大きい。
今後、2.6側で2.4との互換性の差異を吸収していくので
2.6のheaderを入れるのは、portageのマスクが外れてからでもいいと思われ。

312 :login:Penguin:04/02/20 20:23 ID:W3DG80fa
いったん2.6のヘッダ使ってコンパイルしてしまうと戻すのが大変でしょ?
実はカーネル2.6にしてnptl対応させたら2.4に戻せなくて諦めた

313 :login:Penguin:04/02/20 20:46 ID:wWgVKcY8
つーか、一般の方々は2.6が熟れてくるまで
2.4使ってたほうが絶対幸せ

現状、2.6使うのはkernel devにfeedbackする事が出来る人のみにした方がいいかと
#そう考えるとTurboは先走りすぎだわな

314 :login:Penguin:04/02/20 21:41 ID:2aveBsAJ
>>309
わざわざ答えなかったのに二重に聞いてるのか(w
gentooの面倒見ている人かい?

#別にいいことありません。2.4.xを使って下さい。


315 :login:Penguin:04/02/20 21:41 ID:W3DG80fa
>>313
それはヘッダファイルの話だよね?
カーネル自体は2.6でもオッケ?

316 :login:Penguin:04/02/20 21:48 ID:3IXY18Np
>>314
詳しそうだから、答えてくれるかなーって思ったんだけど。
いいんだけど。


317 :login:Penguin:04/02/20 22:01 ID:2aveBsAJ
>>316
なんじゃそりゃ。
全然詳しくないです。
スマソ。

318 :login:Penguin:04/02/20 22:17 ID:wWgVKcY8
>>315
headerもkernelも。

2.6の開発は結構なペースで進んでるから
一般の人にも使えるようになる時期はもう少しだと思うけど
今はまだ早いと思うよ。
通例として、2.6.10以降まで待った方がいいんじゃないかなぁ。
#他の物が追従してくるのもそれくらいの時期だろうし

2.6の動向を追い掛けるなら、bitkeeperじゃなくて
mmパッチ追い掛けるのが良し。
mmパッチと、bkのマージ状況を照し合わせて自分なりに判断してちょうだい。


319 :login:Penguin:04/02/21 09:21 ID:t+bvYJvA
なんでそんなに最新が使いたいの? imihumei

320 :login:Penguin:04/02/21 12:29 ID:lGD5///0
ちょっと前からemerge syncの後にこんな表示がでるんだけどどうしたらいい?

Performing Global Updates: /usr/portage/profiles/updates/1Q-2004
(Could take a couple minutes if you have a lot of binary packages.)
.='update pass' *='binary update' @='/var/db move'
s='/var/db SLOT move' S='binary SLOT move'
...................



** Skipping packages. Run 'fixpackages' or set it in FEATURES to fix the
tbz2's in the packages directory. Note: This can take a very long time.

321 :login:Penguin:04/02/21 12:41 ID:AhH4iJe6
>>320
Run 'fixpackages' or set it in FEATURES to fix the tbz2's in the packages directory.

322 :login:Penguin:04/02/21 12:54 ID:lGD5///0
>>321
ありがと。
よく見るべきでした。

323 :login:Penguin:04/02/21 21:58 ID:PL6e4pnK
K6-2 500MHz
メモリ:256MB
HDD:32GB
このくらいのPCでOpenOffice.orgやFirefoxを動かしている人はいませんか?

今、Fedora+XFceで動かしていますが、ちょっと使うのには遅すぎる(たまにフリ
ーズしたかと思うくらい、もっさり)なので、Gentooにしたら多少は改善するかな
と思っているのですが
installに時間がかかるのは覚悟しています

324 :login:Penguin:04/02/21 22:02 ID:w/rhFbpW
P2 400MHz
メモリ:256MB
HDD:12GB
でFedoraとGentoo動かした事あるけど
割と快適だったよ。
起動が遅いくらいかな?はっきりと感じれたのは。

325 :323:04/02/21 22:17 ID:PL6e4pnK
>>324 Thanks!
Gentoo入れてみます。

326 :login:Penguin:04/02/21 22:37 ID:NVGHvwHT
つーか
Pentium2 233Mhz
Mem 256MB
で、Gentooずっと使ってるけど
インスコに時間かかるくらいで、出来上がれば快適よ。

327 :login:Penguin:04/02/21 23:13 ID:UtTObCW+
>>288の件ですが
>>297で解決できたようです。

328 :login:Penguin:04/02/22 00:15 ID:EkGHFaCY
ただあまり最適化に期待しすぎてもガッカリすると思うぞ

329 :login:Penguin:04/02/22 00:38 ID:/BX+UFRo
とある事情があって
emerge -e world をしなくちゃいけないんですが
事前に
emerge

330 :login:Penguin:04/02/22 00:40 ID:/BX+UFRo
とある事情があって
emerge -e world をしなくちゃいけないんですが
事前に
emerge -e world --pretend したんですが

Xを入れてないのにもかかわらず
XやGtkやGnomeがリストにあがってきてしまってます。

make.conf のUSEFLAGには"-X"してるんですが・・・・
なぜなんでしょうか?

しょぼいマシンなんで不必要なコンパイルはしたくないんです。

331 :login:Penguin:04/02/22 01:49 ID:DAYovqwP
emerge -e world するぐらいなら、すっぱり新規インストール
しちゃおうかな、と思うオレはへたれですか?

332 :login:Penguin:04/02/22 01:51 ID:2BcZVQcX
>>330
emerge infoやufedを使って
デフォルトで設定されるuse flagを確認しつつ、
USE="-X -gnome -gtk -gtk2"するとか。

333 :login:Penguin:04/02/22 01:58 ID:NLk/r12l
>>331
Gnome、KDEを入れてたとしたら…
でも結局再インスコしたあとアップデートしなきゃいけないし
最初のemerge syncに時間かかる上、サーバへの負荷を考えたらやっぱりemerge -eかな

334 :login:Penguin:04/02/22 07:37 ID:HunYT0Wp
P100 MEM48 HDD3Gで動かしてる漏れって一体・・・

335 :login:Penguin:04/02/22 10:51 ID:/BX+UFRo
>>334

Sparc260 MEM128 HDD20Gで
動かしてて重いって思ってる俺は犯罪的なのか?

336 :login:Penguin:04/02/22 12:41 ID:OBVLowhc
>>334
Athlon64 3200+でstage1から始めてKDE終了まで15時間かかり
遅いと思っているおれはA級戦犯か?

337 :login:Penguin:04/02/22 15:21 ID:Ef5zYaom
★★★何故ドキュソは最先端が好きなのか★★★
http://science2.2ch.net/test/read.cgi/sci/1053665496/

338 :login:Penguin:04/02/22 15:21 ID:Ef5zYaom
★★★何故ドキュソは最先端が好きなのか★★★
http://science2.2ch.net/test/read.cgi/sci/1053665496/

339 :login:Penguin:04/02/22 23:51 ID:f9HYA6yx
KDE3.2 ni sitekara kinput2 ga kidou sinaku natte simatta
kde-18n to nanka kankei arun desyouka?

340 :login:Penguin:04/02/22 23:55 ID:4ulbvyWO
naidesu

etc-update de nanika tekito-ni kakikae sitannjanai?

18ninternationalizationだからi18nだろ>>18n

341 :339:04/02/23 03:19 ID:2cDF7APk
原因がわかりました。KDE-3.2をインストールすると、KDMもアップデートされます、
すると、それまでKDMで設定されていた起動時読み込みファイルの設定がデフォルト
にもどされ、自分の環境で本来読み込んで欲しい.xsessionが読み込まれないように
なるようです。解決方はKDMのメニューからxsessionを選択することです。
でも次回アップデートしたとき、また今回と同じような現象が起こると解決方を
忘れてしまっていると思います。で、Gentoo的にX起動時の正しい設定ファイルは
どこに書き込むんでしょうか?
(確か3.1.5にアップデートしたときもこの現象に悩んだような憶えがあります。)

342 :login:Penguin:04/02/23 03:28 ID:x5qqnE16
.bashrcとか。

343 :login:Penguin:04/02/23 12:56 ID:a3lGx8TC
/etc/rc.conf とか。

344 :login:Penguin:04/02/23 13:57 ID:ulXBD7w0
Gentoo Linuxとは関係ないのだけれど、こんなの見つけたのでおいときますね。
http://www.namcopolo.com/photoinfo.php?id=2795
http://www.namcopolo.com/photoinfo.php?id=2841

345 :login:Penguin:04/02/23 14:10 ID:9yMB35oB
>>344
すげーかわいい!!特に2枚目

346 :login:Penguin:04/02/23 14:37 ID:hv11hBEE
qt-3.3がemergeできないよー
designerのlistboxeditor.cppにuicするところで、

Session management error: Could not open network socket
make[3]: *** [listboxeditor.cpp] Segmentation fault (core dumped)

となる。core見ると確かにuicが吐いたものみたい。
でも、だめだったディレクトリで手動でmakeするとcore吐かないんだよな。

回避方法キボンヌ

347 :login:Penguin:04/02/23 18:47 ID:DVESNIg8
rp-pppoeをカーネルモードで動かしたいのだが、
ソースのtar玉のdoc/KERNEL-MODE-PPPOEによると、
必須のカーネルコンフィグとして

CONFIG_N_HDLC=m

ちゅうのがあるんです。あるんですけど
おらがカーネル(gentoo-sources-2.4.22-r7)の/usr/src/linuxにて
#cat .config |grep HDLCとかやっても、
なーんも出てこないんだな。

ここは素直にvanilla-sourcesとか使えってことなんでしょか?

つか、やっぱこれ、スレ違い?

348 :login:Penguin:04/02/23 19:53 ID:N84h317+
スレ違いだけど、
Character devices
Non-stantdard serial port support
HDLC line discipline support
だ。

349 :login:Penguin:04/02/24 05:30 ID:rMwy+R4D
>>347です。よく調べすに聞いてすみまそん。
xx support をyにしないと、.configに名前すら入らないのですね。
今ビルド中。うまくいったら謹んで報告。。するべき?


350 :login:Penguin:04/02/24 10:21 ID:qdMNXvTJ
MASKされたパッケージを
emergeしたいときなんですが、

ACCEPT_KEYWORDS="~x86"

とすればいいのはわかるんですが
別のアーキテクチャのCPUの場合

x86の部分をppcとかsparcとかhpcとかに
に変更しないといけないんでしょうか?

351 :login:Penguin:04/02/24 11:41 ID:9mG/w0IA
see /etc/make.conf

352 :login:Penguin:04/02/24 19:58 ID:Sp2Z2YQD
Gentoo2004.0来た

353 :login:Penguin:04/02/24 23:06 ID:ZXg/30qr
Portageツリーを同期させるために次のコメンドを使用してください。

354 :login:Penguin:04/02/25 00:03 ID:QqqbxJv6
いろんなページを検索してでてくる方法を全てやったんですがどうしてもkinput2で半角英字しか入力できません。
[あ]は出るんですが。機種はibookなんですが。あとfluxboxでアンチエイリアスをオンにした時、
文字化けするのも何やっても解決できません。お願いだから、教えてください。

355 :login:Penguin:04/02/25 00:31 ID:Dl/5T6th
おねがいだから、詳細に書いてください。
もしかしてエスパーに対して懇願してるのかな?

356 :login:Penguin:04/02/25 03:27 ID:oXTo+TxV
「R」ってgentooのパッケージにありますか?
こういう名前のソフトって探しにくい....


357 :login:Penguin:04/02/25 03:30 ID:c/5yfOVf
>>356
emerge -s '^r$'


358 :login:Penguin:04/02/25 03:52 ID:4gi+AHiY
>>354
それはパッチを当てないといけないのだけど、
(fluxbox)本家に入れてもらえるって話になった
のに、なんかそこから進まない。Momonga の
人が忙しいみたいです。とりあえず GentooJP
の ebuild uploader にあるので、そちらをお使い
ください。

359 :login:Penguin:04/02/25 10:16 ID:T2pz2YmC
WinFAX

360 :login:Penguin:04/02/25 10:43 ID:9Mbx0N13
emerge -f media-libs/libsdl-1.2.7

hoge/distfiles/SDL-1.2.7.tar.gzのtar ballが、
md5 チェックエラーでつ。

361 :login:Penguin:04/02/25 13:45 ID:MnHH5g54
modprobe bttv すると
WARNING: Error inserting i2c_core (/lib/modules/2.6.3-gentoo-r1/kernel/drivers/i2c/i2c-core.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error inserting i2c_algo_bit (/lib/modules/2.6.3-gentoo-r1/kernel/drivers/i2c/algos/i2c-algo-bit.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting bttv (/lib/modules/2.6.3-gentoo-r1/kernel/drivers/media/video/bttv.ko): Unknown symbol in module, or unknown parameter (see dmesg)
って出ます。モージュールは作ってあります。なんで?教えて

362 :login:Penguin:04/02/25 16:30 ID:OuXGDWfg
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-net-misc_-_openssh-3.7.1_p2-r2-12040.log"

open_wr: /etc/skey/skeykeys
--------------------------------------------------------------------------------

どうすりゃいいのん?

363 :login:Penguin:04/02/25 19:53 ID:kzO4WxT3
ebuildアップローダー復旧したみたいですけど
2回試しましたがエラーで正常にUPできない模様。
エラーメッセージも写してあるんですけど
こういのはどこに報告したらいいの?


364 :login:Penguin:04/02/25 20:12 ID:KKl0BVRd
354です。fluxboxの件は無事解決できました。

365 :login:Penguin:04/02/25 21:48 ID:f54po47s
GentooってIPアドレスどこで設定するの?

/etc/sysconfgがないんだけど。

366 :login:Penguin:04/02/25 23:07 ID:z0G8yOh/
>>365
ttp://www.gentoo.org/doc/ja/gentoo-x86-install.xml#doc_chap21


367 :login:Penguin:04/02/26 00:05 ID:lZUEkk/k
>>356
emerge dev-lang/R

Rはぐぐるのも大変…

>>357
重複してごめん。ただdebianではパッケージ名が"r-base"だったりするので
一概にそうとは言えないんですよ。

368 :login:Penguin:04/02/26 01:08 ID:4LYNcYjl
suを使うとパスワードを入力後に
「permission denied」となってしまいます
suが動いていないわけではないようなのですが
どこの制限でこんな状態になっているんでしょうか?

369 :login:Penguin:04/02/26 01:12 ID:hx55QMSA
>>368
wheel groupかな?


370 :login:Penguin:04/02/26 03:13 ID:taB6NFWl
>>363
メーリングリストまで。

371 :login:Penguin:04/02/26 11:15 ID:EoH/i28T
>>356

"R"って何ですか?

>>368

wheelってグループにsuさせたいユーザを
登録しとかないと。

372 :login:Penguin:04/02/26 11:48 ID:Qw4zdpTn
>>371
http://www.r-project.org/

373 :login:Penguin:04/02/26 11:54 ID:83rz6tit
>371
#emerge -s R
...
R is GNU S - A language and environment for statistical computing and graphics.
...

374 :login:Penguin:04/02/26 15:24 ID:cESF8hFb
お世話になります
bootsplashのヒントをお願いします
cat /proc/cmdline
cat /proc/splash
を晒してくださいませ。

375 :login:Penguin:04/02/26 17:51 ID:9/OSkS1Y
R入れてみようとしたけど、
Xlib.hとXutil.hの文法エラーがボコボコ出てきてコンパイル失敗。

376 :名無しさん@Emacs:04/02/26 21:57 ID:2shzf5ll
>>374
$ cat /proc/cmdline
root=/dev/hda4 hdc=ide-scsi video=mtrr,vesa:800x600 vga=0x314 splash=silent
$ cat /proc/splash
Splash screen v3.0.7-2003/03/10 (0x07, 800x600): on
になってる。というか、media-gfx/bootsplashのebuildファイルを読めばつまるようなことないと思うんだが。


377 :login:Penguin:04/02/26 22:56 ID:cESF8hFb
>>376
晒し、ありがとうござ。

>media-gfx/bootsplashのebuildファイルを読めば
アドバイスどもども、重ねてありが。


378 :login:Penguin:04/02/27 05:26 ID:UT/aaueN
>>371
RはねS言語のパクリ

入れてはみたものの何計算させようかな〜
株価統計処理して遊ぼうかな

379 :login:Penguin:04/02/27 05:31 ID:uScL4zYE
headersが2.6だとwineをemergeできないっぽいな。
エラーが出る。

380 :login:Penguin:04/02/27 07:44 ID:1b0a0LtM
Celeron600MHzのインストールCDは、i686で良いんでしょうか?

381 :login:Penguin:04/02/27 08:20 ID:hTzwDMRS
>>380
問題ない

382 :380:04/02/27 08:23 ID:1b0a0LtM
>>381
ありがとう!
Pentium IIIになるのかi686になるのか迷っていました。

383 :login:Penguin:04/02/27 09:11 ID:S3xJb3AK
>>382
Celeron600はCoppermineだからPentium3でいいはず。
もちろんi686で問題はないが。

384 :login:Penguin:04/02/27 09:12 ID:+irToQ48
>>382
その選択なら、Pen3だろう。

385 :login:Penguin:04/02/27 12:12 ID:/WjJSd8k
最近、一部のパッケージ(gccとか)以外は全部~x86でいい気がしてきたんだけど、~の人どう?安定してる?

386 :login:Penguin:04/02/27 15:04 ID:l59t+14j
>>385
一昨日の午前3時位に emerge sync emerge -e world
したけど、問題は出てないよ。
けど、gnomeやkdeはインスコしてないから知らない。

387 :login:Penguin:04/02/27 17:43 ID:71vmIZIf
>>386
(ごく)一部のパッケージで(更新直後にとくに)問題が起きることはあるけど
それを除けばまぁまぁ安定しているよ。
とりあえず 素のx86のバージョンでは古めで不満なので去年6月からずっと ~x86で通してる。
問題が出たら前のバージョンに戻したりしてる。

388 :login:Penguin:04/02/27 21:00 ID:vdlMtlwT
UNIXUserの2003/2号でBochsで遊ぼうという記事があり、TUN/TAPを使って
bochs上のGRUBからGRUB付属のサンプルカーネルをネットワークbootさせ
ようと思っています。

ところがbochs上で、
「NE2K」open failed on tun0:そのようなファイルやデバイスはありません
というエラーが出ます。

カーネルは2.6.2を使っており、tunデバイスは有効にしております。
どうもtun0デバイスが生成されていないようなのです。どのようにすれば
tun0デバイスが生成されるのでしょうか。もし、知っている方がおられま
したら教えていただけませんか。また、参考になるようなHPがあったら
教えてください。

389 :login:Penguin:04/02/28 00:17 ID:tBxC1fK9
>>388
どこがgentooプロパー?

390 :login:Penguin:04/02/28 02:05 ID:oJ+xPcne
本日、gentoo2004.0のリリース日です。
早く誰か入れてみて〜。

391 :login:Penguin:04/02/28 02:17 ID:HBOiUC5c
>>390
マメにemerge syncしてる奴
~x86な環境の奴

こいつらは、既にGentoo2004も糞もなく
常に最新の状態になっとるのよ。
Gentoo2004をわざわざぶっこむのは新規ユーザーか
クリーンインスコしようとしてる香具師だけ。

392 :login:Penguin:04/02/28 02:27 ID:7p5We8TI
ま、再インスコする時には楽になるだろうね。

393 :login:Penguin:04/02/28 03:14 ID:xfPA6rsc
Gentoo 2004インスコ予定です。
Gen1.4のときインストールしようとしたらnVidia FX5200のドライバーがよく分からなくて
Grubの表示画面からおかしくてうまく使えなかったから…。
ドライバー対応してくれてますように。

394 :login:Penguin:04/02/28 03:40 ID:lb6z3NV7
そのうち入れよう入れようと思って、このスレ覗いてましたが、
2004なるものがでるんですかー。早速落とそう。

395 :login:Penguin:04/02/28 03:51 ID:lb6z3NV7
……と思ったら、livecdが出てないので、1.4で予習しとこう。

396 :380:04/02/28 08:07 ID:xVA8JZvS
>>383 >>384
ノートPCでAIDA32で調べてみたところMobile Intel Celeron II, 600 MHz (6 x 100) と表示されていました。
Pentium IIベースなのかな?とか思ってしまったりするのですが。
しかし、Gentoo 1.4で準備を進めていたら2004というのがでるのですね。
せっかくなので、2004のインストールをしたいと思います。

397 :380:04/02/28 10:16 ID:xVA8JZvS
読み直してみると変な日本語使ってた。
GentooをインストールさせたいのはノートPCで、現在WindowsMEがインストールされています。
CPUなどの情報を調べるAIDA32を使ってみたところMobile Intel Celeron II, 600 MHz (6 x 100)
と表示されていました。
このCPUはPentiumIIIベースと考えてよろしいのでしょうか?

398 :login:Penguin:04/02/28 10:27 ID:vXIgYyT7
初めてGentooをインストールしようと思っているのですが、Gentoo 2004が
今日公開というのをきいて最新版である2004のインストールをしたいと思います。
Gentooの醍醐味である最適化を味わうべくstage1を使いたいので、2004のbasic cdの
公開を待っています。
2004のインストールをしたいのであれば、1.4のbasic cdを使うことはできませんよね?

399 :login:Penguin:04/02/28 10:54 ID:ehiAcNWK
Pen3ベースなのかどうかはSSE対応しているかどうかでわかるけど。


400 :login:Penguin:04/02/28 10:58 ID:L8aXsOR1
USE="java"を入れていたせいか、libstdc++.so.5:cannot open shared object file…と
msgを食らって、コンパイルが止まってしまいました。
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/以下にはリンクとリンク元が存在してる
ようなのですが、これってどこかにリンクを張りなおす必要があるんでしょうか?


401 :login:Penguin:04/02/28 11:41 ID:kPWIBxFp
特に gentoo がらみじゃないんだけど、使ってるのが gentoo なんで一応…
2.6.3-gentoo-r1 にしてみた。PS/2マウスが変。マウス、キーボード、LCD を
4台のマシンのCPU 切替えで共用しているんでそのまま使いたいんだけど…
今は USB マウスで代用してまつ。
ACPI で S3ステートに逝けるようになったのでうれすい。ただ、復帰後
HDD アクセスLED 常時点灯するけど点灯のみで、アクセス自体は実際のそれ以外
皆無であってほすいでつ。確認する方法あれば教えて。

402 :login:Penguin:04/02/28 12:11 ID:ehiAcNWK
>>401
http://pc.2ch.net/test/read.cgi/linux/1046731075/#207

403 :login:Penguin:04/02/28 12:22 ID:dFLqRiTH
なんか2004まで待つとか2004が出たら入れ直すような
意見がいくつか出てて気になったんだけど・・・

勘違いしてたら申し訳無いんだけど
Gentooにおいては1.4も2004もupdateさえしていれば
同じportage tree使うんだし 違いは無いはずですよね
RedHatなんかでは7.3にいくらパッチをあてても
8や9にはならないのだけれど Gentooはそれらとは違う
という理解で正しいですよね


404 :login:Penguin:04/02/28 12:35 ID:ehiAcNWK
正しい。

405 :login:Penguin:04/02/28 12:46 ID:xfPA6rsc
インストーラは変わるの?

406 :380:04/02/28 13:00 ID:xVA8JZvS
そ・・・そうだったのか。
RedHat等のほかのディストリビューションと違って、1.4を今まで通りいれて
最新の状態に更新すれば2004と同等のものになるのですか。
1.4の最新=2004の最新
というわけですね。
ただ、1.4を最新にするのにかかる時間よりも、2004を最新にする時間の方が少なくて済む、こう考えて良いのでしょうか?

407 :login:Penguin:04/02/28 13:05 ID:sPvUrVBW
>>406
最新にするのにどのくらいかかるか気にする人には
Gentoo は向かないのでは。

408 :login:Penguin:04/02/28 13:20 ID:nVdqn8mX
LiveCDが1.4のでもStageファイルとPortageツリーの最新のを使えば2004.0から
インストールできると思うんですが。

409 :login:Penguin:04/02/28 13:42 ID:jVRCOM8E
>>405
experimentalの2004.0isoはロゴが変わってた程度だったよ

410 :login:Penguin:04/02/28 14:05 ID:xfPA6rsc
>>409
なーる。じゃあPortageツリーだけ書き換えれば今のでもいいのか。
サンクス。

411 :login:Penguin:04/02/28 14:35 ID:yAZ9ct/V
/usr/local/portageにebuild-uploaderができる前から↓を使っているのですが
http://king.gentoo.gr.jp/pukiwiki/index.php?%5B%5BEbuild%A5%D7%A5%ED%A5%B8%A5%A7%A5%AF%A5%C8%5D%5D
wikiからも移されているようですしツリーのアップデートもできるようなので
最近は↓を使ったほうがいいのでしょうか?
http://www.gentoo.gr.jp/jpmain/ebuild-uploader.xml

それとも中身は同じだったりしますか?

412 :login:Penguin:04/02/28 15:20 ID:nu1OcZ4P
>>411
Wikiのやつから↓に移行することになってます。
http://www.gentoo.gr.jp/jpmain/ebuild-uploader.xml

この質問からするとメーリングリストには入ってないのかな?
結構有用な情報が流れてるので講読を勧めるYO!


413 :380:04/02/28 15:59 ID:xVA8JZvS
>>408
1.4のbasic cdを使ってブートし、2004.0のstage1を使ってインストール作業中です。
問題なくできそうですね。

414 :login:Penguin:04/02/28 18:33 ID:VD+5w9RJ
RedHat9のリコーフォントを入れようと思って、
emerge rpmしてから、

# rpm -ivh ttfonts-ja-ricoh-9.0-1.noarch.rpm
とすると、

エラー: Failed dependencies:
        /bin/sh is needed by ttfonts-ja-ricoh-9.0-1
        /usr/X11R6/bin/mkfontdir is needed by ttfonts-ja-ricoh-9.0-1
        /usr/bin/ttmkfdir is needed by ttfonts-ja-ricoh-9.0-1
        /usr/sbin/chkfontpath is needed by ttfonts-ja-ricoh-9.0-1
        fontconfig is needed by ttfonts-ja-ricoh-9.0-1
        ttmkfdir >= 3.0.6 is needed by ttfonts-ja-ricoh-9.0-1
とエラーが出ます。
どうすればインストールできるのでしょうか?

415 :login:Penguin:04/02/28 19:11 ID:x3W+23tO
rpm -ivh --nodeps --force

416 :login:Penguin:04/02/28 19:42 ID:VD+5w9RJ
>>415
その後、
fc-cache /usr/share/fonts/ja/TrueType/ricoh
とすることでインストールできました。
ありがとうございました。

417 :login:Penguin:04/02/28 21:46 ID:oJ+xPcne
Portageツリーだけ書き換えればkernelも2.6になる?

418 :login:Penguin:04/02/28 22:45 ID:Ki9jpOwQ
Gentooの特徴を>>1に書かないのはなぜ?

419 :login:Penguin:04/02/28 22:52 ID:tBxC1fK9
>>417
ならない。

420 :417:04/02/28 23:04 ID:oJ+xPcne
もちろん、その後
 emerge -e world
ですけど。
1.4のLiveCDからのインスコ時なら2.6になる?

421 :login:Penguin:04/02/28 23:06 ID:tBxC1fK9
>>420
ならないよ。Gentooでは今のところ2.6系列と2.4系列とはパッケージ名が違っているから
2.4から2.6には自動的には変わらない。それに、同じ2.6系でもいろいろパッケージがある。
2.4系も同じ。

422 :login:Penguin:04/02/28 23:08 ID:PUqDUguV
どうせkernelなんて自由に選べるんだし。gentoo-sourcesが2.6.*になるくらい?

423 :417:04/02/28 23:09 ID:oJ+xPcne
>419,421
ありがとうございます。どうせなら2.6
入れたいので、gentoo2004まで待ってみます。
1.4からだと2度手間になりそうなので。

424 :login:Penguin:04/02/28 23:16 ID:tBxC1fK9
>>423
二度デマというよりか、最新に近づけるのに時間が掛かるだけかと。
2004というのからスタートしてもすでに最新版じゃないでしょう。
おそらくx86ベースだろうから。

425 :login:Penguin:04/02/28 23:16 ID:nwKlKTjk
じゃあ次スレには
>>418が書いて。


426 :login:Penguin:04/02/28 23:16 ID:ckjJC/Rm
>>423
いまいちわかんないだけど、2004 でも標準は 2.4 だよ。
オプションで 2.6 も入れられるけどね。

ただ、何が標準かなんて Gentoo の場合 gentoo-sources という名前がついていて、
インストールドキュメントにそう書いてあるぐらいの違いしかないんだけど。
カーネルは好きなものを入れるのが Gentoo 流だと思います。


427 :login:Penguin:04/02/28 23:27 ID:x3W+23tO
つうか嫁
http://www.gentoo.org/doc/ja/gentoo-kernel.xml

428 :login:Penguin:04/02/29 00:02 ID:1nfkyFWy
>>423
俺も2004を一ヶ月ほど待ってますw
バイナリインストールしようと思って。
ソースからだと週末二日つぶしても環境整えられそうも無いので...
まだー?って感じです、はい。
中の人がんばれー

429 :login:Penguin:04/02/29 00:02 ID:mdnLoMAR
>>427
そうそう、そういうこと。選択肢が多くてユーザに押し付けでないところがGentooのいい所のひとつ。
柔軟性が高いというか。
お勧めはgentoo-sourcesとあるが、それを選ぶと自分で別のパッチを当てるのが大変だったりする。
vanilla-sourcesだとパッチは当てやすいが、gentooフレーバーが効いていない。
そこが悩みどころか。


430 :login:Penguin:04/02/29 00:21 ID:9wDWktmV
>>418
誰も案を出さなかったから。

431 :login:Penguin:04/02/29 00:47 ID:ZSQl7eAC
openssh-3.8_p1 にすると X11Forwarding が調子悪くなってませんか?
(/etc/ssh/sshd_config をいじってもダメだった)

3.7.1_p2-r2 に戻すと大丈夫なんですが...

432 :login:Penguin:04/02/29 00:57 ID:mdnLoMAR
>>431
それだったか・・・
学校のFreeBSDとうまく行かなくなってておかしいと思ってたんだよ。
さんくす

433 :login:Penguin:04/02/29 01:00 ID:d8grwEVU
設定項目のなまえがいろいろかわってるからね。

434 :login:Penguin:04/02/29 06:29 ID:Yrd+TX8P
今日って誰に聞いたんだろう……
火曜日らしいよ。

435 :login:Penguin:04/02/29 06:30 ID:Yrd+TX8P
>>400
ldconfig は実行してみた?

436 :login:Penguin:04/02/29 08:27 ID:ftlwW+GO
>>435
自己解決しました。自分の持ってるlive CDは8月のものなので
依存関係が複雑になってて、-u worldなどではもう一発で流れません。
KDEなんか入れたらfetchだけで100超えてるし…やっぱ焼きなおそう。

437 :login:Penguin:04/02/29 08:54 ID:Yrd+TX8P
>>436
LiveCD が問題なんじゃなくて、stage[1-3] が問題なのでは……
LiveCD はまだ amd64 と sparc64 のしか用意されていない
けど、stage[1-3] は x86 のものもあるので、2004.0 ディレク
トリにある stage[1-3] のどれかをネットワーク経由で取得して、
LiveCD は 1.4 のものでブートして使えばいいのではないかと
思われる。

と思ったんだけど、インストールじゃなくてこれまでのもの
のアップグレードなのかな。そういえば gcc の java USE
フラグはまぎらわしいので nogcj という USE フラグが新設
された。読んで名のとおり、nogcj だと gcj がビルドされない。
gcc で gcj がビルドされるのはかなりつらかったけど、
/etc/portage/package.use も導入されたし、最近は portage
が快適快適。これであともうちょっと速ければなあ。

438 :login:Penguin:04/02/29 23:29 ID:3B0GVbRG
gentooというかportageに非常に興味があるのだが、何故かwin2000上のvmwareにインストールできなくて困ってる

439 :login:Penguin:04/02/29 23:39 ID:mdnLoMAR
Gentoo上のvmwareにwinxp入れたら100%までディスク使って困ったので消した。

440 :login:Penguin:04/02/29 23:42 ID:4gXili8/
そりゃ困るわ

441 :login:Penguin :04/02/29 23:46 ID:Ji2LGGUW
>439
入れてるけど、そんなことならんよ。
設定間違えてないか?



442 :login:Penguin:04/02/29 23:59 ID:4gXili8/
>>437
>/etc/portage/package.use も導入されたし
知らんかった。

/etc/portage/package.useに
sys-devel/gcc nogcj
と書けばいいのか。
なるほど。
複数のフラグはただ列挙するだけでOKなのかな?
""で括ったりする必要はあるのかな。

ググってもこれくらいしか出てこなかったなぁ。
ttp://www.madoro.org/nikki/

useもkeywordも
アスタリスク使えないのかな?
sys-app/* ~x86 とか
sys-app ~x86だけでいいのかな。

stableになるまで、本家のドキュメントには載らないかな。
man portageにもそこらへんの記述は無かった。

443 :login:Penguin:04/03/01 00:14 ID:d9xINl7R
ttp://www.madoro.org/nikki/?date=20040214#p01
この話、既出? もしくは既に取り込まれてる?

15%って結構デカくないですか?
高速化熱烈希望。

444 :login:Penguin:04/03/01 00:45 ID:aMbjz5us
>>442
man portage


445 :411:04/03/01 01:15 ID:r5Fs+Q7L
>>412
講読してみようかと思ったのですが
そういう情報が流れてるのはUsers MailingListでいいんですか?
4つもあるからよくわからないんですけど。

446 :login:Penguin:04/03/01 01:29 ID:d9xINl7R
>>444
>>442の最後の行

447 :login:Penguin:04/03/01 02:08 ID:IYv5VoGi
>何故かwin2000上のvmwareにインストールできなくて困ってる
もう少し詳しく症状を教えたほうが良い気がする。

VMWare 上の Virtual Machine は、
HDD が SCSI 接続になるから、
boot する時に doscsi オプションが必要になるかも知れない。
ていうか俺の場合はそれがないと起動しぃひんかった。

あとはまぁ /etc/fstab 編集する時に
/dev/hdaN でなく /dev/sdaN にするとか、
そういう細かい部分に留意すれば
インストールは可能に思うんだけど。

もっと違う部分でつまずいてたんなら詳細ヨロ。

448 :444:04/03/01 02:11 ID:aMbjz5us
お、見てなかった。すまん。

でも、俺のman portageには書いてあるよ。


449 :login:Penguin:04/03/01 02:23 ID:buqnZPjj
> VMWare 上の Virtual Machine は、
> HDD が SCSI 接続になるから、

仮想マシン作るときにカスタムを選べばHDをIDEにできるよ

450 :login:Penguin:04/03/01 02:57 ID:d9xINl7R
皆知ってるかもしれないけど、今日のちょっとした発見。

/etc/conf.d/rcのRC_PARALLEL_STARTUPの値をyesにすると
起動時に順番に呼びだされるサービスが並列に呼び出される。

基本スクリプト + xinetdだけのような環境だとあまり意味ないけど
色んなサービスをごっそり起動する人にお勧め。

451 :login:Penguin:04/03/01 03:38 ID:RGycVgCg
>>438
そんなことないぞ。できる。でもGentooはHDD容量食うしコンパイルでCPUパワーも食うから
VMwareには向いてないかもね。

>>449
IDEにできるのはphysical diskだけだよね?VMware専用パーティションが用意できるなら
それでも問題ないと思うけど・・・ってスレ違いスマソ。

452 :login:Penguin:04/03/01 04:32 ID:puCJeMSP
>451
仮想ディスク?でも普通にIDE接続選べる


453 :login:Penguin:04/03/01 04:36 ID:IYv5VoGi
ターゲットOS(だっけ?)に Linux 選ぶと
否応なく SCSI になって、変更利かなかったような。

もう少しマニュアル読んでみるか。

でももう構築しちゃったしなあ。

454 :login:Penguin:04/03/01 05:01 ID:buqnZPjj
>>453
ゲストOS選ぶ前のところでカスタム選んで、
最後のSpecify Disk FileにあるAdvancedでIDEに変更できるよ

455 :login:Penguin:04/03/01 07:12 ID:Xz4a88O9
>>346
http://bugs.gentoo.org/show_bug.cgi?id=41120
http://bugs.gentoo.org/show_bug.cgi?id=41839

456 :438:04/03/01 12:52 ID:ULrHRuXo
vmwareのHDDをIDEにして、ブートローダーをliloにして再挑戦したらインスコでけました。
fsckでこけるけど。これからいぢりまくってやります。

457 :login:Penguin:04/03/01 15:33 ID:Vf1lNKF5
ウチのvmwareではIDEの設定でもSCSIの設定でも普通に使えてる
XP版のver 4.0.5ね

必要最低限のものだけを選んでinstall出来るので
vmwareのような比較的HDD容量が小さい環境にinstallするのには
向いてるな・・・って感じたよ
/usr/portage/distfilesはnetwork越しにmountしてるが(w


458 :名無しさん@Emacs:04/03/01 16:02 ID:hLj3Zfgr
どうでもいい動作報告かもしれないが、Gentoo上でRioSU30にアクセスできた。

# modprobe usb-storage
# modprobe sd_mod
# mount -t vfat /dev/sda1 /mnt/riosu30

こんな感じ。 ファイル名は8.3形式のほうがよさげ。
(WinXPからロングファイル名で書きこんだら8.3形式で保存されてた)


459 :login:Penguin:04/03/01 21:28 ID:OuNS8a24
~x86の最新sys-libs/glibcのバージョンはいくつですか?

460 :login:Penguin:04/03/01 21:52 ID:Vf1lNKF5
>>459
glibc-2.3.3_pre20040207

gentoo使ってるなら自分で調べられるよ
ACCEPT_KEYWORDS="~x86" emerge -pv glibc


461 :412:04/03/02 00:23 ID:kxoXSsyI
>>445
ebuild uploderについてはdevの方が話題が多い。
私は4つとも講読してるけど、usersとdevは講読を勧めるよー。

462 :411:04/03/02 01:10 ID:lLRxsAUh
>>446
ありがとうございます。
とりあえずusersとdevを講読してみることにします。

463 :login:Penguin:04/03/02 03:05 ID:YxgJJ2Kn
なんだかXFree86-4.4.0が出たそうだけど、
Gentooでも入らないんかな?

464 :login:Penguin:04/03/02 04:56 ID:DGelL3la
>>463
コアメンバ解散後にライセンスが変ったらしくて
そのライセンスがGPLと相性が良くない。

たぶん、少し時間かかると思われ。
#portageに入れるくらいならライセンス上の問題はないと思うんだが

465 :login:Penguin:04/03/02 05:06 ID:LquuOKpT
x11-base/xfree
Latest version available: 4.3.99.902-r2

4.4.0になってからライセンス変わったのかな?

466 :login:Penguin:04/03/02 10:14 ID:90jZ2DFA
http://www.itmedia.co.jp/enterprise/0403/01/epn03.html
GPLの第6項に相反するからだって。
RedHatさえこのままのライセンスのままでは採用しないとなるとねぇ。
どうなる事やら。

467 :login:Penguin:04/03/02 12:25 ID:BHz1H+XP
そこでAccelerated-Xの出番ですよ。

468 :login:Penguin:04/03/02 16:19 ID:MXTQvexh
Y-Windowだしょ

469 :login:Penguin ◆GENTOO/4YY :04/03/02 17:19 ID:1qAtwXz4
Gentoo 2004 stage1-3
. キタ ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛
┃        ┏┓              ┏┓                                ┏┓  ┏┓  ┏┓
┃        ┃┃              ┃┃                                ┃┃  ┃┃  ┃┃
┗━━━━┛┗━━━━┓    ┃┗━━━━━━━┓                ┃┃  ┃┃  ┃┃
┏━━━━┓┏━━━━┛  ┏┛┏━━━━━━┓┃                ┃┃  ┃┃  ┃┃
┃        ┃┃            ┃┏┛            ┃┃                ┃┃  ┃┃  ┃┃
┃        ┃┃        ┏━┛┃              ┃┃                ┃┃  ┃┃  ┃┃
┃┏━━━┛┗━━━━┛┏━┛┏━. (゚∀゚)..━━┛┗━━━━━━━━┛┃  ┃┃  ┃┃
┃┗━━━┓┏━━━━━┛    ┗━━━━┓┏━━━━━━━━━━┓┃  ┃┃  ┃┃
┃        ┃┃                          ┃┃                    ┃┃  ┃┃  ┃┃
┃        ┃┃                      ┏━┛┃                    ┃┃  ┃┃  ┃┃
┃        ┃┃                      ┃┏━┛                    ┃┃  ┃┃  ┃┃
┃        ┃┃                  ┏━┛┃                        ┃┃  ┃┃  ┃┃
┃        ┃┃                  ┃┏━┛                      ┏┛┃┏┛┃┏┛┃
┃        ┃┃              ┏━┛┃                          ┃  ┗┛  ┗┛  ┃
┃        ┃┃            ┏┛┏━┛                          ┃  ┏┓  ┏┓  ┃
┃        ┗┛            ┗━┛                              ┗━┛┗━┛┗━┛
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ !!!

470 :login:Penguin:04/03/02 19:59 ID:SLXI9yHI
何が来たの?

471 :login:Penguin:04/03/02 20:06 ID:rptHeCPa
>>470
2004.0


472 :login:Penguin:04/03/02 20:57 ID:w1y+dn5z
universalってbaseってことで解釈すりゃいいのかね?


473 :login:Penguin:04/03/02 22:29 ID:SLXI9yHI
Gentoo Linux(JP)サイトが白紙だああ

474 :login:Penguin:04/03/02 23:06 ID:uT6FSEzT
ひっさしぶりにRebootしたら
SILOが起動しやがらない・・・。

SIって表示がでたところでフリーズする・・・。
何が悪いのかも見当がつかん・・・・。

SPARC版のGentoo2004早くでないかな

475 :login:Penguin :04/03/03 00:17 ID:cyWpYtca
ジオメトリ。。。
いったんSolarisでパーティション切りなおした方がいいかも


476 :login:Penguin:04/03/03 01:14 ID:QPfWNLbM
コンバンハ。たまには寄付しようと思い立ってGentoo Storeを眺めて
みたのですがココって海外発送してますか?

また買った人がいたとしたら、送料はいくら位かかりましたか?

477 :login:Penguin:04/03/03 03:31 ID:0Bo+fT1f
してるよ。キャップとカップ買った。
総量は詳しく覚えてないけど、$20くらいだったかな。うろ覚えスマソ

478 :login:Penguin:04/03/03 03:32 ID:0Bo+fT1f
s/総量/送料/

479 :login:Penguin:04/03/03 03:58 ID:Y2+XD0kH
>>474
SPARC の LiveCD から SILO だけ入れ直せば OK。
自分とこでも前そうなったけど、これで復旧した。
というより、なんでそうなるのかのほうが問題なの
だけど……。

480 :login:Penguin:04/03/03 12:10 ID:lS/6sq+l
>GentooリリースチームはGentoo Linux 2004.0ができるだけ早くミラーにいきわたるように努力していますが、ミラーシステムの配信を阻害する技術的な問題が発生しています。これは、24〜48時間以内に解決されるでしょう。もうしばらくお待ちください

早くmirror.gentoo.gr.jpにもこないかな〜

481 :login:Penguin:04/03/03 13:14 ID:1SK3lD3F
KDE 3.2へアップグレードしたら、
suコマンドが、許可がありませんって。。。

482 :login:Penguin:04/03/03 13:43 ID:OLBoJPnC
>>481
/etc/group書き換えたとかじゃ?
自分がwheel groupに入ってるかどうか確認しよう


483 :481:04/03/03 14:36 ID:ZwTj1hsE
>>482
はい。
その通りでした。サンクスです。

484 :login:Penguin:04/03/03 14:54 ID:eNzcN1L5
やっと突き止めた。
app-i18n/prime/prime-0.7a_p1.ebuild があると emerge -U world が失敗する。


485 :login:Penguin:04/03/03 17:09 ID:A4ULqP1d
>>474
>>479

うちは最近
emerge -u world
したらsiloがおかしくなったぞ。
Filesystem don't open
とかなんかファイルシステムが開けんとか言ってきやがった

LiveCDから入れ直したら直ったけど。

おかしくなったバージョンは・・・





見るの忘れた。
役にたたなくてスマソ

486 :login:Penguin:04/03/03 20:36 ID:DOHBR1IM
siloのebuildにバグでもあるのか?


487 :login:Penguin:04/03/03 21:27 ID:Q0pHz16v
新規インストールしてるんですが、#emerge infoすると、
USE="X apache2 berkdb cdr cjk crypt cups dvd emacs encode gif imagemagick jpeg
mmx nls pam pic png python readline sse ssl tcpd truetype x86 zlib"
と言う感じです。
Gentooで使いたいのはEmacsとPython、Firefox、SKKで、
DVDとMP3の再生もしたいです。

FirefoxでJavaを使いたい場合はjava(jikes?)が必要でしょうか?
それともJAVAプラグインなどインストールすれば大丈夫なんですか?
あと他にもあったほうが嬉しいものや要らないものあったら教えてください。

488 :login:Penguin:04/03/03 22:53 ID:OLBoJPnC
http://www.gentoo.org/dyn/use-index.xml
ここみて自分で判断・・・が良いんじゃないかな
まあ変えたくなったら /etc/make.confを書き変えて
emergeしなおせばいいだけだしね
(とはいっても結構な時間はかかるけど)

portage2.0.50-r2からは --newuseって機能が入りそうで
これになると もう少し気軽にUSE flagを決められそう


489 :login:Penguin:04/03/03 23:51 ID:mMU2Nc1t
modemでネットに接続してるんですが
「udev primer」を参考に devfs→udev にしたら
メールやらmozillaやらが繋がらなくなってしまいました。
一応ifconfigで見るとネットワークが繋がってるし
なぜかemergeでアップデートはできてます
変更したのがudevだけでメールなどは変更していないのですが
どの辺りに問題があるんでしょうか?

490 :login:Penguin:04/03/03 23:54 ID:tAvf4KD1
>>488
サンクス
USEの設定で迷っていろいろ調べてたら結構時間かかって
結局今日はインストール中断。

gentooは途中で止めたりできる柔軟さがあっていいね

491 :login:Penguin:04/03/04 00:02 ID:9Z+4r0UW
>>490
ufedでも使ったら?USEの設定ツールけっこういいよ

492 :login:Penguin:04/03/04 00:04 ID:f9vjXBkr
>>490
それだけインストール時に悩む要素が多いともいえるねぇ。


493 :login:Penguin:04/03/04 00:08 ID:6KjXZZhI
>>489
IP直指定だと繋がったりしない?

494 :login:Penguin:04/03/04 00:09 ID:H4Ckdq1l
--newuseって
USE='-gtk2'をUSE='+gtk2'に変更したい場合に、インストール済パッケージの内
IUSE=gtk2なebuildを対象に再コンパイルするんだよね?きっと

仮にそうだとして、USE='+hoge' のときにだけ
特定のライブラリやヘッダファイルをインストールするアプリAと
これらのライブラリやヘッダファイルの存在をconfigure時に調査して
何かの有/無効を決めちゃうようなアプリBがあった場合、
アプリBは USE='+hoge' emerge -u --newuse worldしても
再コンパイルされないんじゃないかと思うのだけど。
当然、アプリBのIUSEにhogeがない場合に限る話しだけど。

この辺は--newuseの当所の目的とは違って
今まで通りrevdep-rebuildで直すしかないのかな

--newuseに対してネガティブなつもりではないので、あしからず。

495 :login:Penguin:04/03/04 00:32 ID:yDG820Yz
>>494
そうですね

--newuseに限らずconfigureで自動的に判定して使ってくれちゃうのって、
Portage(USE)の敵なのかもしれない

configureのオプションでdisableにできるものはまだいいんだけど、
そうでないものも多いし

revdep-rebuildにお世話になるようなものをPortageで解決するためには、
ebuild自体に何か項目を加えないとだめかなぁと思っている

REMERGE="hogecat/hogepkg"
みたいな感じで

何かいい案思いついたら教えてください


496 :login:Penguin:04/03/04 01:30 ID:H4Ckdq1l
>>495
うーむ、そうですか。--newuseってUSEをころころ変えて
楽しめるって点でGentooの良さを体感できるすばらしい
機構だと思います。動的ではないものの状況の変化に適応させた
環境を変更できるというか。極端な話、「おっ明日は無線環境だ」と
思って、USE='musen' emerge -u --newuse world
とか使えるとか、USE='shuttyo' emerge -u --newuse worldとか
将来、既存のUSEフラグを組み合わしてエイリアスとかできるようになれば
こんな使い方も想定できるわけで、何かと使えそうな機構だと思ってます。

調査していないので曖昧ですが、emerge -u --newuse worldの後は
revdep-rebuild 必須とかになってしまうと、--newuseの普及に対して
多少の懸念がありますね。さすがに影響の大きいUSEフラグでない
限りrevdep-rebuildにイライラすることもなさそうですが。


497 :login:Penguin:04/03/04 01:35 ID:H4Ckdq1l
ゴメン
s/適応させた/適応させて/



498 :login:Penguin:04/03/04 02:10 ID:yDG820Yz
>>496
そうですね。

--newuse --revdep-rebuild
みたいにできればいいんですけどね。

もちろんrevdep-rebuildみたいな機構をportageに入れることは可能なんですが、
できればelispなどといったものの更新にも対応させたいので、lddに頼ってい
るrevdev-rebuildと同じことができるだけではちょっとつまんないんですよね。

python-updaterとかも統合してPortageで処理したいなぁと。

(考えてはいるんですけど、いろいろなGentoo開発者を巻き込まないといけな
いので、大変。)


499 :恥を忍んで:04/03/04 06:10 ID:my8ZbjcD
オハヨウゴザイマス。休日一晩かけてわからんかったんで、
おしえてくんさせてくだちゃい。

大枚叩いてRadeon9200 VRAM256Mの玄人志向RD92-A256Xを買ったんで、
USEの-radeonをradeonに変えてemerge xfreeしなおしたら、
最後のメッセージで
「RADEONはこのままじゃつかえません。
モジュール外してxfree-drmを入れなさい」
みたいなこと言われたのでそうしたんです。
けど、当然xf86configにはモジュール選ぶとこが出るのでとりあえず
ATI RADEON(Generic)を選択。
startxに失敗したので/etc/X11/XF86configの
Section "Device"/Identifier/Driverをコメントアウトしてもダメ。
その上でSection "Module"にLoad "dri"を入れてもダメ。
(カーネルのDRIサポートはモジュール化してあります。)
どの場合もエラーメッセージは
(EE) No Devices detected.
どうすればいいんでしょうか。

500 :login:Penguin:04/03/04 07:38 ID:wBdMT+74
>>500
かーねる弄るの

501 :login:Penguin:04/03/04 07:39 ID:wBdMT+74
>>500>>499さんえのレスのつもりなの

502 :login:Penguin:04/03/04 08:24 ID:FIRqsI/8
>493
ありがとうございます。どうやらそのようです。
ただ、分からないのは root だとDNSが機能するのに
一般ユーザーだとIP直指定じゃないとサイトにアクセスできなくなっています
これはどこに問題があるんでしょうか?

503 :login:Penguin:04/03/04 08:42 ID:nfYxJ/Vu
2004.0をstage1から構築したい場合は、universalにあるinstall-x86-minimal-2004.0.isoで
ブートさせてOK?

504 :さっきの:04/03/04 09:26 ID:my8ZbjcD
>>500さん
朝も早よからどうもです。
カーネルを弄るちゅうのは、「入れてないモジュールがある」ということでしょうか?
AGPもMTRRもDRIもRadeonも入ってるんですが、あと....。
ちなみにgentoo-sources-2.4.22-r7
それと、気になったのですが、
/var/log/XFree86.0.log見てると、
以前入ってたGeforceMMXのnvドライバをロードしてんです。
/etc/X11/XF86configのradeon部分を戻してみてもそうです。
心配になってlspciしたら一応
VGA compatible controller: ATI Technology Inc Radeon RV280 [Radeon 9200]
Display controller: ATI Technology Inc: Unknown device 5941 (rev 01)
となっているのでハードの問題ではないらしい....。

他力本願で申し訳ないですが、参考リンクだけでもくれると嬉しい。


505 :login:Penguin:04/03/04 10:42 ID:eX+OWSNS
>>503
http://gentoo.seren.com/gentoo/releases/x86/2004.0/livecd/README

506 :名無しさん@Emacs:04/03/04 11:20 ID:fFoyLS2R
>>502
ダイアルアップするのに net-dialup/pppd を使っていて、
/etc/conf.d/net.ppp0 にある PEERDNS が yes だと
/etc/resolv.conf のパーミッションが 600 になる。 ここまで言えば解決方法は分るよな?


507 :login:Penguin:04/03/04 12:02 ID:my8ZbjcD
板汚しゴメン。Radeon9200/256Mで騒いでたもんです。
自己レス。Turbo10評価版入れて、動いて、
そいつの/etc/X11/XF86configから
Identifier "Card0"以下 EndSectionまで丸移し、
Driver "ati"を"radeon"にしたら動いた。
VRAM32M→256Mの差はデカイ!

ついでにナンだけど、emerge xfreeではstripかからないんで、
/usr/X11R6/bin/Xwrapperだけでもstripすると起動が早まるんだけど、
これってどっかマズイところあるんでしょかね?

とにかくおじゃまでした。寝ます!

508 :login:Penguin:04/03/04 12:44 ID:6DDI0H2u
(´-`)。oO( 500は何だったんだろう?春だからかな? )

509 :login:Penguin:04/03/04 14:19 ID:sOH3DAEG
>>508
>>501

510 :login:Penguin:04/03/04 14:56 ID:nfYxJ/Vu
皆さん/etc/make.confはどんな感じにしてますか?
CFLAGS="-O3 -march=pentium3 -fomit-frame-pointer"
CHOST="i686-linux-gnu"
USE=""
CXXFLAGS="${CFLAGS}"
私はこのようにしているのですが、ググってでてきたWebサイトをみたり
manを読んだりしたのですが意味を理解していないものがあります。
-O3は最適化度で-O3が今の所MAX。
-march=pentium3はpentium3に最適化したバイナリを生成する。
-mcpuよりも-marchの方が最適化度が高い。
CHOSTはPentium Pro以上のものならi686-linux-gnuにしておく。
-fomit-frame-pointerが何なのか分からないのですが、どういったものなのでしょうか?
また、勘違いしている設定がありましたらご指摘お願いします。

511 :login:Penguin:04/03/04 15:00 ID:eX+OWSNS
Gentooじゃなくてgccの話だね。(RADEONもしかり)

512 :510:04/03/04 15:06 ID:nfYxJ/Vu
>>511
まぁ、無関係じゃないと思うので。

513 :login:Penguin:04/03/04 15:28 ID:gdJmS98a
>>510
http://www.google.co.jp/search?hl=ja&q=gcc+%E6%9C%80%E9%81%A9%E5%8C%96%E3%82%AA%E3%83%97%E3%82%B7%E3%83%A7%E3%83%B3&lr=lang_ja


514 :login:Penguin:04/03/04 16:02 ID:IylWuqy1
公式サイトにあるインストールガイドの通りに作業を進めていたのですが、
bootstrap.shでつまづいてしまいました。
bootstrap.shを実行しても
Resolving ftp://sunsite.dk... failed:Host not found.
>>>Downloading ftp://sunsite.dk/mirrors/gentoo/distfiles/portage-2.0.50-r1.tar.bz2
--15:26:10-- ftp://sunsite.dk/mirrors/gentoo/distfiles/portage-2.0.50-r1.tar.bz2
=>> `/usr/portage/distfiles/portage-2.0.50-r1.tar.bz2'
このメッセージがずらずらとでてきて、最終的には
!!!Couldn't dpwnload portage-2.0.50-r1.tar.bz2.Aborting.
となって終わってしまいます。
/etc/resolv.confは
nameserver ISPのネームサーバ
としてあります。
同じネットワークにあるPCからpingをうっても返事が返ってこないのです。
chrootしてからそうなってしまったと思うのですが、どう対処すれば良いのでしょうか?

515 :login:Penguin:04/03/04 16:04 ID:jrW2Nyys
>>510
前スレでかなり詳しく解説があったよ。

516 :login:Penguin:04/03/04 16:07 ID:z6k26/K+
>>514
ぱっと見 host名の解決が出来てないんじゃないかと
思わせるようなerrorですが
chrootする前にresolv.confをcopyするの忘れたりしてないよね


517 :login:Penguin:04/03/04 16:30 ID:jrW2Nyys
最近これが出てきて man で表示できないのだが。ガイシュツ?

/usr/bin/groff: can't find `DESC' file
/usr/bin/groff:fatal error: invalid device `nippon'


518 :login:Penguin:04/03/04 16:37 ID:Nq4NsXL/
>>517
あー出てたな、すぐに1.18に落とした。

519 :514:04/03/04 16:47 ID:IylWuqy1
>>516
きちんとcp /etc/resolv.conf /mnt/gentoo/etc/resolv.confとしてコピーしました。
このPCは255.255.255.0というネットマスクに所属しているのですが、同じネットマスクに所属する
別のPCからGentooをインストールしようとしているPCにpingをうっても反応がありませんでした。
普通ならchrootした後でもネットワークと接続されていますよね?
ifconfigなどのコマンドも使えないのでどういう状態なのかがよくわかりません。

520 :login:Penguin:04/03/04 16:49 ID:jrW2Nyys
>>518
うげー。groff 3/1に1.19に上げたせいだな。
戻そうと思ったが、groff_1.18.1-0.u1.diff.gzが見つからずあぼーん状態。


521 :login:Penguin:04/03/04 17:21 ID:I1vbNou5
>>499にati-driversの話をするのはやっぱりダメですか?
そうですよね。春ですから。。

522 :login:Penguin:04/03/04 17:21 ID:O6NmOFOX
>>520
PORTDIR_OVERLAYのgroffを使ってたりする?
/usr/portage/sys-apps/groff/groff-1.18.1-r4.ebuildならば
ミラーにあるgroff_1.18.1-7.diff.gzを取ってくると思うけど。

523 :login:Penguin:04/03/04 17:23 ID:CE6qguW8
CPUが
Celeron 2.5GHz(FSB400MHz,128K)Socket478
の場合はisoイメージはP4で良いのでしょうか?

524 :510:04/03/04 17:29 ID:nfYxJ/Vu
>>523
Celeron2.5GHzはP4コアなのでpentium4用ので問題ないです。

525 :login:Penguin:04/03/04 18:02 ID:jrW2Nyys
>>522
さんきゅーです。
その通り、localの方のr111を入れようとしてました。
前にも他のパッケージで、すでに本家に取り込まれたもので
ローカルの方が優先されてたのがありました。
ちょっとややこしいですね。

526 :523:04/03/04 18:20 ID:CE6qguW8
>>524
ありがとうございます。

527 :login:Penguin:04/03/04 18:46 ID:3VxFwzA2
groff emerge fails
http://bugs.gentoo.org/show_bug.cgi?id=41857
で引っかかってインストールができません。
他の人はエラーになりませんか?
cjkありの1.18、1.19もcjk無しの1.18、1.19もコンパイル失敗

emerge systemが出来ないので先に進めない....

528 :login:Penguin:04/03/04 19:48 ID:O6NmOFOX
>>527
普通は問題なく通るはずだが。
localeの結果はどうなってる?

529 :login:Penguin :04/03/04 20:25 ID:CbeuA9il
2004.0のステージファイルで新規インストールしようとしたら

ステージ2のttmkfdirでコンパイルエラー。。
他のebuildをコンパイルしては試しているけど、まだうまく
いかない。

なにか影響のありそうなパッケージ名知りませんか?
(@sparc64)

例によってPerlは手動で入れないとダメだったし。。


530 :login:Penguin:04/03/04 21:54 ID:5kFwepjf
>>528
#locale
LANG=POSIX
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=
ってなりました。
#export LC_ALL=C
してもやっぱり同じエラーがでました。
今日#emerge syncしてBootstrap.shを走らせた環境です。
特別なことはしてません。なんでだろう?

531 :login:Penguin:04/03/04 22:15 ID:5kFwepjf
>>527ですが、
フォーラム見て自己解決しました。
Reproducable error with stage1 install and "groff"
http://forums.gentoo.org/viewtopic.php?t=139381
原因は
>When you 'emerge system' the first thing it does is update hardened-gcc,
>but due to the config file protection /etc/hcc.conf does not get overwritten with the newer version.
で、フォーラムの指示通り
#mv /etc/._cfg0000_hcc.conf /etc/hcc.conf
#hardened-gcc -a
をして解決しました。
#emerge groffが無事できたのでこれから#emerge systemしてきます。

532 :login:Penguin:04/03/04 22:59 ID:O6NmOFOX
>>527,531
ふーん、結局bug #41857じゃなかったわけね

533 :514:04/03/05 08:07 ID:O41/sp6e
もう一度最初からやりなおしたらbootstrap.shも無事に終わりました。
今回は同じネットワークのPCからGentooをインストールしているPCにpingをうつと
正常に返ってきました。
そして、emerge systemまでいきました。
emerge systemを実行して10分ほどたつと>>514のメッセージが・・・・
man-1.51.tar.gzをダウンロードしようとしますが、Host not found...とでてしまい、
!!!Couldn't download man-1.51.tar.gz.Aborting.
で終わってしまいます。
原因は分からないのですが、この現象が起きるときは今までpingがとおっていたのに、
Resolving http://www.kernel.org... failed:Host not found.
とでたときは既にpingが通らなくなっています。
対処法の分かる方がいましたら、ご教授下さい。お願いします。

534 :login:Penguin:04/03/05 09:02 ID:Bg4v1F75
>>533
じぇんつー知らないけど
とりあえず
204.152.189.116
にping打って味噌

535 :login:Penguin:04/03/05 09:03 ID:Bg4v1F75
とりあえずDNS周りが変なのか調べてみるニダ

536 :514:04/03/05 09:07 ID:O41/sp6e
>>534 >>535
レスありがとうございます。
chrootした後なのでpingやifconfigなどのコマンドを使うことができません。
別のPCからGentoo PCにpingをうっても反応がない事から、スタンドアロン状態になっているようです。
>>533でpingが通らないというのは、別のPCからGentoo PCへのpingの事です。

537 :login:Penguin:04/03/05 12:15 ID:gbba50kZ
>>536
ところで chrootからexitしたらping回復するのかな
まあ 問題の解決にはなってないけど
stage3でinstallしてみるってのはどうかな

あんまり聞いたこと無い症状なので
原因を想像するのすら難しいが(w
chrootすると即networkから切り離されるわけじゃ無いようだし
引金がchrootじゃ無い可能性もあるよね
NIC等 Hardware系の問題とか
network自体の問題も疑ってかかる必要もあるカモ


538 :login:Penguin:04/03/05 12:39 ID:krM1jWFd
i850なマザーボードだとhotplugが妙なことするちゅうのがあった。
1.4のLiveCDでnet-config(だっけ?)したら
1)一度はネットワーク開通。
2)しばらくするとモジュールごとパーになる。
LiveCDをnodetect オプションつきで起動、NICのモジュールは手動で入れると
うまくいったけど、いまでもかなあ?

あと、ftp:なのが気になる。ルーターマシンでftpのnatができてないとか?

まあ、ないだろうけんど。一応。

539 :login:Penguin:04/03/05 13:28 ID:BVFZZCTu
noacpi とか noapm とか?

540 :login:Penguin:04/03/05 14:15 ID:gbba50kZ
あー apmとかの関係って可能性はありますね
数年前のnote pcでの話ですが
時間が経つと(APMが動くと)
NIC落とされるって現象を見たことがあります


541 :login:Penguin:04/03/05 14:54 ID:+w3q3g3i
初心者なんですが教えてください(ぅ_・。)
gentoo2004.0のlivecd落として焼いてインストールしようとしたんですが
ブートしてくれません どうしてでしょうか......
1.4はブートしたんですが2004はブートしてくれないんでしょうか?

542 :login:Penguin:04/03/05 14:59 ID:mZyTEr4K
2004.0にアップする時にmake.profileって
作り直した方がいいのですか?
教えて下され

543 :login:Penguin:04/03/05 15:00 ID:e9JyJ572
>>541
http://linux2ch.bbzone.net/index.php?FaqBeforeInstall#content_1_9

544 :login:Penguin:04/03/05 15:52 ID:bSeq2qbg
ncurses-5.4以降になってから、なんだか少しメモリ余計に食うようになったね。

545 :514:04/03/05 18:30 ID:O41/sp6e
>>537 >>539 >>
chrootした瞬間は何の問題もないようです。
何が引き金になっているのかが分かれば、良いのですが・・・
起動時にgentoo noacpi noapmとして起動させたのですが、同じ現象がおきてしまいます。
今回は前回と同じbootstrap.shでネットワークにつながらなくなりました。
インストール対象のPCはノートPCで、Celeron600MHz、メモリ64MBで内蔵NICはRealTek製です。
やはり、ノートPCならではの省電力機能が働いているのでしょうか。

>>538
FTPの方はきちんと使えるようにしています。
休止状態が働かないようにキーボードを時々押し、インストール作業を進めてみて
無理なようなら、その方法を試してみます。ありがとうございました。

546 :541:04/03/05 18:47 ID:jkj7+CDI
なんでブートしないんだろぉ........

547 :login:Penguin:04/03/05 18:56 ID:c4b90LsW
>>546
まさかとは思うけど、.isoをそのままファイルとして焼いてないよね…
あ 1.4ではブートできてるならそれはないか
じゃあ別のisoイメージを落としてみたら?

548 :login:Penguin:04/03/05 18:59 ID:lO9u8PW5
>>541
漏れもpackages-pentium3-2004.0.isoをイメージで焼いて
ブートしようとしたのだが、なぜかブートしてくれなかった。
Vineは大丈夫だったんだがなあ。
しょうがないから1.4からやってみる。

549 :541:04/03/05 19:02 ID:jkj7+CDI
ほかの人もいたのね
俺も1,4からやるかなぁ

550 :login:Penguin:04/03/05 19:04 ID:BVFZZCTu
gentoo dokeymap nodhcp noapic

で立ち上げてますが、dokeymapが無視されちゃうな。noapicがないと立ち上がらない
場合があった。

現在、emerge system まで無事に終了してます。(2004.0)

551 :login:Penguin:04/03/05 19:16 ID:XFYiCxTM
>>548
releases/x86/2004.0/livecd/universal/install-x86-minimal-2004.0.iso
releases/x86/2004.0/livecd/universal/install-x86-universal-2004.0.iso
こっちじゃないとブートできない。
そっちはバイナリCD。

552 :541:04/03/05 19:28 ID:jkj7+CDI
ああそうだったのか。。。。。
551さんどうも そしてすいません

553 :login:Penguin:04/03/05 19:31 ID:lO9u8PW5
>>551
こっぱずかしい。。。
知らなかったよ。
ありがとね。>>551

554 :login:Penguin:04/03/06 03:17 ID:Y71oTiF6
はじめての gentoo ですが面白いですね。 はまってます。
gentoo 2004.0 + gentoo-dev-sources (2.6.3-r1) + xfce4 + mozilla。
mplayerplug-in のインストにちょっと手間取ったが、その他は順調。
でかいパーティションが無かったため、途中で /usr/portage を別の
パーティションへ移動して対処。
これから色々サワッて調べる。 その前に寝る。

555 :login:Penguin:04/03/06 03:18 ID:xSGK3ZxL
>>545
>内蔵NICはRealTek製です。
これがなんかあやしいような……
以前このチップの NIC を FreeBSD で使っていたのだけど、
NFS で負荷をかけると kernel panic した。また、そうしない
までも、大量にデータを流すとネットワークが切れた。
もっとましなチップの NIC を使わない?

556 :login:Penguin:04/03/06 04:02 ID:BWPRgoUu
てか蟹は普通に使っててもパケット取り零したりするのでお勧めしない。
#マトモなアプリだと整合とれなかった場合再送を要求して余計な負荷と時間を要する

てかノートPCか…取り換えきかねーよなぁ。
PCMCIAのNICとかにしたほうがいいんじゃない?

どうせならPCごと買い換えるとか。
gentooはコンパイルにも時間かかるけど、ダウソにもかなり時間かかるからな…。
#ISDNとかだとやってらんねーよ。それでもやってるけどw

557 :login:Penguin:04/03/06 07:32 ID:9VYl/84z
そうだったのか!
distccで未だkernel panicする現象は8139tooのせいか.....
確かにhost側でtopしてて、負荷が上がるとなるんだよ。

gccそろえてもccache -Cしてもなるんでこの際、
はなっからやりなおしたろかと思ってました。
金はないがいいの探してみよっと。

558 :login:Penguin:04/03/06 11:19 ID:tNZrOszj
a2psでテキスト変換しようとしているんですが日本語がうまく変換できません
a2ps --encoding=euc-jp text -o text.ps
と入力すると 「a2ps: unknown encoding `euc-jp'」と言われます

一応 /usr/share/a2ps/encoding/ には"euc-jp.edf" があるんですが
どうすれば動くんでしょうか



559 :login:Penguin:04/03/06 13:46 ID:v8qvn9fE
>>558
a2ps.pl を拾って来ると幸せになれると思います。

560 :login:Penguin:04/03/06 14:53 ID:YFmKRLb6
ノートでPenIII使ってるから
http://ftp.ussg.iu.edu/linux/gentoo/releases/x86/2004.0/livecd/pentium3/
からliveCDもらってこようとしたんだけど、ここにはpackage〜***しかないのはなぜでしょう?
README見ると/2004.0/livecd/universal/ にあると言われるんだけど
2004.0からは /universal/ にliveCD置くようになったの?

561 :login:Penguin:04/03/06 15:09 ID:lIFl0JgA
http://ftp.ussg.iu.edu/linux/gentoo/releases/x86/2004.0/README



562 :login:Penguin:04/03/06 19:18 ID:Dk8bpbX7
AirH"のacmドライバでpppdを使ってインストールする場合、ステージ1からインストールすることはできますか?

563 :login:Penguin:04/03/06 19:42 ID:f1Bo9E8W
>>562
漏れは非常用も兼ねて最初に小さなFedoraをインストールして
ネットワークも繋がるようにしてからchrootでインストールした

いや、結構便利なもんだよ。特に慣れるまでは

564 :login:Penguin:04/03/06 21:57 ID:XT/24PA6
stage1からシコシコと作業し、いざrebootをかけたら、以下のようなメッセージがでてうまく起動できません。
Root block device unspecified or not deteceted.
Please specify a device to boot, or"shell" for a shell
/dev/hda1と入力すると、起動できるのですがこれはどこの設定が間違っているのでしょうか?
/dev/hda1をext2でbootパーティション
/dev/hda2をswap
/dev/hda3をext3で/パーティションにしています。
/etc/fstabは
/dev/hda1 /boot ext2 noauto,noatime 1 2
/dev/hda3 / ext3 noatime 1 1
/dev/hda2 none swap sw 0 0
none /proc proc defaults 0 0
こうなっています。

565 :login:Penguin:04/03/06 21:59 ID:X+y+HpTu
stage3からだけど、俺もなったことある。その時は諦めました…。

566 :login:Penguin:04/03/06 22:05 ID:vNaZ+tEq
あれだろ、kernel行(liloならappend)にroot指定を書いてないってことちゃうか?

567 :login:Penguin:04/03/06 22:08 ID:EzBQ+h+9
>>564
上級者じゃないから偉そうな事言えんけど
起動しないんだったらfstabじゃなくて
liloかgrubの設定じゃないの?


568 :564:04/03/06 22:10 ID:XT/24PA6
>>566
/boot/grub/grub.confは
default 0
timeout 30
splashimage=(hd0,0)/boot/grub/splash.xpm.gz

title=My example Gentoo Linux (genkernel)
root (hd0,0)
kernel (hd0,0)/boot/kernel-2.4.22-gentoo-r7 root=/dev/hda3
initrd (hd0,0)/boot/initrd-2.4.22-gentoo-r7
こうしています。
どこか間違えている箇所がありましたらご指摘お願いします。

569 :login:Penguin:04/03/06 22:16 ID:Pt/o8tKw
genkernelやった事ないけど、
Gentoo(JP)には、
Code Listing 23.4: grub.confの例

default 0
timeout 30
splashimage=(hd0,0)/boot/grub/splash.xpm.gz

#手動でコンパイルした場合はこのようになります
(省略)

#genkernelを使った場合の例はこちら
title=My example Gentoo Linux (genkernel)
root (hd0,0)
kernel (hd0,0)/boot/kernel-KV root=/dev/hda3
initrd (hd0,0)/boot/initrd-KV

kernek-KV,initrd-KVにしないといけない?

570 :login:Penguin:04/03/06 22:17 ID:Pt/o8tKw
-KVはカーネルバージョンだから、いいのか。
ゴメン

571 :login:Penguin:04/03/06 22:19 ID:nkObJF6K
>>564
自分も2004.0入れた後同じようになったんですが、

> kernel (hd0,0)/boot/kernel-2.4.22-gentoo-r7 root=/dev/hda3



kernel (hd0,0)/boot/kernel-2.4.22-gentoo-r7 root=/dev/ram0 real_root=/dev/hda3 init=/linuxrc

としたら起動しましたよ

572 :login:Penguin :04/03/06 22:21 ID:/K0HXroS
genkernelのバージョン変わったせいで、grub.confの書式も
変わったことが、forumに書いてあるよ


573 :login:Penguin:04/03/06 22:24 ID:Pt/o8tKw
しかし、KDEのインストールは相変わらず長いね!
午後4時15分に始まって、まだ終わらず。

574 :564:04/03/06 22:30 ID:XT/24PA6
おぉ!
>>571通りにやったら起動できました。
これからはforumもチェックするようにします。ありがとうございました。

575 :566:04/03/06 22:54 ID:vNaZ+tEq
>>571
へぇ〜、そんなことできるんだ。
でも、基本的に/bootを別パーティションにしているなら、
>kernel (hd0,0)/boot/kernel-2.4.22-gentoo-r7
これはおかしくないかい?
/bootは(hd0,0)のルートディレクトリだから、
kernel (hd0,0)/kernel-2.4.22-gentoo-r7
になるはず。

576 :566:04/03/06 23:00 ID:vNaZ+tEq
補足。
root (hd0,0)
kernel (hd0,0)/kernel-KV root=/dev/hda3
initrd (hd0,0)/initrd-KV

root (hd0,0)
kernel /kernel-KV root=/dev/hda3
initrd /initrd-KV
これだけで普通は起動するはず。


577 :571:04/03/06 23:18 ID:nkObJF6K
>>566
入れたばかりなのでインストールガイド通りに設定しただけなんです
フォーラムでも同じような設定があったので・・・

578 :login:Penguin:04/03/06 23:26 ID:yJ62UYTO
wvdialでppp接続をしているのですが接続した瞬間に
/etc/resolv.confのパーミッションが600になってしまう問題が
解決できません。上の質問でpppdが関係しているらしいと言う事で
/etc/ppp/peers/wvdialなどをチェックしてみましたがそれっぽい処理は
されていないように見えます。
このパーミション切替えをしないようにさせるにはどうすればいいのでしょうか

579 :login:Penguin:04/03/06 23:28 ID:Kw1rPh5x
>>575
> /bootは(hd0,0)のルートディレクトリだから、
> kernel (hd0,0)/kernel-2.4.22-gentoo-r7
> になるはず。

boot

580 :579:04/03/06 23:30 ID:Kw1rPh5x
しまった。

bootの下にシンボリックリンクのbootがあって、
bootをパーティション分けた人とそうでない人どっちでもいけるようになってる。

581 :login:Penguin:04/03/07 00:23 ID:5gY5yb/0
>573
KDEはまもなく3.2.1が来るよw

582 :login:Penguin:04/03/07 03:28 ID:4/QL/eiY
gentoo.gr.jpのインストールガイドはもう古いよ
ここみて設定すると良い
http://www.gentoo.org/doc/en/handbook/handbook.xml?part=1&chap=9


583 :login:Penguin:04/03/07 03:38 ID:fsrDPqzs
>>558
ちょっとそれバグなので users ML か bugs に投稿してください。
ここに書かれると忘れそう……。ちなみに USE="cjk" でないと
日本語パッチは当たりませんが、それは OK ですか?

584 :login:Penguin:04/03/07 05:05 ID:VL8HIKe6
gaimでskkinputでの日本語入力が上手くいかないね。
enter押して送信した後、何か入力しようとした最初の1つめは
skkinputの制御下に入らないみたい。

メッセージ窓を開く

ほげ [enter]

↓ボックスが空になって再度「ほげ」と入力

hおげ

gaim-0.72だか0.73ではちゃんと入力できてたと思うんだけど…
本家の都合かな。

今インスコしてるのはこれ
net-im/gaim-0.75-r10
net-im/gaim-encryption-2.21
app-i18n/skkinput-2.06.4

585 :login:Penguin:04/03/07 11:07 ID:82SwWpwg
それ、俺もなる。 ちなみに、金髪 + かんな で、 出先だからうろ覚えだけど同じバージョンの自分でmakeしたgaim。 そか〜gaim本体のバージョンの問題ぽだな〜。ありがつ。

586 :login:Penguin:04/03/07 12:11 ID:C/+oxgwK
Forumのフォント色をどうにかしろ!と思うのは俺だけですか。

587 :login:Penguin :04/03/07 14:15 ID:NM4zEGX/
>586
漏れもだ。
前のデフォルトの色がよかったのに
見にくくて仕方が無い。。


588 :login:Penguin:04/03/07 16:08 ID:8V5QlI11
ML で言ってやれよ。

589 :login:Penguin:04/03/07 16:43 ID:fsrDPqzs
>>584,585
それは前は Gentoo とか FreeBSD で独自に当てていたパッチ
のせいだったのですが、いまは本体に取り込まれたみたいです。
そのパッチを当てると skkinput の入力で書かれているような
不具合が出ますが、これがないと kinput2 とかその他いろいろ
な XIM と immodule で問題が出るので、入れてくれとかなり
要望があったためです。(自分がかつて skkinput ユーザなので、
デフォルトでオンにするのには懸念を表明していたのですが、
ユーザ数を考えると……)

あのパッチが当たってしまった状況ではどうにもこうにも
いかないので、skkinput ユーザは app-i18n/uim をインストー
ルして、uim-skk を使うという代替案があります。uim-skk
は skk サーバとの通信さえできませんが、skk の機能の基本的
な部分は備えており、skkinput と比べると半角かな入力機能
がついているという長所があるので、skkinput から乗り換える
ぶんにはもうそれほど遜色なかろうと思います。(入力補完
機能とかそういうのはまだ uim-skk にはないのですが、要望
が強ければ入れてくれるのかも)

ちなみに gaim のそのパッチに関する bug はこちら:
ttp://bugs.gentoo.org/show_bug.cgi?id=24657

590 :login:Penguin:04/03/07 16:49 ID:fsrDPqzs
う、kinput2 でもその問題あるのですか。とりあえずあの
パッチが当たっていない状況だと、そもそも変換を開始
しようとするとキー入力を受け付けなくなるので、それと
比べるとまだだいぶまし、なのですが、もっと根本的に
直さないとだめっぽいですねえ。実は gaim 側のバグでは
なく GTK+ 側のバグらしい(でも GTK+ 側でまだ直してく
れていないので、非常に ad hoc なパッチを入れてもらった)
ので、そっちが解決したらこの問題もなくなると思うのですが……

591 :login:Penguin:04/03/07 17:01 ID:uNwao7dT
ああ、ほんと
見難くて仕方ないね
強制的に自分色を使う鹿

592 :login:Penguin:04/03/07 17:30 ID:K/H540pN
directfbいれたら
make[3]: *** [matrox_maven.lo] エラー 1
make[3]: Leaving directory `/var/tmp/portage/DirectFB-0.9.20/work/DirectFB-0.9.20/gfxdrivers/matrox'
make[2]: *** [all-recursive] エラー 1
make[2]: Leaving directory `/var/tmp/portage/DirectFB-0.9.20/work/DirectFB-0.9.20/gfxdrivers'
make[1]: *** [all-recursive] エラー 1
make[1]: Leaving directory `/var/tmp/portage/DirectFB-0.9.20/work/DirectFB-0.9.20'make: *** [all-recursive-am] エラー 2

!!! ERROR: dev-libs/DirectFB-0.9.20 failed.
!!! Function src_compile, Line 70, Exitcode 2
!!! (no error message)
って出たのですがどうやったら回避できますか?
御慈悲を〜

593 :login:Penguin:04/03/07 18:25 ID:uNwao7dT
kernel 2.6.xと2.4.xで有意に2.4系列がスピード速いんだけど・・・
glxgearsで描画速度測ったら
2.6.4-rc2 231-231FPS
2.4.25 255-256FPS
もちろん、どちらのemergeも同じmake.conf使ってコンパイル。
基本的に2.6のconfigは2.4のを引き継いで設定しているので
同じにできる部分は変更してないと思う。
2.6の方が反応とか速いと聞いていたんだが・・・漏れの設定ミスかな?


594 :login:Penguin:04/03/07 18:26 ID:uNwao7dT
スマソ
2.6.4-rc2 231-232FPS
の間違い。

595 :login:Penguin:04/03/07 18:34 ID:VL8HIKe6
>>593
2.6の場合は、主に目に見えない部分の強化が計られてる
有難いのは殆どの場合サーバだとか基幹システムで
デスクトップ用途においては内部動作速度と効率の向上がある程度。

"描画速度だけ"に焦点を当てた場合、素の2.4系と然程変らないよ。

スケジューラがいかに速くなろうとも、I/Oが如何に高速化されようとも
VMの効率が向上しようとも、単に描画速度のベンチだけだと
スケジューラもI/OもVMも全然関係ない。


596 :login:Penguin:04/03/07 18:38 ID:VL8HIKe6
さらに、描画速度の向上をkernelに求めてもほぼ無駄。
あくまで付随的にしか向上しないよ。
ベンチの結果通り
差が24FPS程度というあたりで、劇的な差は産まない。

ckのようなデスクトップ用途に限られたアプローチをいくつも行なっている場合はべつだがね。

597 :login:Penguin:04/03/07 18:42 ID:UKb74ST2
emerge world 掛けたら、emergeが壊れた・・・
emergeを叩くたびに下記のエラーがでる・・・
Traceback (most recent call last):
File "/usr/bin/emerge", line 10, in ?
import emergehelp,xpak,string,re,commands,time,shutil,traceback,atexit,signa
l
File "/usr/lib/portage/bin/emergehelp.py", line 7, in ?
from output import *
ImportError: No module named output

emergeって入れなおす手段あるのか・・・

598 :login:Penguin:04/03/07 18:42 ID:uNwao7dT
>>595-596
識者のご意見サンクスです。さすがgentooはユーザ層が違いますね。
とりあえず、swsusp2使いたいので2.4にしておきますです。


599 :login:Penguin:04/03/07 20:34 ID:5K4vZXTV
>>593

 家の遊び実験機の場合、ベンチマークした訳ではないですが、2.6 の方が
Gnome のログイン処理とか、Mozilla の立ち上がりの体感速度はかなり速く
なったように感じてます。

 速くなったのはあくまで「体感速度」だけな気はしてますが、まぁ、使い
勝手の面ではメリットなので、2.6 の方使ってますです。

 HT だからかな。

600 :login:Penguin:04/03/07 21:57 ID:L9O9Dzjr
2004.0でkernel-2.6とsysfs,udev関係使っている人いますか?
もしいらっしゃったら注意点等あったらご教授ください

601 :login:Penguin:04/03/07 22:40 ID:AjXqQxqN
>>600
2.4使っとけ

602 :login:Penguin:04/03/07 22:52 ID:VL8HIKe6
まだ、2.6使わない方がいいよ
地雷の危険性が無くなったわけじゃないし
性能的のも、まだ変る可能性も高い(良くなったと思えば悪くなったりまた良くなったり)。

あらゆる面で、より良い方法模索中だ。

それでも気になる人は、mmパッチでも追い掛けてみれ。


603 :login:Penguin:04/03/07 22:58 ID:X0sIBIq0
2.6使いたいなら無難にstableかstable+ck使ったほうがいいんじゃ。。

604 :login:Penguin:04/03/07 23:37 ID:VL8HIKe6
>>603
使う事は推奨してないよ。
mmの動向を見て自分で判断汁と言ってんの。

605 :もっと詳しく書くか:04/03/07 23:50 ID:VL8HIKe6
2.6はまだ「使い時ではない」。
機能的にも性能的にも安定性 信頼性の面でも
実質的に「開発版の延長」であって「未だ安定版とは呼べない」。

よって、ただ使いだけのユーザーにはお勧めできない。
更新頻度が高くてkernelの追っ掛けだけでも大変。
2.4との互換性が乏しい、そのままmakeの通らない物もある。
kernel依存なプログラムだと、2.6にした途端にわけわからない動作をする事もある。
面倒が多いので、落着くまで待った方が絶対良い。

使い時を見極めようというなら、mmパッチの動きと本家のmerge状況を見て
自分で使い時を判断汁。
#インスコしなくても動向くらいわかるべ

あとckパッチは未だ熟れてないし機能 性能ともに2.4.x-ckに比べて劣る。
さらには、路線変更の兆しが見え隠れしてる。
#ただのパッチ不足かもしれんが
今のところデスクトップ用途に向いているとは言えない状態。
#Pentium4ユーザーなら多少ありがたいかもしれん

606 :login:Penguin:04/03/07 23:55 ID:Km7pB5Y+
まあ、2.4が出たときも不安定だったからマターリ待とうや。

607 :login:Penguin:04/03/07 23:58 ID:uNwao7dT
>>605
ごめんなさい。2.6もかなりの期間使いましたが、パッケージにミスがあるのを除いて
>2.4との互換性が乏しい、そのままmakeの通らない物もある。
>kernel依存なプログラムだと、2.6にした途端にわけわからない動作をする事もある。
これに該当するものには当たりませんでした。
具体的にどのパッケージが挙げてもらえませんか?

608 :login:Penguin:04/03/08 00:08 ID:qlyMSkCM
>>607
ちなみに互換性が問題になる場合は、kernel headerを2.6にしたとき。
mplayerとかtcpdumpとかiputils等、kernel headerを参照する物がそう。
gentooのlinux headerは一応パッチが当ってるのでmakeは通る。

mplayerがmake通らないのは、linux/compiler-gcc3.h ここで設定されてるマクロが呼びだされちゃうから。
tcpdumpはネットワーク周りが結構書き変ってるせいでダメ。
他にvmwareなんかはパッチが出てるにも関わらず、完動はしないね。

俺が使ってる範囲ではこの程度の問題があったな。

他にもこれまで発生した問題で、
kernel 2.6にした途端にemacs -nwでのカーソルキーの挙動が狂うとか
mozillaが起動すらしなくなったとか。
cannaが正常にforkしないとか(2.6 + glibc-2.3.3_pre2004XXXXのせい)とか。


609 :login:Penguin:04/03/08 00:09 ID:qlyMSkCM
他にもstraceがmake通らなかった事もあったし
今ではejectがmakeできない。
iputilsもだめ。(これは要らんのかも)



610 :login:Penguin:04/03/08 00:18 ID:qlyMSkCM
連続カキコ スマソ

で、一時的に2.4のヘッダに戻してmakeだけは通したんだけど
straceはSEGVするし、ejectしようとするとseek errorだの何だのゴッソリとエラー出した。

mplayerは再生中に落ちるし、tcpdumpは/usr/includeじゃなくて直接kernel source見てるっぽくてmake通らず。

今のところsys-kernel/linux-headers-2.6.3-r1使えば、この問題はある程度回避できるけども、今後も大丈夫かどうかなんて保証は今のところ(そして当分)ない。

新し物好きな香具師の気持ちはわからんでもないけど
>>606の言う通りマターリ待つべきだよ。

611 :login:Penguin:04/03/08 00:22 ID:LJJ0o90o
>>608-610
詳しいレスサンクス。
いえ、一般論だけ語ってる知ったか厨かと疑ってました。
で、ヘッダファイルまでは上げないのは常識っぽいような気がするんですけど。
問題が起こると指摘されているのに敢えて入れて、それで問題があると言っても
始まらないわけで。
んで、自分は2.4ヘッダしか使ってないんですけど、mplayer iputils strace は
問題なかったですよ。mozillaも


612 :login:Penguin:04/03/08 00:35 ID:qlyMSkCM
>>611
>で、ヘッダファイルまでは上げないのは常識っぽいような気がするんですけど。
>問題が起こると指摘されているのに敢えて入れて、それで問題があると言っても
>始まらないわけで。

問題解決できない人は入れない方がいいけど、問題解決に積極的な人は入れた方がいいでしょ。
でないといつまで経っても、一般人が2.6に移行できないもの。

>んで、自分は2.4ヘッダしか使ってないんですけど、mplayer iputils strace は
>問題なかったですよ。mozillaも
mplayer iputils strace は書いた通りheaderのせい。(互換性の問題)
mozillaは一時期2.6がバグってたから。(kernelその物の挙動の問題)
#mozillaに限らず、firefoxも風博士もネスケもだめだった。

ようするに、まだバギーだってことよ。で、書いた通りだけども現状大丈夫でも
今後大丈夫という保証はないわけで、落着くまで待てやと言ってんの。
さらに、mmの動向を見る限り 2.4->2.6に変った時点でかなりの変更があったにも
かかわらず、今現在においてもかなりダイナミックな変更加えてるよ。
カーネルプロセスは極力kthreadにやらせるようにしていく方針みたいだし
ドライバ周りもまだまだアレコレと手加えてるし
ファイルシステムもバリバリ書換えてるし、地雷はまだまだあるよ。
スケジューラもVMもチューニングしまくってるし、I/O周りもまだ完全に定まってない
みたいだし。

613 :600:04/03/08 00:45 ID:/5QgAt32
う・・・、燃料投下気味になってしまったかなorz

鯖用途なので尚更まだ2.4のままにすべきですね
みなさん助言thxです


614 :login:Penguin:04/03/08 00:56 ID:nv0Z98xY
当方、Opteron140を使用しているので
ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO/releases/amd64/2004.0/livecd/install-amd64-universal-2004.0.iso
をダウンロードして早速stage3からインストールしようしました。
ところが tar -xvjpf /mnt/cdrom/stages/stage3-*.tar.bz2 としたところ
Error exit delayed previous errorsと解凍中にエラーになります・・・
マウントは
/dev/hda3/mnt/gentoo
/dev/hda1/mnt/gentoo/boot
/dev/hda5/mnt/gentoo/home
/dev/hda6/mnt/gentoo/usr
/dev/hda7/mnt/gentoo/opt
/dev/hda8/mnt/gentoo/tmp
/dev/hda9/mnt/gentoo/var
としています。
以前解凍するパーティションの使用率100%になってエラーになるポカミスを
やらかしたことありますが今回は違うようです。
なんでだろ〜!

615 :login:Penguin:04/03/08 02:57 ID:hE3Hkj6R
udevに変更してUSBプリンタをwebminで設定すると
どうしても/dev/usblp0に指定されてしまう...

結局手動で
ln -s /dev/lp0 /dev/usblp0
ってしたよ

616 :login:Penguin:04/03/08 09:26 ID:tKQvUz1C
>>614
他ミラーから落としてみては。
どこのサイトか忘れましたが、元ファイルが壊れてた!てのを経験したことがあります。

617 :login:Penguin:04/03/08 12:46 ID:WxKMxpOR
さっきジェンツーペンギンがNHKをでむぱジャック
してますた。ハァハァ

>>64
md5sum確認した?

618 :login:Penguin:04/03/08 12:47 ID:WxKMxpOR
>>617
>64じゃなくて、>>614

619 :login:Penguin:04/03/08 12:56 ID:DOwXDnEj
tmpfsのことで質問します。
Gentooでは、/dev/shmでtmpfsを利用していますが、
現在、私のマシンの環境では、256MB中、121MBもそれに
使われてしまっています。

fstabを読む限りでは
# (tmpfs is a dynamically expandable/shrinkable ramdisk, and will
# use almost no memory if not populated with files)
と書いてあるのですが、数日間待ってみたのですが全然、
小さくなったりしないみたいで、、

メモリの使用量を減らすか、アンマウントしてしまいたいのですが
しない方がいい、もしくは放置しておいて問題ないものなのでしょうか。

620 :login:Penguin:04/03/08 13:13 ID:4du4eVlS
>>617
>>618

>元ファイルが壊れてた!てのを経験したことがあります。
そうなんですか。
Windowsでダウンロードして焼いたので確認していませんでした。
Windows(Cygwinとか)でmd5sumチェックできましたっけ?
調べてみます。
でも試しにturbolinux 10 desktopとかでやってみたらちゃんと解凍できたんですよ。
解凍はできるけど一部のファイルが壊れてるってことかな。

621 :login:Penguin:04/03/08 14:17 ID:Y9geHUha
>>619
/etc/fstab の
none /dev/shm tmpfs default 0 0

none /dev/shm tmpfs size=32m 0 0
とかにする。


>>620
http://www.md5summer.org/

622 :login:Penguin:04/03/08 14:24 ID:Vo3ZS3on
>>620
http://linux2ch.bbzone.net/index.php?FaqBeforeInstall#content_1_10

623 :login:Penguin:04/03/08 18:17 ID:g3oZYMqq
>>578
強引にip-up.local, ip-down.localでパーミッション変更するか、chmod 600してる
スクリプトの該当部分をコメントアウト

624 :login:Penguin:04/03/08 20:13 ID:4du4eVlS
>>621
>>622
こんなツールあったんですね。
調べりゃすぐ分かることだったのにすみません。

>>617
>>618
早速md5sumチェックしてみましたが結果は一致していて異常はありませんでした。
焼きミスかもしれませんのでもう一度別のところから落として焼きなおしてみます。
ちなみにほかのPCでpackages-x86-2004.0.isoをVMwareにインストールしようと
したことろStage1のファイルを解凍中に同じエラーになりました。
やはりmd5sumチェックに異常なし・・・
ググっても同じ現象になったような人はいないようですし謎です。

625 :login:Penguin:04/03/08 23:53 ID:cgTQiMlM
gentoo2004.0のuniversalを落としてきて、LVMでパーティションを
きってインストールしようと思ったのですが、うまくいきません。

gentoo1.4の時はlvmのインストールガイドに沿ってやればうまくでき
たのですが、gentoo2004.0では/dev/vg/いかが作成されません。
gentoo2004.0ではlvm2になっているようですが、どのようにすれば
lvmを利用してインストールできますでしょうか?ご存知の方
いましたらご教授お願いします。

626 :login:Penguin:04/03/08 23:58 ID:LJJ0o90o
これからP2ノートとP4デスクトップにインスコしてみ松
いちおう約1年に渡ってP3ノートにて~x86の運用経験はあるけどドキドキ
どでもいいんだけど、universalがブータブルなんでつね
勘違いしてi686とかpentium4とかを焼いてしまいますた

627 :login:Penguin:04/03/09 00:32 ID:MVNJBdAz
>>625
BootするLive CDは1.4のを、stage圧縮ファイルは2004.0のを使ってみては?

漏れは2004.0のuniversalでbootして、RAID1(md)を設定し、そこにxfsでファイル
システム作って、stage2を展開後、/etcやら/homeやら/usr/local/binやらの
バックアップファイル展開するというのをやってみたんだが、
何度やっても途中でKernel panicしちゃうというのに遭遇したので、
1.4でbootして復旧させました

628 :login:Penguin:04/03/09 01:14 ID:W886rUCU
やっぱりというか・・・いきなりはまった・・・ヘルプミィ

2004でインスコ始めて、emerge sync までは難なく進んだんだけど
デスクトップにはNICが3枚刺さってて、うちeth1で認識されるカードが
外につながっている。DHCPでアドレスは取れているのだが、なぜか
このNICを通して emerge してくれない。素直に線を差し替えるべき?
emerge のオプションにも make.conf にもつなぎ先NICを指定する
項目はないよね?

629 :login:Penguin:04/03/09 01:15 ID:W886rUCU
もとい、emerge sync の直前まで進んだってことです。

630 :login:Penguin:04/03/09 01:29 ID:YrQu+al/
>>682
ただルーティングの問題なんじゃない?


631 :login:Penguin :04/03/09 01:30 ID:rRXrZBw5
>628
先に認識して欲しいNICを、カーネル組込み
後から認識して欲しいNICを、モジュール組込み

これで解決するよ


632 :login:Penguin :04/03/09 01:31 ID:rRXrZBw5
あ、インストール時なら、線つなぎかえてね。


633 :login:Penguin:04/03/09 02:53 ID:SUbvYaai
まだインストールしたばかりなのですがdfやmountの結果に/が二行出てきます。
普通ではないように思うのですが、どこがおかしいのでしょうか?
/dev/hda3 5863540 1206348 4657192 21% /
/dev/hda3 5863540 1206348 4657192 21% /
none 257296 0 257296 0% /dev/shm
/dev/hda1 38856 3517 33333 10% /boot
---
fstab
/dev/hda1 /boot ext2 noauto,noatime 1 2
/dev/hda3 / reiserfs noatime 0 1
/dev/hda2 none swap sw 0 0
/dev/cdroms/cdrom0 /mnt/cdrom iso9660 noauto,ro 0 0
none /proc proc defaults 0 0
none /dev/shm tmpfs defaults 0 0


634 :login:Penguin:04/03/09 03:01 ID:scjxcXca
>>629-631
インスコ時です。つなぎ変えてただいまgccの一回目コンパイルちうです。
P4 1.3GHzですが、すでに2時間は回っているような・・・。
手元にマニュアルでは明日論1.2で約2時間とありますが・・・。

635 :login:Penguin:04/03/09 03:25 ID:YY4DxBRt
>>633
genkernel 使ってない? そしたらそれは既知のバグなのだけど、
解決したんだったっけな。

636 :login:Penguin:04/03/09 04:14 ID:scjxcXca
うげぇ、つーかgccコンパイル時間掛かりすぎ。
なので途中線外してノートでネット見てたらgcc終わりそうになったので
線戻したんだが、glibcを見に行く前につないだのに、ホストノットファウンドでbootstrapあぼーん。
また最初からやり直し。2時間パー。
つーかこの期に及んでbootstrapに-fオプションあるのを知った。それくらいマニュアルに書いておいてくれや。
--resumeは効いて無さそう。もっかいbinutilsからやり直し。ガックシ。

637 :login:Penguin:04/03/09 04:16 ID:P12svO3B
gcjのコンパイルしなきゃ結構はやく終るよ

638 :login:Penguin:04/03/09 04:20 ID:scjxcXca
>>637
それってどうやるの?

639 :login:Penguin:04/03/09 04:20 ID:scjxcXca
あ、USE で -java ?

640 :login:Penguin:04/03/09 04:29 ID:P12svO3B
nogcj

641 :login:Penguin:04/03/09 09:42 ID:Xtj7cFlQ
>635
genkernel使ってます 3.0.1だっけな 帰ったらみてみます
このまま使ってもよいものでしょうか?

642 :login:Penguin:04/03/09 13:25 ID:7uJHX/sI
USEフラグにobjcも加えてほしいな。これいらないでしょ。
それとも使ってるパッケージなんてあるのかな?

643 :login:Penguin:04/03/09 19:20 ID:pTlq6BAt
バイナリアップデートはできるようになったんですか?
最近忙しくてコンパイルする暇なくてね

644 :login:Penguin:04/03/09 19:53 ID:fR4S1AUe
vim behaving badly
http://forums.gentoo.org/viewtopic.php?t=101998

vimをemergeしたらエラーになって↑を参考に
#emerge ruby && emerge -C ruby && emerge vim
したら成功したけど、すごく気持ち悪い。

645 :login:Penguin:04/03/09 20:03 ID:0cUiiujf
Gentooはまだ未熟な感じがするので様子見。

646 :login:Penguin:04/03/09 22:19 ID:bTYqfTcW
.bashrcをユーザーのホームに書いたんだけど読んでもらえないみたい・・・
.bashrcでいいんだよね??

647 :login:Penguin:04/03/09 22:20 ID:lYpqXwJi
~/.bash_profile なんてどうですか旦那。
man bash の「ファイル」の項に色々載ってますぜ。

648 :login:Penguin:04/03/09 22:50 ID:SUbvYaai
すでにインストールされているportageの一覧はどうやって見たらよいのでしょうか?
FreeBSDで言うところのpkg_infoが見たいのですが

649 :login:Penguin:04/03/09 22:56 ID:yleUKkBU
>>648
qpkg

650 :login:Penguin:04/03/09 22:59 ID:yleUKkBU
あ、ごめん、違うかも。

651 :login:Penguin:04/03/09 23:04 ID:p+WDd9I1
>>648
cat /var/log/emerge。

652 :login:Penguin:04/03/09 23:06 ID:E3C7Z2hq
UFGentooっつうのがDistroWatch Weekly, Issue 39で載ってた。


653 :login:Penguin:04/03/09 23:14 ID:ZerXrAGo
kernelバグ出てるよ〜
http://dailynews.yahoo.co.jp/fc/computer/linux/
アップデートしナヨ〜

654 :login:Penguin:04/03/09 23:38 ID:i8NBt/Af
漏れはこっちみてます。
cd /var/db/pkg; find . -maxdepth 2 -mindepth 2 -type d

655 :login:Penguin:04/03/09 23:55 ID:DPYA2enG
>>627
ご教授ありがとうございます。

しかし、1.4ではMBのNICが認識できないので、この方法では無理です。
とりあえずは普通にパーティションきってLVMなしでインストールして
後で考えることにしました。



656 :login:Penguin:04/03/10 01:44 ID:J5QeY9HX
>>653
それってさ

2月の中旬ころにみつかったバグじゃないの?

657 :login:Penguin:04/03/10 01:53 ID:qRseIvJq
最新版には影響無しか

658 :login:Penguin:04/03/10 02:01 ID:J5QeY9HX
2月のやつじゃなかったか
どっちにしろもう治ってるバグだったのね。

659 :login:Penguin:04/03/10 02:30 ID:0R9sMTir
>>643
結局 2004.1 送りになったみたいで。まあでもバイナリ
アップデートはすごくサポート悪いので、あまり期待
しないほうがいいと思う……。だめだめでもちゃんと
使ってバグ報告するつもりなら止めないけど。

>>644
ruby をなにも考えずに古い環境から上げるとそうなる
はずだけど、ruby の pkg_postinst() でそれに関する
メッセージが出ているはず……でも読まないか、普通。
いまの ruby なら問題ないと思うけど、新しい環境でも
そうなる?

>>645
あなたの感覚はきっと正しい。

>>648
emerge epm して epm -qaもしくは emerge gentoolkit
して qpkg -I

660 :login:Penguin:04/03/10 06:57 ID:NfUi/f2m
kde3.2.1に備えて、インストール済みの
kde3.1.5をバイナリパッケージにしたいんですけど、

emerge -C kde && emerge --depclean
emerge -b kde
以外に、メタパッケージをバイナリ化する方法はないでしょうか。
できればアンインストールなしで。

emerge -eB kde
だと、ほぼシステム全部を再コンパイルしてしまうので、、、

661 :login:Penguin:04/03/10 07:25 ID:PrmvRjyl
>>660
そんなときのためのquickpkgなんだけど、依存関係は見てくれないか。

せこーい方法だと、

emerge -pe kde | awk '{print $4}' > hoge

とかして、hogeの必要なさそうなところ削って、
# quickpkg `cat hoge`
とかどう?

hogeの全部の行の先頭に=をつけないとだめか。
=dev-libs/libusb-0.1.8
=sys-apps/usbutils-0.11-r3
=net-misc/wget-1.9.1-r2

みたいな感じで。

もっといい方法ありそう。


662 :login:Penguin:04/03/10 14:12 ID:1tNzi/cV
gentoo 1.4と2004.0で結局何が変わったの?
バイナリパッケージは見送られたみたいだし何かユーザー側でこれは便利っていうような
新機能はないんですか?

663 :名無しさん@Emacs:04/03/10 15:01 ID:0hfQvSje
お使いのアーキテクチャに関する Release Notes を御覧ください.
http://www.gentoo.org/proj/en/releng/


664 :login:Penguin:04/03/10 15:14 ID:in4E0Ywf
Gentoo2004.0の新機能って
catalystとかいうinstallerがあるってぐらいじゃない?
俺は使った事無いので知らないけどね

他は別に2004.0ならでは・・・ってのは無いって思ってる


665 :login:Penguin:04/03/10 17:37 ID:F/u0NEZI
>>644
それって、rubyがVERSIONを返してくれないやつ?
configureの中をRUBY_VERSIONに...(ry

666 :644:04/03/10 18:32 ID:8P66kvP+
なんでこうなるのか全然分かんないんですが、
一応環境を書いとくと
2004.0を新規インストール(kernel2.4)した直後で、
Rubyはインストールしてなかったです。

自分は解決したけど原因分かる人は直して >>えろい人

667 :login:Penguin:04/03/10 18:41 ID:F/u0NEZI
>>666 げっ、はずしたポ_| ̄|○
こんな罠に嵌まったのは俺だけか...f(^_^;

668 :login:Penguin:04/03/10 19:28 ID:cSTs2F/p
GentooとFedoraにdistcc入れて使ってみたけどなかなかいいね。
コンパイル命のGentooにはある意味必須かも。

ところでみんなに聞いてみたいんだけど、linux-headersを2.6系列に
入れ換えるのはやっぱり無謀かな?

669 :login:Penguin:04/03/10 19:36 ID:1FfJOIf8
無謀。
kernel2.6+headers2.6+nptlで人柱街道まっしぐら。

670 :login:Penguin:04/03/10 20:36 ID:uT7D8cGS
kdeってインストールしても勝手に日本語環境にしてくれないんですか?
それともインストール失敗?

671 :login:Penguin:04/03/10 20:45 ID:cSTs2F/p
>>670
日本語をはじめとした各言語のロケールは kde とは別に kde-i18n にまとめられてるから、
emerge kde-i18n しる。

>>669
こないだkernel-2.6にしたんだけどlinux-headersはやっぱり無謀かな。
だれか人柱になってクレ。

672 :login:Penguin:04/03/10 20:56 ID:uT7D8cGS
>>671ありがとうございます
みんなどうしてそんなことわかるんだろ......
調べてるつもりなのにな......

673 :login:Penguin:04/03/10 21:00 ID:lkmkhaaa
LINGUAS="ja" emerge kde-i18n

674 :login:Penguin:04/03/10 22:15 ID:ZcOwCBix
>>668
distcc出たついでに・・・

distccとsquidとsshdを同時に利用するって可能ですかね?
squidとsshを動かしているproxyマシンとの間でdistcc入れるようになってから
squid経由でwebは見れるんだけど、rsyncとかsshができなくなった。
distccで使うポートっていくつなんだろう?

675 :login:Penguin:04/03/10 22:16 ID:ZcOwCBix
つーか速いマシンに作業振り分けようとしてチープなマシンでも
distcc使う設定にしたら、速い方のマシンでemergeするときに
チープなマシンが動員されてますますまた〜りする罠

676 :login:Penguin:04/03/10 23:06 ID:PrmvRjyl
>>675
遅いマシンはdistccサーバーにしなければいいだけじゃないの?


677 :login:Penguin:04/03/10 23:12 ID:kIsgwKDa
env-updateをしたら、
env-update
* Caching service dependencies...
Usage: server -n rsa_nickname -p port [-3RFrf] [-w password]
[-c ciphers] [-d dbdir]
-3 means disable SSL v3
-r means request certificate on first handshake.
〜〜〜〜〜〜
l SSL3 RSA EXPORT WITH DES CBC SHA (new)
[ ok ] SSL3 RSA EXPORT WITH RC4 56 SHA (new)
と表示されるのですが、消したいのです。
なにすればいいですか?
教えて下さい!!!


678 :login:Penguin:04/03/10 23:37 ID:hLzrdQ4J
>>671
> kernel2.6+headers2.6+nptlで人柱街道まっしぐら。

漏れは一時的にlinux-headers-2.6.3-r1にして、USE="nptl pic"で
emerge glibcして、またlinux-headers-2.4.21に戻してそれ以外の
アプリをコンパイルする、というのをやろうとしてるんだが、
これって無意味?


679 :login:Penguin:04/03/10 23:53 ID:QllRnRRX
>>647
.bashrc_profile
もためしたはずだよなとおもって、やってみたらあっさりとおった
なんで?とおもって、よくみたら
.bashrc_procile
rcいらね!


680 :login:Penguin:04/03/10 23:56 ID:ZcOwCBix
>>676
そ、そうなんすよ!

速いマシンの/etc/distcc/hosts
fast
遅いマシン/etc/distcc/hosts
fast slow

ってすればいいんですよね。で、ポートは何を使っているのでしょう?
つーか通らないのはrsyncだけなような・・・。

681 :login:Penguin:04/03/11 00:14 ID:EKfGtsBo
>>680
manに書いてあるけど、portは3632みたい。
変更したいなら/etc/conf.d/distccdを見ればわかると思う。


682 :login:Penguin:04/03/11 00:46 ID:dPVOJ+fm
>>681
サンクスです。そうなると、rsyncでバッティングしてることは有り得ないですね。
sshは再起動後通るようになりましたが、rsyncはなぜか通らないなぁ。
とりあえずdistccのせいではなさそうです。

683 :login:Penguin:04/03/11 00:52 ID:dPVOJ+fm
状況は、192.168.0.4を割り振ったマシン(以下A)から192.168.0.1を割り振った
マシン(以下B)を経由してemerge syncをしたいのです。
A上ではsshd squid distcc stone などを動かしてて、ssh web mail
のサービスは外につながります。この状態で、Aの/etc/make.confには
http_proxy="192.168.0.1:8080"
RSYNC_PROXY="192.168.0.1:8080"
を記述してあり、/etc/wget/wgetrcには
http_proxy = http://192.168.0.1:8080/
ftp_proxy = http://192.168.0.1:8080/
use_proxy = on
を記述してあります。

emerge (package)ではBを介してソースのダウンロード、コンパイルまで完了します。
が、emerge syncをすると、
Notice: (-3, 'Temporary failure in name resolution')
>>> starting rsync with rsync://rsync.jp.gentoo.org/gentoo-portage...
>>> checking server timestamp ...
bad response from proxy - HTTP/1.0 403 Forbidden
rsync: failed to connect to 192.168.0.1: Success
rsync error: error in socket IO (code 10) at clientserver.c(88)
>>> retry ...

これの繰り返しでタイムアウトになります。

684 :login:Penguin:04/03/11 01:05 ID:EKfGtsBo
>>863
Aでrsync.jp.gentoo.orgの名前引けてる?
# host rsync.jp.gentoo.org
など。


685 :login:Penguin:04/03/11 01:08 ID:dPVOJ+fm
>>684
すみません。hostコマンドが見当たらないので、どのパッケージに入っているか
調べてからインストールして引けるかどうか調べてみます。

686 :login:Penguin:04/03/11 01:09 ID:jBc83F45
KDE3.2.1まだ?

687 :login:Penguin:04/03/11 01:11 ID:HyliNhrd
>>683
squidがport 873を通すように設定しないとrsyncのproxyとしては使えない。

acl SSL_ports port 443 563 873
acl Safe_ports port 873 # rsync

688 :login:Penguin:04/03/11 01:21 ID:dPVOJ+fm
>>687
ありがとうございます。SSLのポートだったのですね。なるほど。
素晴らしいです!

>>684
hostはbindに入ってました。distcc(笑)でコンパイル中です。

さてと、これからKDE3.2.1コンパイルwith distcc です!

689 :login:Penguin:04/03/11 01:23 ID:HyliNhrd
>>688
host は bind-tools です。

690 :login:Penguin:04/03/11 01:44 ID:dPVOJ+fm
あ、ほんとだ。すみません。
emerge -C bind && emerge bind-tools
ところで、KDE3.2.1はまだ本家以外にミラーされてませんかね。
全部404で本家に取りに行ってますが・・。

691 :login:Penguin:04/03/11 01:54 ID:dPVOJ+fm
>>684
で、hostが動くようになったので調査。
Bでは引けてますが、Aでは引けてません。
でも、Bのsquid通してrsync使えるようになったので構わないんですよね?

692 :login:Penguin:04/03/11 02:42 ID:HyliNhrd
>>691
名前引けないって、/etc/resolv.conf はどうなってる?

B で DNS キャッシュサーバ(BIND でも djbdns の dnscache でもいいけど)を立ち上げて、
それを使うようにすれば?

693 :login:Penguin:04/03/11 02:55 ID:dPVOJ+fm
>>692
いや、あの、squidでport873許可してrsyncも通るようにしたので
A上でDNSがどうのって話は関係ないんじゃないかと・・思うんですが。
現にemerge syncはできましたし。

694 :login:Penguin:04/03/11 05:04 ID:usNg5h/n
>>662-664
目に見えて大きな変更はないかもしれないけど、Portage
のコードがかなりよくなっているし、問題だったバグが
かなり取れているので、不可解な挙動に悩まされることは
なくなっていると思う。/etc/portage に書く機能がいちばん
大きいかな。(x86 環境で特定のパッケージだけ ~x86 を使っ
たり、特定のパッケージでだけ有効にする USE フラグを設定
したり)
ただ 2004.1 へのパイロットリリースだった感は否めない (汗

695 :login:Penguin:04/03/11 05:10 ID:usNg5h/n
>>644,666
MAKEOPTS を -j2 以上に設定していなかった?
なんか症状を聞くと -j1 を強制しないといけない
ような感じではある。

696 :login:Penguin:04/03/11 05:13 ID:mAXE5IFH
ただいまPIIマシンにPCMCIA LAN経由でステージ1からインスコ中
KNOPPIXでもブートでこけるマシン(USB,APMに難あり?)に
LANカードまで認識させてネットワークを構築してインスコできるGentooに改めて感激!

697 :login:Penguin:04/03/11 09:53 ID:HyliNhrd
>>693
関係はないけど、名前ぐらいちゃんと引けた方がいいから。

698 :login:Penguin:04/03/11 11:29 ID:eytJNSE1
>>678
ここみても
http://www.gentoo.org/dyn/use-index.xml
picフラグって見当たらないのですが、これって
どういうUSEフラグなんでしょうか?

699 :login:Penguin:04/03/11 12:20 ID:ig8szgwE
>>698
ufed でみると
pic : Local Flag : Build position independent code. Need for (prelink/hardened-gcc)
と、こんなん出ました。

700 :login:Penguin:04/03/11 12:31 ID:QHTSSJGm
>>647
.bash_profileはやったよなぁ・・・
と思いつつ試したら、あっさり動きました。
なんでやねん!とおもって
history | grep profile
ってしたら、
mv .bashrc .bashrc_profile
・・・
rc入ってた・・・
ありがとうございました。


701 :login:Penguin:04/03/11 14:34 ID:IWs2IKMK
>>695
MAKEOPTSてまだ要るん?
distccのバージョン上がった際、
「make.confにFEATURESだけ入れよ」
みたいなメッセージが出て以来、コメントアウトしてるんだが。
ちなみにそれ以前と以後で、distccd動くマシンが変になる確率は激減。
つか、俺だけの現象だったんだろうか。。。

702 :login:Penguin:04/03/11 18:54 ID:2XfedY1/
KDEの言語日本語選択できない。。。。
KDE日本語の設定するまえに一回起動しちゃったらもう日本語の選択できないんですか?

703 :login:Penguin:04/03/11 19:01 ID:7s0WnA2t
>>702
KDE3.2.0では日本語がはずされちゃったからkde-i18nを入れても無理だと思われ。

ttp://pcweb.mycom.co.jp/news/2004/02/04/003.html

3.2.1まで待つしかないね。

704 :login:Penguin:04/03/11 19:12 ID:usNg5h/n
>>701
vim がインストールできなかった人と同じ人?
もしそうだとすると、vim をインストールする前は MAKEOPTS
を -j2 以上にしていた? MAKEOPTS を -j2 以上にしたい人は
distcc の人だけではなく、SMP の人もいるし、single CPU の
人でも MAKEOPTS を増やすとコンパイルが速くなったりするので、
-j2 から -j4 くらいまで増やしている人はいると思う。ただ、
増やすと壊れるパッケージもけっこうあるので、そういうのは
パッケージ側で -j1 を強制している。まあそもそも ebuild
が MAKEOPTS 対応で書かれていない(emake を使うと MAKEOPTS
対応になる、というか、いまのところ emake と make の違いは
それだけ)と MAKEOPTS の指定も効果ないんだけどもさ。

ちなみに MAKEOPTS 関係で壊れる ebuild がけっこうあるので、
emake 廃止すればいいじゃん、という意見もないわけではない。
distcc できなくなったり SMP なのにジョブが1つしか走らない
ようなのは Gentoo っぽくないので、たぶんそういう方向には
行かないだろうけど……


705 :644:04/03/11 19:34 ID:G9wUsV7R
>>695
MAKEOPTS="-j2"
になってます(make.globals)

>>704
701さんは別の方です。
make.confはUSEしか弄ってませんし、
distccやccacheは使ってません。
インストールガイド通りの標準的な環境です(x86)

706 :login:Penguin:04/03/11 19:41 ID:2XfedY1/
>>703ありがとうございます
日本語選択できないのかぁ.....

707 :login:Penguin:04/03/11 20:11 ID:zBDf4iDj
KDE 3.2.1キター
途中でbashがこけて、まだbuild終らん(涙。

708 :701はオレです:04/03/11 20:35 ID:IWs2IKMK
>>704
てことはMAKEOPTS自体無効になったわけではないのですね。
(コメントアウトしてもdistccは動いていた。分散側topで確認)
このあたり、見てるとccacheの問題とかNICの問題とか、
問題の切り分けがなかなか大変。
つか、おしえてくんになる前にドキュメント読めっ>俺。

勉強になります。あんがと。

709 :login:Penguin:04/03/11 22:03 ID:JExxhoBw
えっ、KDE3.2.1来てる?

710 :login:Penguin:04/03/11 23:08 ID:/CPm7/XY
KDE 3.2.1 リリースか。めんどくせーよ。
週末に入れよ。

711 :login:Penguin:04/03/12 00:00 ID:qId6BeEC
LINGUAS="ja" emerge kde-i18n

これできちんと日本語環境も突っ込まれるし、kdelib内のkhtmlで
先頭空白文字の容赦ない削除で2chとかのAAが崩れる不具合に対する
patchが元のsourceに初めから突っ込まれてる。
今回のKDE-3.2.1は自分にとってかなり幸せっす。

まだATOKXとかでの不具合とかはしらんので、ATOKX使ってる人は慎重に。


712 :login:Penguin:04/03/12 00:24 ID:BNBymFgX
>>711
ATOKXはQt-3.3.0だけどパッチが上がってたよ。
3.2.1でも快適。

713 :login:Penguin:04/03/12 01:09 ID:S7puo2rt
emerge syncやっても、3.2.1は来ていないよ。
もしかして、~x86?

714 :login:Penguin:04/03/12 01:11 ID:5i9b0J+x
~x86

715 :login:Penguin:04/03/12 01:48 ID:BNBymFgX
~x86

716 :login:Penguin:04/03/12 02:14 ID:qId6BeEC
>>712
qtのpatchあったのか。
qt-3.3.1-r1使ってるけど、qt-3.3.0+patchにしてATOKXに移行してみるか。

自分、2chの閲覧にapache2+mod_phpでp2動かしてKonq使ってたんだが、
ポップアップの位置が3.2.0の時、最先頭まで移動されて使えなくなりやがった
のが3.2.1では表示中の枠内に戻ったので良かった。
まだ、もじらみたいに表示枠内で表示仕切れない分スクロールバー出てくれれば
いいのに、最後尾までポップアップが表示されると言う変な動作があるけど気に
しない事にする。
もじらに近い表示させるには、スタイルシートいじらな駄目なんだろうな。

717 :login:Penguin:04/03/12 03:10 ID:WnTkMGZJ
>>693
名前引けなくてもrsyncはできるけど、
引けないと古い(なんらかの理由で情報が古い)rsyncサーバーからはデータを
持って来ない機能が動かない。

それに>>697が言うようにemergeに限らず名前ぐらい引けた方がいいと思うけ
どな。 (特別な理由があるなら別だけど)


718 :login:Penguin:04/03/12 03:11 ID:sZcr5Opn
>>705
もし時間があってデバグにつき合ってくれるのであれば、
MAKEOPTS="-j4" (←値も -j3 とか -j8 とか変えて)くらい
で何回かビルドしてみてビルドに失敗するかどうか確か
めてもらえるとうれしい。(ruby を入れて消してしただけ
で成功した、というのはどうもそれっぽい)

719 :login:Penguin:04/03/12 04:38 ID:qmPCGjH1
kdmで自動ログインしたいんですけど、kdmを使ってログインをして su - でルートになってXアプリケーションを使うと
Xlib: connection to ":0.0" refused by server
というエラーメッセージがでて使うことができません。またどうやら/etc/profileも読み込まれてないようなのです。この問題はkdmだけでなくxdmでも起きました。
何度もGoogleで検索ワードを変え検索して見たのですが、解決法を見付けることはできませんでした。誰かわかる人いたら教えてください。
ちなみにxfree-4.3.99.902-r2,kde-3.2.1でディストリはもちろんgentooです。

720 :login:Penguin:04/03/12 04:58 ID:eAn+Ksmn
xhost +localhost
してから su -
してみるとどうよ?

721 :login:Penguin:04/03/12 06:00 ID:qmPCGjH1
>>720
その方法も試してみたのですが、どうようのエラーメッセージがでてダメでした。xdmやkdmの設定はインストール時から変えていないつもりです(この現象を直そうとしていじったのでその間に変えてしまった恐れはあり)。通常設定のままで問題ないひとっています?

722 :login:Penguin:04/03/12 06:59 ID:nkDmHsLW
>719

$ su -
# cp -p /home/hoge/.Xauthority ~/

で。


723 :login:Penguin:04/03/12 07:24 ID:qmPCGjH1
>>722
おおー、できました。ありがとうございます。これを元に調べていったらkdmでは/usr/X11R6/bin/Xが-auth付きで起動されてました。これって切る方法ないんですかね。さすがに毎回、Xauthorityをコピーするのは・・・

724 :login:Penguin:04/03/12 16:21 ID:LdahE3Op
>>723
Xでrootになんなよ

725 :login:Penguin:04/03/12 17:28 ID:UCr/dt2G
なんで?

726 :login:Penguin:04/03/12 18:36 ID:9fbvMaa7
/usr/portage/sys-kernel/以下の
gentoo-dev-sourcesとdeveloper-sourcesは何が違うんですか?

727 :login:Penguin:04/03/12 18:44 ID:W69aggCM
>>726
gentoo-dev-sourcesは2.6系のgentoo-sources
developer-sourcesは2.6系のvanilla-sources

728 :login:Penguin:04/03/12 18:46 ID:W69aggCM
>>727
あ、developer-sourcesじゃなくdevelopment-sourcesね。

729 :login:Penguin:04/03/12 18:52 ID:hd3wTt2x
~x86 でmlterm のアップデートがあるんだけど、どこのミラーにも
置いてないみたい。どこもNot found になるよ。


730 :726:04/03/12 18:57 ID:9fbvMaa7
>727
ありがとうございます。
カーネルを2.6にしようかと思ってるんですがどっちがいいと思いますか?

731 :login:Penguin:04/03/12 18:58 ID:sZcr5Opn
あー、どうもすまんです。
たぶんローカルで固めたものを転送し忘れているので、今晩直します。
GTK+1 が入るの嫌だ、とこのスレでけっこう前に言っていた人がいた
と思いますが、mlconfig が GTK+2 をリンクするようになったので、
GTK+1 入れたくない人は mlterm のリリースまでこっちの CVS スナップ
ショットを使ってください。


732 :644:04/03/12 21:01 ID:yoVp47A0
>>718
とりあえずMAKEOPTS="-j4"とMAKEOPTS="-j8"を試したところ、
ふたつとも成功。
原因は何なんだろう?

733 :login:Penguin:04/03/12 22:02 ID:17yH3ALO
KDE3.2.1いつになったらemergeできるんですか?(athlonだから?)

734 :login:Penguin:04/03/12 23:18 ID:YLWxqhk8
最近emergeの後にこういうのが表示されるんですが
これってどういう意味なんですか?

>>> Auto-cleaning packages ...
INCOMPLETE MERGE: /var/db/pkg/app-portage/-MERGING-portagejp-1.0-r1

735 :login:Penguin:04/03/12 23:43 ID:RbwyZ8kO
>>734
portagejpが不完全なままemergeが終了してるってこと。

736 :login:Penguin:04/03/13 00:00 ID:+fAxWe2B
>>735
ありがとうございます。
emerge portagejpしてみたらr3になっていたので
今もそのメッセージが続いているのですが
/var/db/pkg/app-portage/-MERGING-portagejp-1.0-r1
このディレクトリごと削除していいのでしょうか?

737 :729:04/03/13 00:02 ID:I/XD9xVM
>>731
たぶん、私への返答かな?
お願いします。

738 :login:Penguin:04/03/13 00:27 ID:H8DeEFbk
>>736
そうです。ざっくり消して下さい。

739 :login:Penguin:04/03/13 01:39 ID:wcQQ919f
今から2004.0をstage1からインストールしようと思うのですが、bootstrapでも
USEフラグは有効なのでしょうか?有効な場合、/etc/portage/package.useに
sys-devel/gcc -nogcj
とすることでコンパイル時間を短縮することができますか?

740 :login:Penguin:04/03/13 01:51 ID:wcQQ919f
追加です。
gentoo入ってるマシンがない状況で、各パッケージの使用しているUSEフラグを
調べる方法ってありますか?

741 :login:Penguin:04/03/13 02:14 ID:GhlXoq+B
>>739
有効でした。2番目の質問は不明です。
前出でしたが、わけわからないままインストール終了。
3番目の質問はportage.com行けば分かるかと。


742 :login:Penguin:04/03/13 04:21 ID:KQWjHA7/
gentoo-test-sourcesとgentoo-dev-sources
最近のgentoo-sourcesとxfs-sources
ここらの位置づけがわかりにくい....。
試してないんだが、gentoo-sourcesがxfsサポートしても、
xfsにおいてあるvmlinuzからではブートできないってことかな?
ちがうカーネルに興味シンシンの狂このごろ

743 :login:Penguin:04/03/13 04:34 ID:0rIoAFaN
qtのバージョンあげたらoperaが以下のエラーを吐くようになったんですが
これはqtをダウングレードするしかないんですかね?
時間かかったのに…

/opt/opera/lib/opera/7.23-20031119.5/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory

744 :login:Penguin:04/03/13 05:12 ID:uc2VQjAU
Opera を static で入れ直せばいいんでは……
(/etc/porrage/package.use に net-www/opera static と書く
詳しくは man portage)

745 :login:Penguin:04/03/13 09:40 ID:tplRIWK0
>>742
XFSに入ってるkernelからブート出来ないのはGRUBがXFS読めないから。xfs-sourcesでも変わらない。
gentoo-test-sourcesとgentoo-dev-sourcesも両方2.6系にある今は殆ど違い無いだろうね。
次のメジャーバージョンの開発が始まったらgentoo-dev-sourcesはdevelopment-sourcesの後ろを追う形になって、
gentoo-test-sourcesはgentoo-sourceのちょっと前を行くって風になるんだろうけど。

巨大なファイル作らないからXFS必要無いし、vanillaとかdevelopmentだけで十分かなあ、と思ってるよ。

746 :login:Penguin:04/03/13 12:58 ID:xl64gT9O
>>745
GRUBはXFS読めるよ。/boot/grub/xfs_stage1_5 ってのが入ってませんか?

747 :login:Penguin:04/03/13 13:07 ID:KQWjHA7/
てことはますますxfs-sourcesの意味ナイノネ。
変えちゃおう。gentoo-sourcesに変えちゃおう。
さらばxfs-sources(泣)


748 :login:Penguin:04/03/13 17:29 ID:462iHgQG
bootstrapでファイルシステムを検証する部分がありますよね。
インストールの時ではなくて、通常起動の場合ですが。
あれで、/rootにreiser使っている場合、たとえば、/dev/hda2を/rootにしてると
当然/dev/hda2をチェックするわけですが、HDD入れ替えでまんまバックアップしたけれど
移行先が/dev/hda3とかになった場合でも、何もファイルいじってないので/dev/hda2を見に
行くわけですが、これだと当然エラーが出ます。
新しいファイルシステムを見に行かせるにはどの設定ファイルを変えたらいいでしょうか?
それともreiserfsの手ではいじれないファイルにでも書き込まれているのでしょうか?


749 :login:Penguin:04/03/13 17:44 ID:462iHgQG
すんまそん。fstab書き換えればいいだけですた。

750 :login:Penguin:04/03/13 21:31 ID:zjxCUagr
KDE i18nいれて起動させたら
全部文字化けしちゃってるんですけどどうしてでしょう
kterm内ではちゃんと日本語入力できます


751 :login:Penguin:04/03/13 21:54 ID:xR5bG87y
gtentoo 2004インストールしたんですけど
メモリーが1.5G積んでるのに900Mしか認識しないんですけど
SuSEいれたときはちゃんと1.5G認識したんですよ
どこに行ったんでしょ?私のメモリー

752 :login:Penguin:04/03/13 22:00 ID:4jB85JdI
>>751
kernel 再構築すればいいと思われ。
Processor type and features ---> High Memery Support
の Help でも読んでみれば?

753 :751:04/03/13 22:27 ID:xR5bG87y
>>752
ありがとう。うまくいきました。
High Memery Support offになっていました。
御恥ずかしいです。

754 :login:Penguin:04/03/14 04:39 ID:Zzq+jw6/
あれ?最新版のツリーからgimageviewが消えてるね。
本家は2/29に最新版出してるけど、なんでportageから消え去ったんだろうか。

755 :login:Penguin:04/03/14 05:21 ID:ee7+c3YK
>>754
最初から (Gentoo) 本家のツリーに gimageview ってなかった
と思うのだけど……。入れてくれないのかなあ、あれ。

756 :login:Penguin:04/03/14 07:02 ID:KiFxEGLn
XFree4.3.9 にアップデートしたらアンダーバーが出なくなって、
バージョン落としてetc-updataでファイルを上書きしても
直らないんですがどうすれば元に戻るでしょうか?
xmodmapはできれば使いたくないんですがよろしくお願いします。

757 :743:04/03/14 07:51 ID:KiFxEGLn
>744
/etc/portage がないんですがどうしたらよいのでしょう・・・?
locate package.use をしても見つからず、sys-app/portage を入れ直しても /etc/portage はでません。

758 :login:Penguin:04/03/14 07:54 ID:ee7+c3YK
>>757
自分で mkdir して作成します。最初からサンプルがあったり
するとよいのかもね。

759 :743:04/03/14 09:02 ID:KiFxEGLn
>758
そうなんですか、元々あるものかと思ってたんでちょっと不安になってました。
ありがとうございます。

760 :login:Penguin:04/03/14 11:27 ID:iCmn29R1
kde-3.1.5環境で、USBマウスが起動時に刺さっていないと
認識してくれなくなりました。
以前は普通に抜き差しして使えていたのですが、
しばらくつなぎっぱなしにしていたので、何をきっかけにして
ホットプラグができなくなったのか不明です。
カーネルはgentoo-2.4.22-r7です。
rc-update add hotplug default
もやり直してみましたがだめでした。

原因わかる方、ご教示お願いします。

761 :login:Penguin:04/03/14 14:04 ID:G1aOQuLO
>>755
そうですた。すんまそん。あれはJPから取ってきて自分で直してるのでした。
あれってかのpornviewで代用されてるのでしたね。

話題変わりますが、2.4.25だとalsaでサウンドカードが認識されないんですけど。
emu10kとintel8x0と両方とも。
あと、mwaveでモジュールにしても組み込みにしてもエラー。いまどきモデム使わないから
どうでもいいような気もしますが。

762 :login:Penguin:04/03/14 14:14 ID:5ptR0fKu
kde-3.2.1のemergeが失敗するんですけど、俺だけ???
kde-baseの途中でパーミッションエラーになります。

763 :login:Penguin:04/03/14 14:17 ID:G1aOQuLO
>>762
-sandoboxしてる?

764 :login:Penguin:04/03/14 15:21 ID:5ptR0fKu
>>763
762です。
sandboxについてはmake.configのFEATURESはコメントアウトされています。
-sandboxで一度やってみます。


765 :login:Penguin:04/03/14 17:16 ID:94B7aU/D
印刷環境にCUPSを使用しています
を両面印刷や2段組が出来るようにしたいのですが
どこかいい情報源とかないでしょうか

766 :login:Penguin:04/03/14 17:35 ID:K8mrpiUz
kita-0.10.1.0、emerge失敗します。
これって既出ですか?

767 :login:Penguin:04/03/14 18:56 ID:ee7+c3YK
>>766
kita スレでは既出だったかな……。

0.10.1.0 はまだ KDE 3.1 を要求する ebuild なのにそう
なってないみたい。KDE 3.1 はインストールされている?
0.10.1.1 だとたぶん Portage が KDE 3.1 を入れようとする
はず。0.10.2.1 は KDE 3.2 以降でもビルドできるように
なっているので、KDE 3.2 以降を使いたければ 0.10.2.1
をどうぞ。

768 :login:Penguin:04/03/14 23:36 ID:LdKQ85Od
OOoのバイナリのインストールしようとしたらGCCのバージョンで弾かれた…
バイナリのインストールなのにGCCのバージョン関係あるのか…
ライブラリとかが使えないということかな?
ソースからコンパイルしたら途中でこけるし(泣)


769 :login:Penguin:04/03/14 23:46 ID:VKE5CKH4
3.1と3.2でABIの変更があったのはご存知?

770 :login:Penguin:04/03/14 23:57 ID:IRXj9pxT
gdm-2.4.4.7に上げたらgdmがすっかり変わっちまったい。

771 :login:Penguin:04/03/15 00:05 ID:/9XYdY02
/usr/share/xsessions/ を探し当てるのにちと手間取ってしまったッス

772 :login:Penguin:04/03/15 00:20 ID:BWq1yK5w
あれ、やっぱり移ってたの?
なんか場所の変更って表示されてたっけ?
etc-updateでも何も出てこなかったからいきなりリブートしてびびったよ。

773 :login:Penguin:04/03/15 00:24 ID:BWq1yK5w
>>771
それって/usr/kde/3.x/share/apps/kdm/sessions/
から移せばいいんだっけ?
今まで/etc/X11/Sessions/の下を見てた筈なんだけど、
中見てみたら書式が違うし、数も全然違うんだけどね。
熊った

774 :login:Penguin:04/03/15 01:40 ID:/9XYdY02
XFCE4を使ってるんで、/usr/share/xsessions/fluxbox.desktop とかを参考に
XFCE4.desktopをテキトーに作った。複雑なヤツはわからんです。

775 :login:Penguin:04/03/15 01:55 ID:73gCes0x
それよりhotplugかな、最新版ヤバイね。
1月のに戻したらまともに戻った。
だけど、alsaは音でないまま。

>>774
今のところkdeから移したものでkdeとwindowmakerは使えてる。

なぜかatokの起動キーがctrol+spaceだけになってしまった。鬱

776 :login:Penguin:04/03/15 02:28 ID:wK0qQa5Z
最近追加されたのかな、
xmcd-3.2.1.ebuildをemergeすると、
/etc/xmcdを作成するのだが、
これは、/usr/X11R6/lib/X11/xmcdへのシンボリックリンクになっている。
しかし、該当するディレクトリはない。

emergeが終わった時のメッセージには、
/etc/xmcd/config.shを実行するのを忘れるな、
とあります。

また、/hoge/bin以下にインスコされるファイルが1つも無い状況ですね。
これはunmergeで確認しました。

777 :login:Penguin:04/03/15 04:45 ID:tFdGHpbF
ここ最近数日でおかしくなった点まとめておこう

・ALSAがサウンドボードデバイスが見つからないと起動時エラー。モジュールは組み込まれている。
alsaconfではボードは見つからず。lspci, /proc/pciでは見えている。音は出ない。ビープだけ。
・ATOKXで起動時のキーが漢字キーが効かなくなった。終了は相変わらずできる。
・sylpheedのメール一覧の日本語文字が化けている。
・おちゅーしゃの既読ポイントがかなり前にずれた。全部新スレになった板もある。板移動とかではなく。
・gdmのセッション管理場所が変更されて前に使っていた設定が一時使えなくなった。

こんなところか。ぼちぼち解決していこう。


778 :login:Penguin:04/03/15 05:08 ID:96utBnxr
>>777
一部の文字が化けるのはgaimでも出てるな。
GTK2だよね?
「〜」とか記号系が化けまくるな。

どっかでglibcのiconvのバグとかいう話を見た気がするが…

779 :login:Penguin:04/03/15 13:00 ID:d7G5ohQn
突然ですが、K6-II 400@360 で構築にどれだけ時間かかるか試し中。
bootstrap:14時間。
現在 emerge gentoo-dev-sources 中。
(カーネルコンパイルは確か 70分程度だった。)
意味ねーような気がしてきた。

780 :login:Penguin:04/03/15 13:08 ID:f7Cs4oQb
最初はstage3使って、インストールして
後から少しずつアップグレードしていけばいいのに。
インストールマニュアルの内容を真に受けすぎだって。

781 :login:Penguin:04/03/15 13:44 ID:d7G5ohQn
ん、一度やったんだけどね > stage3 から。
んで imake、xmkmf で illegal instruction とか出て ??? なんで
試しに stage1 からやってみようかなって事で・・・
ノートの耐久試験(?)も兼ねての興味本位。

gentoo っておもしろいね。
カーネル構築終わったら distcc 試してみる。


782 :login:Penguin:04/03/15 19:28 ID:qKAqd1uv
>>781
> ん、一度やったんだけどね > stage3 から。
> んで imake、xmkmf で illegal instruction とか出て ??? なんで

K6-IIなのに686用を使ったからじゃないのか?

783 :login:Penguin:04/03/15 22:26 ID:pPRnex5Q
>>782
iso ファイル、もう消したから不明だけどそうかも知んない。
package のほうが i686 かなー?
P3 マシンだけで試すつもりが、調子に乗って K6-II にもって事だったのれす。

784 :login:Penguin:04/03/15 23:53 ID:FOKz6L2n
GentooでAtokX使ってるんだけど
左下に出る[あ連R漣}が激しく(゜Д゜)ウゼェェェ
TurboLinuxではパッチが当たってて非表示に出来るらしいんだけど
Gentooの場合何処をいじればいいか分かる方教えてくれませんかハアト


785 :login:Penguin:04/03/16 00:05 ID:DzZazLZp
音が出ないのはハードの故障らしい。換装した際傷めた模様。
てかおべんきょマシンに音はいらねぇか。
>>784
どのツールキット?それにもよるが。
そんなにうざいほど出てるかなあ


786 :784:04/03/16 00:15 ID:idTxTX8K
>>785
GTK2です
gnome2,sawfish,nautilusな房仕様です。。


787 :login:Penguin:04/03/16 01:07 ID:DzZazLZp
たとえば漏れのところだと、GTK使っているのでは
おちゅーしゃとかで、入力できるウインドウが出ると、[ATOK]と常時表示されてる。
ONにすると、[あ連R連]と出るけど、うざくはないよ。つまり、常時表示されているというだけで
別に明滅しないし、フォーカスが取られることもない。
うざいという意味がよく分からないのだけど。けっこう感覚の問題だと思うので、
具体的にどううざいのか書かないと伝わらないと思う。
まさか表示されてるだけでうざいとは言わないよね?


788 :784:04/03/16 01:09 ID:idTxTX8K
そのまさかです。。。。


789 :login:Penguin:04/03/16 01:13 ID:aARbVqGH
あれだろ、調和を崩してるってことだろ?
気になり始めるとどうしようもないってやつ。
潔癖だな。

790 :784:04/03/16 01:47 ID:idTxTX8K
>>789
調和というより
1画面1アプリケーション最大化で使ってるのですけど
アプリケーション左下に出る文字が見えなかったり
Mozillaで左下にメールやコンポーザーを起動するアイコンと被ってたり
いいこと無いんですよ


791 :login:Penguin:04/03/16 02:58 ID:CytoSIOX
Hardened GCC (PIE/SSP) 使っている人いますか


792 :789:04/03/16 03:39 ID:aARbVqGH
ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/iiimf-1.2-23.i586.rpm
ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/iiimf-newpy-1.2-23.i586.rpm
ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/iiimf-xiiimp-1.2-23.i586.rpm
ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/iiimf_conv-1.2-23.i586.rpm
ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/metacity-2.6.3-2.i586.rpm

>>784
えらそうな口調でものを言って、非常に恥ずかしかったのだが、w
もともとターボユーザーだったので、うpdateの内容は大体知ってるので晒してみる。
上のリンクのファイルあたりが関係していたと思う。
「atokxの何々を非表示にしました」って内容のアップデートだった気がする。
中身は知らんけどね。(汗

793 :login:Penguin:04/03/16 03:45 ID:unzp1CEe
Eclipseをportageで入れようとすると
eclipse-cdt-bin/ eclipse-jdt-bin/ eclipse-sdk/
eclipse-ftp-webdav-bin/ eclipse-platform-bin/ eclipse-sdk-bin/
といっぱい出てくるけど、どれを選べばいいのですか?
どんな違いでわけられてるのでしょう?

794 :login:Penguin:04/03/16 04:19 ID:fDHo+pZk
>>793
emerge -s eclipse
でもしてみれば?


795 :login:Penguin:04/03/16 04:26 ID:Utr5hkYg
rpmで入れたパッケージとportageで入れたパッケージ、どっちが優先されんの?
やっぱ後から入れたほうからかな?

796 :793:04/03/16 04:32 ID:unzp1CEe
>794
emerge: there are no masked or unmasked ebuilds to satisfy "eclipse".

!!! Error calculating dependencies. Please correct.

797 :784:04/03/16 04:36 ID:idTxTX8K
>>789
これですね

iiimf 1.2-23
iiimf-newpy 1.2-23
iiimf-xiiimp 1.2-23
iiimf_conv 1.2-23
〜 StarSuite、mozilla、gnome で表示される ATOKX のステータスを非表示にしました。

ばらしてdiff取るしかないか。。

798 :794:04/03/16 04:46 ID:fDHo+pZk
>> 796
状況がちょっと良くわからんのだが、
そのエラーメッセージはどんなコマンド打ったときに出てきた?
よくわからんのでとりあえず次のコマンドでもやってみろ。
emerge sync && emerge -s eclipse


799 :login:Penguin:04/03/16 05:00 ID:Utr5hkYg
linux-headers-2.6.4にて前バージョンでは出来なかった
wineとiputilsのコンパイルに成功。
そろそろmask外れてもよさそう。

800 :793:04/03/16 05:52 ID:unzp1CEe
>794
こうなります。(パッケージ名以外は乗せてません)
「eclipse」というパッケージはないのですが・・・
どれを選べばいいのかアドバイスをお願いします。

# emerge -s eclipse
Searching...
[ Results for search key : eclipse ]
[ Applications found : 6 ]

* dev-util/eclipse-cdt-bin

* dev-util/eclipse-ftp-webdav-bin

* dev-util/eclipse-jdt-bin

* dev-util/eclipse-platform-bin

* dev-util/eclipse-sdk [ Masked ]

* dev-util/eclipse-sdk-bin [ Masked ]



801 :login:Penguin :04/03/16 09:14 ID:tg+3Gmx7
現行主力の2.1.2が使いたければ一意
more hogehoge.ebuild


802 :login:Penguin:04/03/16 10:33 ID:fVjkwrFF
米HPがリナックス採用、パソコン2−3割安く
 パソコン世界最大手の米ヒューレット・パッカード(HP)は6月、
基本ソフト(OS)に「リナックス」を採用したパソコンを日本、
中国などアジア12カ国で一斉に発売する。大手が米マイクロソフトの
「ウィンドウズ」以外のOSを本格採用するのは初めて。販売価格は
「ウィンドウズ」使用機より2、3割程度安くなるとみられる。
日本メーカーの追随は必至で、パソコンの低価格化が一段と進みそうだ。
 HPは6月に韓国、インドネシア、タイ、インドなどを含めたアジアの
主要12カ国で、OSにリナックスだけを採用した新型のデスクトップパソコン
を数機種、一斉に発売する。出荷台数は初年度から100万台規模に達する
可能性もある。

 OSと応用ソフトは日本のソフト会社から一括調達する計画で、
応用ソフトには表計算やワープロなど事務用ソフト一式が含まれる。
HPは新型パソコンのOS込みの価格を400―1500ドル(4万4000―16万5000円)
に設定する予定。リナックスOSはウィンドウズより安く調達できるため、
ウィンドウズ採用パソコンと比較した場合、最終価格が2万―4万円前後
安くなる見通しだ。

803 :login:Penguin:04/03/16 10:35 ID:1Kgc5SRZ
>>802
誤爆ですか?

http://pc.2ch.net/test/read.cgi/linux/1064136308/l50

804 :login:Penguin:04/03/16 10:38 ID:fVjkwrFF
絶対にGentoo Linuxは採用されないよな

RedhatかTurboだろう。

もしlindowsだったら失敗しそうだ。

805 :login:Penguin:04/03/16 11:18 ID:jtP5Mnx+
Gentooらしい。

806 :login:Penguin:04/03/16 11:23 ID:kR0hIAdw
kahakaiのインストール教えてください
unmaskに
=x11-wm/kahakai-0.6.2って書いても無視されます
どうやったらkahakaiインストールできるのか知ってる人いたら教えてください

807 :login:Penguin:04/03/16 12:35 ID:vwLWxYP1
>>805
日本の会社で調達しているところはないだろ。


808 :login:Penguin:04/03/16 12:36 ID:vwLWxYP1
>>806
~x86とかではなくて?

809 :login:Penguin:04/03/16 14:32 ID:b0b0+3wi
Athlonです

810 :login:Penguin:04/03/16 15:15 ID:uQoxRHET
>>808ありがとうございます やっとインストールできました
809のはギャグってことにしといてください

811 :login:Penguin:04/03/16 19:04 ID:idTxTX8K
古いけどテンプレに追加キボンヌ

Gentoo Linuxディストリビューションの誕生
http://www-6.ibm.com/jp/developerworks/linux/010223/j_l-dist1.html

Enoch発Gentoo行き (「若干の"つまずき"と"いさかい"」経由)
http://www-6.ibm.com/jp/developerworks/linux/010413/j_l-dist2.html

Linuxからの離脱と復帰
http://www-6.ibm.com/jp/developerworks/linux/010511/j_l-dist3.html

ebuild システムの探訪
http://www-6.ibm.com/jp/developerworks/linux/000714/j_bash3.html


812 :login:Penguin:04/03/16 22:37 ID:wUIKqnoj
Gentooでサーバーを建てようかと思っているのですが、何かアドバイスなどありますか??
ノウハウなどありましたらよろしくお願いしますm(_ _)m

本格的にLinuxをさわりだすのは初めてです。

813 :login:Penguin:04/03/16 22:48 ID:lKM8eoFc
Gentooは開発者不足なので、こなれてない面を持ってます。
最新のパッケージは何らかの不具合を抱えている可能性は高く、人員不足のためテストとfixに時間がかかっています。
そのため、必然的に安定版パッケージは古い物になります。

セキュリティfixに関しては安定版も開発版も素早く対応していますが
細かなbugに関してはその限りではありません。

開発者側に頼るよりも、何もかも自分で管理するくらいの意気込みがないと躓くかもしれません。
Gentooシステムはあくまでそれを補助する便利な道具としてお考えください。

814 :login:Penguin:04/03/17 00:42 ID:z28Olyh3
>>812
やめとけ。


815 :login:Penguin:04/03/17 01:05 ID:+6drH/rr
>>812
debianの方がいいかも。gentooじゃないと、ってのがあまりない。
gentoo使うなら、自分でebuild書けるようにならんと、相当辛いよ。
特に、安定版を使いつつ、いくつかのアプリは/usr/localとか/optに、
CVSからcheckoutしたやつをインストールして使う、って使いかたが
難しい。
なぜなら、emergeするとき、conifugreが勝手にunstableなものを
見付けてリンクしようとするから。
正直、「人がビルドしたバイナリなど使えるか!!全部俺がビルドするんじゃぁ!!」
って人にしかお薦めできない。あと、マシンがathlonな人。


816 :login:Penguin:04/03/17 01:22 ID:CiDi++I8
>あと、マシンがathlonな人。

そんなこと言うなよ。。。。。。。。


817 :login:Penguin:04/03/17 02:48 ID:Xka6RKeu
なんかむちゃくちゃいってるなぁ...

818 :login:Penguin:04/03/17 03:38 ID:ozXjhBm8
>>815にお薦めされちゃうそんな貴方はLFSを使え。

819 :login:Penguin:04/03/17 06:08 ID:S9I6ecF4
>>815
まあその意味では FreeBSD のほうが混ぜやすくていいですね。
ただ Gentoo だと cvs パッケージを作るのも楽だし、hattya
さんのおかげで subversion パッケージも簡単に作れるし、
パッケージなのに常に最新版を入れられる、というのは便利
です。

>>813
そのとおりです。開発者足りないのもそのとおりです。
本家でがんがん活躍してくれれば開発者に推薦するのでバグ
ばしばし見つけて登録してください。(そうすれば多少はまし
になる……はず)

820 :login:Penguin:04/03/17 06:11 ID:GaJEkz2s
なんだ、ここまででHardened GCC (PIE/SSP)にした人はいないのか


821 :login:Penguin:04/03/17 07:11 ID:4t4VGM9q
>>812
Linuxを余り触った事が無いのならば
ちょっと厳しいかも知れない
Linux(UNIX)の知識に不安があるようならば
他のディストリビューションを検討する事をお勧めする

俺はgentooはサーバ用途にも使えると思っている
(実際に複数のgentooサーバを運用してる)
それなりに知識があるか もしくは根性があるならば
gentooで頑張ってみるのも悪くは無い


822 :812:04/03/17 09:07 ID:BuKhBZ1f
みなさん親切な回答ありがとうございます。
やはりLinuxの知識に不安がありますので、他のディストロを検討してみたいと思います。
(Debianなどか、もしくはBSD系にするか)

オススメなどあればよろしくです。
スレ汚しすみませんでしたm(_ _)_

823 :login:Penguin:04/03/17 09:30 ID:IppPcvC2
>>822
そのサーバーがお遊びや勉強用ならFedoraにしたら?
一番インストールが簡単。

#というか、サーバー立てるまえにもっと勉強汁!っていう突っ込みはなし?

824 :はじじぇん:04/03/17 10:36 ID:a+ywf6ub
はじめてのGentoo Linux
http://www.sbpnet.jp/books/products/detail.asp?sku=4797324945

825 :login:Penguin:04/03/17 10:46 ID:biHrSzgl
>>824
目次をみると自分にはあんまり役に立ちそうもないけど記念に買っとこうかな。
(しっかしDeb厨はどうしようもないな。他のディストリスレまで荒らすなよ)

http://www.sbpnet.jp/books/img/Gentoolinux.pdf



826 :login:Penguin:04/03/17 12:08 ID:yS8oS09D
>>824
情報thanks!
>>825
記念に買うに同意。

もっと、どんどん出てきて欲しい。

827 :login:Penguin:04/03/17 15:07 ID:/8+HA0LD
>>802-804
Turboらしい。
ソース
http://pcweb.mycom.co.jp/news/2004/03/16/013.html

>>805は大嘘つきヤロウ

828 :login:Penguin:04/03/17 16:20 ID:rzEhvjCM
http://gentoo.vidalinux.com/?q=node/view/35

829 :login:Penguin:04/03/17 16:58 ID:WVwrdefQ
>>828おおおおお
初心者の俺はこれがでるのもうちょっと待ってばよかった

830 :login:Penguin:04/03/17 19:33 ID:CiDi++I8
updateしたらgentoo-statsがうpしたんだが
gentoo-stats -u でError connecing to server
と出る
http://stats.gentoo.org/も繋がらないのだけど
フッカツダー!!(゜∀゜ )三 三( ゜∀゜)フッカツダー!!


831 :830:04/03/17 19:34 ID:CiDi++I8
間違えた。。。。。。。。。
サーバーダウンかな?


832 :766:04/03/17 19:53 ID:T8RekbbW
>>767
kitaの質問をした者です。ありがとうございました。
私はkdeのバージョンが3.2.0だから失敗したのですね。

gentoo初心者がついでに質問。

この場合、パッケージのバージョンの不整合で
インストール不可だった訳ですが、
gentoo的にバグ扱いにはならないんでしょうか?

また、kita0.10.2.1が安定版にとりこまれる
タイミングは誰が決めるんでしょうか?
パッケージのメンテナ?

833 :login:Penguin:04/03/18 00:31 ID:72EdWBnP
>828
グラフィカルインストールができて、非常に便利そうなのですが、
使い方がよくわからないので、結局LiveCDから手順書どおり
にいれてしまいました。
下の.iso をCD−ROMに焼くだけ?

834 :login:Penguin:04/03/18 02:32 ID:wynaoC3H
>>832
Gentoo 的にはバグ扱いです。なので、報告してくれれば
(時間があれば)直します。本家の bugzilla で報告してくれ
たときがいちばん確実に直します。(2ch の場合は見た日
に直さないと忘れる可能性が高い) 一番新しいものだけ
直して古いものは直さなかったので、今回のような事態
となったわけです。(古いものがすでに stable になって
いたので簡単に変えるわけにもいかず) 時間と人手があっ
たら古いものも直したのですが、今回はさぼりました。
どうもすみません。

kita 0.10.2.1 が stable になるタイミングは開発者が決め
ます。メンテナがいるパッケージはメンテナの判断が
最優先されますが、Gentoo には Debian や FreeBSD
でいうところのパッケージメンテナに相当するような
ものは厳密にはなく、もっとゆるやかにみんなが適当
に好きなパッケージをいじっているので、kita が好き
な開発者がいたら、その人が stable にするんじゃない
かと思います。

835 :login:Penguin:04/03/18 02:32 ID:wynaoC3H
Gentoo では stable にするタイミングは明確には決まって
いませんが、Gentoo 公式ドキュメントでは「unstable
として Portage に入れてから、全くバグが報告されない
状況で1月以上経ったもの」というふうになっています。
しかしながらこのあたりはパッケージのメンテナ(もしく
は herd と呼ばれるメンテナグループ)の裁量に任されて
いるので、1,2週間で stable にする人もいれば、半年経っ
てもずっと unstable のままにする人もいます。

変だと思えば bugzilla で報告してくれれば、stable/unstable
くらいであれば手の空いた人がすぐ直してくれます。
パッチなんかが必要なものだと時間がかかることが往々
にしてありますが……


836 :login:Penguin:04/03/18 03:39 ID:VoWo360A
echo $termcap するとktermごと落ちるのは昔から?
/usr/portage/x11-term/kterm-6.2.0-r1
portagejp入れたらnvi-1.81.5-r2が2種類になる。
しかもjpの方がマスクされてて(ry

837 :login:Penguin:04/03/18 06:03 ID:cB5G90TD
ATOKXを使ってみたんですが、パレットが出たり消えたりしたり
変換候補の二個目以下を選べなかったり設定のウィンドウが出なかったりと色々最悪です。
うまく使えてる方がいらっしゃいましたらノウハウお教えください。

インストール後にいじったのは、
.xsessionに必要なものを追加
/etc/rc.d/init.d/atokxを/etc/init.d/に移動し、start-stop-daemonで動くよう書き換え、rc-update
くらいです。他に何が必要でしょうか?

838 :login:Penguin:04/03/18 08:33 ID:Uyusw5kh
>>837
それ、もろにQtにパッチが当たってない所為
漏れも悩みに悩んだよ
GTK+系では上手く使えてるんじゃない?

839 :login:Penguin:04/03/18 09:55 ID:5wvBX3OF
うちは、app-i18/atokx-1.0-r4 入れて、atokxだけアンマージ、atokx-1.0-r2を
再び入れるという風で普通に動いてますよ。

840 :login:Penguin:04/03/18 09:59 ID:cB5G90TD
>>838
レスどうもです。今メインで使っているのはXFCE・Firefox・おちゅ〜しゃなど、
GTKのばかりで、実際Qtアプリはほとんど使っていません。
以前からその話は目にしていたのと、先日KDEをアンインストールしてしまったためです。
Qtは一応3.3.1が入っていますし、念のためパッチを当ててみます。

ついでなんで>>837に追記。iiimも起動させてあります。

841 :839:04/03/18 10:00 ID:5wvBX3OF
app-i18n/atokx-1.0-r4 の間違いですね。

http://king.gentoo.gr.jp/ebuild-uploader/

842 :login:Penguin:04/03/18 10:37 ID:cB5G90TD
>>839,841
レスを書いてる間にレスが。ありがとうございます。
今r2に落としてみましたが、Firefoxとmltermでは変換ウィンドウは出ないけれど変換の動作は問題ありませんでした。
ところがおちゅ〜しゃ上だと、初めは変換ウィンドウがちゃんと出ましたが、二回目以降の変換をしようとすると
おちゅ〜しゃを巻き込んで落ちてゾンビ化してしまいます(しょうがないので今はanthyを使用)。
さらに、両方ともパレットは出ませんでした。

r4では変換ウィンドウが出た途端に固まっていましたし、Qtの問題の件もあるので、その辺の問題なのかもしれません。
とりあえずこの後Qtにパッチを当て、gtk1のバージョンをx86相当に落とした上でもう一度試行錯誤してみます。眠いし。
なんだか全体的に説明がへたくそで申し訳ないです。

843 :login:Penguin:04/03/18 12:24 ID:ex4rHQ+Q
# emerge -p postfix
するとssmtpがblockになるんですが、
どうすればいいですか?

ssmtpを消そうとすると、大量のパッケージを入れなおされてしまうんで、
激しくマンドクサいです。
簡単にやる方法は無いですか...

844 :login:Penguin:04/03/18 13:54 ID:JTtqe43X
私はssmtpを消してpostfixいれましたけど、
特に、ほかのパッケージが引きづられるってことはなかったなぁ、、

具体的には、どんなパッケージの再構築がひつようになってるんでしょうか?

845 :843:04/03/18 18:13 ID:kRk+kdNT
>>844

>>843はウソです、ごめんなさい。
#emerge -ep ssmtp
ってやってました。
unmergeは-Cだ。(-eはrpmでの削除)

吊ってきまつ

846 :login:Penguin:04/03/19 09:43 ID:/IwdOil1
* sys-kernel/gentoo-sources
Latest version available: 2.4.26_rc3

gentoo-sourcesがいつのまにか2.4.26のvanillaになってる。
vanilla-prepatch-sourcesは放置?

847 :766:04/03/19 13:01 ID:f/RnqWVz
>>834
詳細な回答、ありがとうございます。
勉強になります。もっともっと勉強します。

本日、emerge syncしたところ、
kita0.10.2.1がstableになっていますね。
kita━━━━(゚∀゚)━━━━!!

さっそく、インストールして、このカキコもkitaにて。
まだ、使い始めたばかりですが、すごく使いやすいです。
ありがとうございました。

848 :login:Penguin:04/03/19 20:59 ID:/yOVcb+s
やられた。遂にglib-2.4.0とgtk+-2.4.0に更新したようなんだが、
おかげでおちゅ〜しゃをそのままmake出来なくなってしまった。
おちゅ〜しゃ開発者がgtk+-2.4.0に対応してくれるか、
Makefileとかいじらんと駄目臭い。
詳細はおいお前ら! おちゅ〜しゃはどうですか?
http://pc.2ch.net/test/read.cgi/linux/1069623143/ で。

VMwareの4.5.1になったようなんで、試してみるか。
kernel-2.6でも何処ぞのpatch使わずとも使えると言う話らしい。

849 :login:Penguin:04/03/20 01:30 ID:6GEV0XUe
Stableのxmms-1.2.8-r4を+cjkでインストールしたのですが
プレイリストやメインウィンドウで日本語のID3tagが表示できずに困っています。
メニューは日本語で表示されています。
ID3tagはEUCなんですけど日本語の部分は空白になっています。
フォントはマルチバイト文字のサポートをONにしてXのフォントを使うで
-misc-kochi gothic-medium-r-normal-*-*-120-*-*-c-*-jisx0208.1983-0
を指定してみましたがダメでした。
他に設定すべきところでもありますか?



850 :login:Penguin:04/03/20 12:00 ID:G0ri8YDn
ほとんど質問スレだな・・・。
わざわざGentoo使うんなら、聞く前にぐぐるとかなんとかしろよ。
楽したいならdebianなりなんなりあるわけなんだからさ

851 :login:Penguin:04/03/20 13:25 ID:mGteheBc
>>850
確かにそうだけど、答える気が無いならスルーでいいんじゃない?
いちいち反応せんでも良いよ。

852 :login:Penguin:04/03/20 13:59 ID:c+Ni8zcc
>>849
SJISだけど1.2.7までは日本語表示できてた.
たぶんパッチが1.2.8以降に対応できてないんじゃないかと思う.
changelogにはパッチがあたるようにしたとか書いてあったと思うけど,
実際には表示できなかった.

853 :login:Penguin:04/03/20 16:29 ID:6GEV0XUe
>>852
ありがとうございます。
1.2.7-r25に下げてみたんですがやはりダメでした。

それから今気付いたのですが1.2.8でも1.2.7でも
以下のようなメッセージが表示されていました。

Gdk-WARNING **: Missing charsets in FontSet creation
Gdk-WARNING **: JISX0201.1976-0
Gdk-WARNING **: Missing charsets in FontSet creation
Gdk-WARNING **: JISX0208.1983-0
Gdk-WARNING **: JISX0201.1976-0

854 :login:Penguin:04/03/20 17:27 ID:X+nXF1cg
Gentooを使っているのですが、scrollkeeperを0.3.12から
0.3.14へアップデート出来ず困っています。

エラーは

make[3]: Entering directory `/var/tmp/portage/scrollkeeper-0.3.14/work/scrollkeeper-0.3.14/cl/templates'
LC_ALL=C ../../intltool-merge ../../po scrollkeeper_cl.xml.in scrollkeeper_cl.xml -x -u -c ../../po/.intltool-merge-cache
Generating and caching the translation database
WARNING: ../../po/uk.po is not in UTF-8 but koi8-u, converting...
WARNING: ../../po/tr.po is not in UTF-8 but ISO-8859-9, converting...
WARNING: ../../po/es.po is not in UTF-8 but ISO-8859-1, converting...
WARNING: ../../po/da.po is not in UTF-8 but iso-8859-1, converting...
WARNING: ../../po/fr.po is not in UTF-8 but ISO-8859-1, converting...
WARNING: ../../po/hu.po is not in UTF-8 but iso-8859-2, converting...
WARNING: ../../po/zh_CN.po is not in UTF-8 but GB2312, converting...
WARNING: ../../po/pl.po is not in UTF-8 but iso-8859-2, converting...
WARNING: ../../po/ko.po is not in UTF-8 but euc-kr, converting...
WARNING: ../../po/sk.po is not in UTF-8 but ISO-8859-2, converting...
WARNING: ../../po/el.po is not in UTF-8 but iso-8859-7, converting...
WARNING: ../../po/pt_BR.po is not in UTF-8 but iso-8859-1, converting...
Can't locate object method "new" via package "XML::Parser" at ../../intltool-merge line 859, <PO_FILE> line 33629.
Merging translations into scrollkeeper_cl.xml.
make[3]: *** [scrollkeeper_cl.xml] Error 25

こうなってます。XML-Parserはインストールしてます。
他の依存関係も大丈夫なはずなのに、さんざん調べてもわかりませんでした。
助けてください。お願いします。

855 :login:Penguin:04/03/20 18:05 ID:cUlltTGL
prelink -afmRした後
shutdownすると "Remounting remaining filesystems readonly"で失敗しませんか?

/binと/sbinをprelinkの対象外にすれば回避できるような気がしたので
そうしてみようとしたのですが、/etc/env.d/99prelinkでMASKしようとして
/bin:/sbin:/optと指定したのですが、portage.pyを見ると
/bin /sbin /lib等は決め打ちされていてMASKしても強制的に追加されてしまうようです。

同様の症状で困ってる人いませんか?

856 :login:Penguin:04/03/20 23:27 ID:c+Ni8zcc
>>853
id3tagがEUCでいいなら-cjkにしたらいいんじゃないかとか思ってたんですが,
どうもただのフォントの問題みたいですね.
xfontselでそのフォントは出てるんでしょうか?


857 :login:Penguin:04/03/20 23:50 ID:6GEV0XUe
>>856
ありがとうございます。
理由は分かりませんがebuild uploderにあるxmms-1.2.8-r5で日本語が表示されました。
以下のようなメッセージはあいかわらずですが。

Gdk-WARNING **: Missing charsets in FontSet creation
Gdk-WARNING **: JISX0201.1976-0
Gdk-WARNING **: Missing charsets in FontSet creation
Gdk-WARNING **: JISX0208.1983-0
Gdk-WARNING **: JISX0201.1976-0

858 :login:Penguin:04/03/21 00:35 ID:k1GYyAVM
そりゃ、Fontの設定ちゃんとしてないだけだろ?
WARNINGでFontsetが足りないって言われてんだから
その分を追加やれば良いだけ。
Gentoo-specificじゃない問題はスレ違い。

mplusでも入れてこんなんにでもしとけ。

playlist_font=mplus_h10r,mplus_j10r,mplus_j10r-jisx
use_fontsets=TRUE
mainwin_use_xfont=TRUE
mainwin_font=mplus_h10r,mplus_j10r,mplus_j10r-jisx

859 :login:Penguin:04/03/21 00:44 ID:bWZEfJTQ
>>858
スレ違いといいつつも教えてるw
いい人だなー

860 :login:Penguin:04/03/21 00:47 ID:AqkJMDfg
スレ違いをちゃんと放置できないのは悪い人だろ。

861 :login:Penguin:04/03/21 01:18 ID:YaQkDXnN
悪い人だけど憎めない


862 :login:Penguin:04/03/21 03:38 ID:oEdNC86U
2004.0のLiveCDの起動時に
COULD NOT UMOUNT tmp/.initrd/dev
と出て起こられるのですがこれはなぜですか?

genkernelで作ったgentoo-sorcesのカーネルでも
同じ現象が起こりました。

実害はない気がするのですがなんなんでしょう?

863 :854:04/03/21 03:52 ID:bLmhtzTP
自己解決しました。失礼しました。

864 :login:Penguin:04/03/21 10:30 ID:PjNnodVw
>>863
本当に失礼な奴だな、
MLでもそうだがレスが付こうが付くまいが質問した以上、
解決したのならその経過を1行でもいいから報告しろってんだ。

865 :login:Penguin:04/03/21 11:19 ID:p/l80VkF
ギスギスすんなや。

866 :login:Penguin:04/03/21 11:35 ID:YaQkDXnN
(´ε` )

867 :login:Penguin:04/03/21 15:07 ID:bWZEfJTQ
前前、前スレではいい人ばっかだったのにー
前みたいにまったーりといこうよ

868 :login:Penguin:04/03/21 15:50 ID:oeEfZd4C
>>867
じゃあテメーが何にも調べないガキの質問にいちいち懇切丁寧に答えてやってくださいね。

869 :login:Penguin:04/03/21 16:01 ID:NYXCSg0g
>>868
何も調べもしないで質問してくる香具師はスルーが基本
藻前みたいにグダグダうるさい香具師が一番有害だよ。

ってことで、マターリいきましょう。
ID:oeEfZd4Cはアボーンワードに登録よろしく。

870 :login:Penguin:04/03/21 16:51 ID:oeEfZd4C
おこられちった

871 :login:Penguin:04/03/21 21:57 ID:NYXCSg0g
風博士関連の事を調べていたら、こんな面白いの発見。
ttp://poincare.ikezoe.net/20040322.html

gtk+-2.4.0が~x86に入った事に対してえらく御立腹の御様子。
それに関してツッコミが入ってるんだが…
だだっ子 vs 中の人って感じになってるな。

中の人らしき人物の言う事は正しいと思うんだが
gtk+-2.4.0って仕様大分変ったね。
XFTとtruetypeフォント必須になって、bitmapフォント使えなくなってるし。
まあ自分でmaskすりゃいいんだけどさ。

872 :login:Penguin:04/03/21 22:02 ID:CJh/DYFb
>>871
vs って感じには読めなかったけどね。
真っ二つに割れてるわけでもないし。

873 :login:Penguin:04/03/21 22:09 ID:NYXCSg0g
諭す感じか?

~x86に対する認識ってデベロッパレベルの人でもこうなのかなぁと思ってちょっと残念だね。
このスレに来るGentoo初心者のためにガイドラインか何かあった方がいいような気がしてきたよ。

ちなみに中の人は、このスレの人?それともただのこのスレの人?2ch臭さがプンプン出てるんだが…。
いずれにしても、もうやめとかないと粘着扱いされちゃうよ。

874 :login:Penguin:04/03/21 22:13 ID:bNypvqXz
>>873
中の人と言われても誰か分からん。
開発者は一人はいるね。
てか、871で2ちゃんに話題持ってきたのは叩かれたから?

875 :login:Penguin:04/03/21 22:31 ID:NYXCSg0g
>>874
叩かれたってのはGentooの事だよね。
#風博士の中の人の事じゃないよね?

漏れも突拍子もなく2.4.0が入ってきた挙句に
諸々の違いに戸惑ったし、風博士がコンパイルできないという問題があるなら
このスレに中の人が一人はいるみたいだし、話題に挙げといた方がいいかなと思ってさ。
portageに風博士入ってる事だしね。

876 :login:Penguin:04/03/21 23:10 ID:gZ4WonUt
結局

~x86 : β版
package.mask : α版

という認識でOKなの?

877 :login:Penguin:04/03/21 23:16 ID:NYXCSg0g
maskの方は事情が異なる場合があるから一概に言えないんじゃないのかな。
極一部の識者のみに限っておきたい場合と、これは絶対に使うな的な場合があるからね。

どっちの場合もデカいバグ抱えてる等、迂闊に入れられない事情がある

878 :login:Penguin:04/03/21 23:30 ID:+WC5mxs5
便乗質問で悪いんだけどpackage.maskに入ってるのは
それなりの理由があるからだと認識しているんですが
package.maskにしている理由ってどこかに書いていないんですか?

879 :login:Penguin:04/03/21 23:38 ID:NYXCSg0g
>>878
package.maskに一二行コメント書かれてるっしょ。
bugが発見済みの場合は see bug #XXXXXXってなってる。

maskに至る細かい経緯は、MLかフォーラムでも追い掛けてないとわからないな。

880 :login:Penguin:04/03/22 00:27 ID:d1sQvjka
subversionとbugzillaが~x86というマスクが何時外れるのかまってます。



881 :login:Penguin:04/03/22 00:54 ID:tiGLNJGJ
mizilla系のソフトが立ち上がらなくなった
garnome入れたせいかな...

882 :login:Penguin:04/03/22 01:17 ID:4gZpLYe4
素人なので自信がないのだけれど app-i18n/uim の
uim-gtk-query-immodules-gentoo.diff
-@GTK2_TRUE@ gtk-query-immodules-2.0 > $(GTK_IMMODULES); \
+@GTK2_TRUE@ #gtk-query-immodules-2.0 > ${DESTDIR}/$(GTK_IMMODULES); \
-@GTK2_TRUE@ gtk-query-immodules-2.0 > $(GTK_IMMODULES); \
+@GTK2_TRUE@ #gtk-query-immodules-2.0 > ${DESTDIR}/$(GTK_IMMODULES); \

コメント記号いらないですよね?
(これとらないとインストールに成功しませんでした。)



883 :login:Penguin:04/03/22 03:28 ID:Ns4tE/Qe
>>882
すみません。uim-0.3.2.ebuild に GTK+ 2.4 対応のパッチを
当てるときに、元からあったパッチのほうはテスト中だった
ものを入れてしまったようでした。Portage のインストール
の中で gtk-query-immodules を呼ぶのは実はまずいので、
(アップグレードなら見かけ上問題ないが、新規インストール
のとき問題になる) インストールでは呼ばないように戻した
ものです。(以前は呼んでませんでした) どうも報告ありがとう
ございました。uim も 0.3.3 に更新したので、そちらでも試し
てみてください。

884 :login:Penguin:04/03/22 03:29 ID:wdhW64AU
gcc -vしたときに
gcc(ssp - pie)っていいじゃないですか

885 :login:Penguin:04/03/22 03:31 ID:Ns4tE/Qe
>>881
GTK+ 2.4 にしてしまうと、一部のページで Mozilla や kazehakase
等のブラウザがクラッシュしてしまうようです。(www.gentoo.gr.jp
とか www.gentoo.org とか) 条件はよく分かっていないのですが、
UTF-8 で書かれていてかつスタイルシートをがりがり使っていると
だめなのかも分かりません。(落ちないページもあるので……)
時間が取れないので mozillla の再コンパイルはしていませんが、
mozilla を GTK+ 2.4 入れたあとで再コンパイルすると直るかも
分かりません。たぶん GTK+ 2.2 以下に戻せば落ちなくなるとは
思うのですが……。今朝これに気がついて GentooJP のサイト
リニューアルに待ったをかけようとしたのですが、本当に GTK+ 2.4
のせいか確証がないので、リニューアルされました。再コンパイル
でうまくいった/いかないなどありましたらまた報告ください。

886 :login:Penguin:04/03/22 03:38 ID:Ns4tE/Qe
>>873
どこが残念でした? 開発者にもいろいろな人がいるので、
まあむしろ多様な考えの人を許容するところが Gentoo 的
だという気もします。
(特に stable にするとかなんだとかいうのは開発者で態度
かなり違いますし……。)

887 :837:04/03/22 03:48 ID:tz1kM4iS
今更ですが>>837です。ATOKX-r2で無事動きました。
原因は.gtkrcがいつのまにか壊れてたことでした…恥ずかしい。
くだらないことで、まったく申し訳ありませんでした。
先ほどwikiページを見たら、設定事例集ATOKX編ができていましたので、
注意点等を勝手に追加しておきます。

888 :login:Penguin:04/03/22 03:59 ID:rdwjAJDm
>>886
ある程度stable unstableに対する考え方に関して
統制とれなきゃ各パッケージ間で色んな問題が出そうね。

ついでに、開発者間(個人間)で諍いも起りそうな悪寒。
特にGTK+-2.4.0をマスクしなかった香具師なんか
批判されて逆上しちゃうかもねぇ。

泥々するのは嫌よ。

889 :886:04/03/22 04:05 ID:oVN/hCJt
そうですねえ。まあ彼は昔から一貫してああだったので、周りの人も
そうだと思っているのでしょう。(ビットマップフォントなんか捨てて
くれ、とかいう人) いませっせと GNOME 2.6 入れてます。

Gentoo ってけっこう開発者抜ける人もいるんですが、そういうの嫌に
なるんでしょうかね。Zynot なんかは抜けていちばん影響大きかった
ものですね。来るものは拒まず、去るものも追わない、というポリシー
みたいなので、泥々する前に自分から抜けるのかもしれませんが……。

890 :夜中なんで…許せ:04/03/22 04:21 ID:rdwjAJDm
>>889
欧米人はfontに困らないから楽ね と皮肉の一言でもくれてやってください。

でも、まあいずれはGTK2.2から2.4系にシフトしていくでしょうから
GTKでビットマップフォントが使えなくなる世界になるのは確実でしょ。
香具師が早漏じゃなかろうともいずれはそうなるわけで
問題の本質はfontじゃなくて香具師が早漏すぎたのが問題なんでしょ。
前戯無しでいきなり挿入しようと自分の物握った途端にイってしまったみたいな。
で、その下手な男に対してキレてる方々がいらっしゃると…。

ユーザー側としては、その早漏野郎かどうかなんて問題じゃなくて2.4.0が入ってしまったのが問題なんですよね。
~x86を開発版じゃなくて、新しいソフトが使える版と思ってる人も多いみたいだし
今後こういう事がないほうが良いんじゃないでしょうかね。
できればそういう人は排除していく方向の方が…なんて言いすぎですかね。


891 :夜中なんで…許せ:04/03/22 04:31 ID:rdwjAJDm
そういう人 = 自分勝手な早漏野郎
って意味です。

892 :login:Penguin:04/03/22 06:11 ID:0XGz5Lkx
横槍みたくなるけどスマン。
けど、~x86使わない限り、随分安定したディストりになったよ。
SDの初めての記事見て入れてみた頃なんか、
emerge rsyncするたびにドキドキしてたもの。
package.mask抜きだったことは問題だったんかもしれんけど、
今度のいざこざは、GentooつうよりGTK+の開発ポリシー
(と、日本語圏との兼ね合い)の問題だったと思ってる。
こういうことで、
「Gentooは不安定なディストリビューションだ」
とか思われるのはやだな。
GTK+-2.4使う限り、bitmapフォントの問題は、
どのディストリビューターもぶつかるんだからね。

893 :login:Penguin:04/03/22 07:04 ID:Okqf2mkJ
gentoo-sources-2.4.25でswsusp-2.0成功
ハイバネーションだけテストしたけど、他には何をテストすればいいかな?
nvidiaって書いたのにXはレジュームされぬ


274 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.02.02 2014/06/23 Mango Mangüé ★
FOX ★ DSO(Dynamic Shared Object)